2015-01-03  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* Makefile: 1.68: Updated Makefile

2015-01-03  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* cli/main.cpp, lib/version.h, man/manual.docbook,
	win_installer/productInfo.wxi: 1.68: Set versions

2015-01-03  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* AUTHORS: 1.68: updated AUTHORS

2015-01-03  PKEuS <philipp.kloke@web.de>

	* gui/cppcheck_de.ts, gui/cppcheck_es.ts, gui/cppcheck_fi.ts,
	gui/cppcheck_it.ts, gui/cppcheck_ja.ts, gui/cppcheck_nl.ts,
	gui/cppcheck_ru.ts, gui/cppcheck_sr.ts, gui/cppcheck_sv.ts,
	gui/cppcheck_zh_CN.ts: Ran lupdate gui.pro

2015-01-03  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* cli/cmdlineparser.cpp, cli/cmdlineparser.h,
	cli/cppcheckexecutor.cpp, cli/cppcheckexecutor.h,
	cli/filelister.cpp, cli/filelister.h, cli/main.cpp,
	cli/pathmatch.cpp, cli/pathmatch.h, cli/threadexecutor.cpp,
	cli/threadexecutor.h, gui/about.ui, gui/aboutdialog.cpp,
	gui/aboutdialog.h, gui/application.cpp, gui/application.h,
	gui/applicationdialog.cpp, gui/applicationdialog.h,
	gui/applicationlist.cpp, gui/applicationlist.h,
	gui/checkstatistics.cpp, gui/checkstatistics.h,
	gui/checkthread.cpp, gui/checkthread.h, gui/common.cpp,
	gui/common.h, gui/cppcheck_de.ts, gui/cppcheck_es.ts,
	gui/cppcheck_fi.ts, gui/cppcheck_fr.ts, gui/cppcheck_it.ts,
	gui/cppcheck_ja.ts, gui/cppcheck_ko.ts, gui/cppcheck_nl.ts,
	gui/cppcheck_ru.ts, gui/cppcheck_sr.ts, gui/cppcheck_sv.ts,
	gui/cppcheck_zh_CN.ts, gui/csvreport.cpp, gui/csvreport.h,
	gui/erroritem.cpp, gui/erroritem.h, gui/filelist.cpp,
	gui/filelist.h, gui/fileviewdialog.cpp, gui/fileviewdialog.h,
	gui/logview.cpp, gui/logview.h, gui/main.cpp, gui/mainwindow.cpp,
	gui/mainwindow.h, gui/platforms.cpp, gui/platforms.h,
	gui/project.cpp, gui/project.h, gui/projectfile.cpp,
	gui/projectfile.h, gui/projectfiledialog.cpp,
	gui/projectfiledialog.h, gui/report.cpp, gui/report.h,
	gui/resultstree.cpp, gui/resultstree.h, gui/resultsview.cpp,
	gui/resultsview.h, gui/scratchpad.cpp, gui/scratchpad.h,
	gui/settingsdialog.cpp, gui/settingsdialog.h, gui/showtypes.cpp,
	gui/showtypes.h, gui/statsdialog.cpp, gui/statsdialog.h,
	gui/threadhandler.cpp, gui/threadhandler.h, gui/threadresult.cpp,
	gui/threadresult.h, gui/translationhandler.cpp,
	gui/translationhandler.h, gui/txtreport.cpp, gui/txtreport.h,
	gui/xmlreport.cpp, gui/xmlreport.h, gui/xmlreportv1.cpp,
	gui/xmlreportv1.h, gui/xmlreportv2.cpp, gui/xmlreportv2.h,
	lib/check.cpp, lib/check.h, lib/check64bit.cpp, lib/check64bit.h,
	lib/checkassert.cpp, lib/checkassert.h, lib/checkautovariables.cpp,
	lib/checkautovariables.h, lib/checkbool.cpp, lib/checkbool.h,
	lib/checkboost.cpp, lib/checkboost.h, lib/checkbufferoverrun.cpp,
	lib/checkbufferoverrun.h, lib/checkclass.cpp, lib/checkclass.h,
	lib/checkcondition.cpp, lib/checkcondition.h,
	lib/checkexceptionsafety.cpp, lib/checkexceptionsafety.h,
	lib/checkinternal.cpp, lib/checkinternal.h, lib/checkio.cpp,
	lib/checkio.h, lib/checkleakautovar.cpp, lib/checkleakautovar.h,
	lib/checkmemoryleak.cpp, lib/checkmemoryleak.h,
	lib/checknonreentrantfunctions.cpp,
	lib/checknonreentrantfunctions.h, lib/checknullpointer.cpp,
	lib/checknullpointer.h, lib/checkobsolescentfunctions.cpp,
	lib/checkobsolescentfunctions.h, lib/checkother.cpp,
	lib/checkother.h, lib/checkpostfixoperator.cpp,
	lib/checkpostfixoperator.h, lib/checksizeof.cpp, lib/checksizeof.h,
	lib/checkstl.cpp, lib/checkstl.h, lib/checkstring.cpp,
	lib/checkstring.h, lib/checktype.cpp, lib/checktype.h,
	lib/checkuninitvar.cpp, lib/checkuninitvar.h,
	lib/checkunusedfunctions.cpp, lib/checkunusedfunctions.h,
	lib/checkunusedvar.cpp, lib/checkunusedvar.h, lib/checkvaarg.cpp,
	lib/checkvaarg.h, lib/cppcheck.cpp, lib/cppcheck.h, lib/cxx11emu.h,
	lib/errorlogger.cpp, lib/errorlogger.h, lib/executionpath.cpp,
	lib/executionpath.h, lib/library.cpp, lib/library.h,
	lib/mathlib.cpp, lib/mathlib.h, lib/path.cpp, lib/path.h,
	lib/preprocessor.cpp, lib/preprocessor.h, lib/settings.cpp,
	lib/settings.h, lib/standards.h, lib/suppressions.cpp,
	lib/suppressions.h, lib/symboldatabase.cpp, lib/symboldatabase.h,
	lib/templatesimplifier.cpp, lib/templatesimplifier.h,
	lib/timer.cpp, lib/timer.h, lib/token.cpp, lib/token.h,
	lib/tokenize.cpp, lib/tokenize.h, lib/tokenlist.cpp,
	lib/tokenlist.h, lib/valueflow.cpp, lib/valueflow.h, lib/version.h,
	man/cppcheck.1.xml, test/options.cpp, test/options.h,
	test/redirect.h, test/test64bit.cpp, test/testassert.cpp,
	test/testautovariables.cpp, test/testbool.cpp, test/testboost.cpp,
	test/testbufferoverrun.cpp, test/testcharvar.cpp,
	test/testclass.cpp, test/testcmdlineparser.cpp,
	test/testcondition.cpp, test/testconstructors.cpp,
	test/testcppcheck.cpp, test/testerrorlogger.cpp,
	test/testexceptionsafety.cpp, test/testfilelister.cpp,
	test/testgarbage.cpp, test/testincompletestatement.cpp,
	test/testinternal.cpp, test/testio.cpp, test/testleakautovar.cpp,
	test/testlibrary.cpp, test/testmathlib.cpp, test/testmemleak.cpp,
	test/testnonreentrantfunctions.cpp, test/testnullpointer.cpp,
	test/testobsolescentfunctions.cpp, test/testoptions.cpp,
	test/testother.cpp, test/testpath.cpp, test/testpathmatch.cpp,
	test/testpostfixoperator.cpp, test/testpreprocessor.cpp,
	test/testrunner.cpp, test/testsamples.cpp,
	test/testsimplifytemplate.cpp, test/testsimplifytokens.cpp,
	test/testsimplifytypedef.cpp, test/testsizeof.cpp,
	test/teststl.cpp, test/teststring.cpp, test/testsuite.cpp,
	test/testsuite.h, test/testsuppressions.cpp,
	test/testsymboldatabase.cpp, test/testthreadexecutor.cpp,
	test/testtimer.cpp, test/testtoken.cpp, test/testtokenize.cpp,
	test/testtype.cpp, test/testuninitvar.cpp,
	test/testunusedfunctions.cpp, test/testunusedprivfunc.cpp,
	test/testunusedvar.cpp, test/testutils.h, test/testvaarg.cpp,
	test/testvalueflow.cpp, test/testvarid.cpp, tools/dmake.cpp,
	tools/extracttests.py, tools/matchcompiler.py, tools/reduce.cpp,
	tools/test_matchcompiler.py: Updated copyright year to 2015

2015-01-03  PKEuS <philipp.kloke@web.de>

	* lib/checkstl.cpp, test/teststl.cpp: Fixed false positive: Support
	assignments in CheckStl::if_find()

2015-01-03  PKEuS <philipp.kloke@web.de>

	* lib/checkstl.cpp, test/teststl.cpp: Fixed #6217, refactorized
	CheckStl::if_find(): allow all comparison operators, use AST, fixed
	wrong unit tests

2015-01-02  Martin Ettl <ettl.martin78@googlemail.com>

	* lib/checkstring.cpp: 
	CheckString::checkAlwaysTrueOrFalseStringCompare: Added support for
	Microsofts string compare functions.

2015-01-02  Martin Ettl <ettl.martin78@googlemail.com>

	* lib/checkstring.cpp: 
	CheckString::checkAlwaysTrueOrFalseStringCompare: Added support for
	string compare more functions.

2015-01-02  Martin Ettl <ettl.martin78@googlemail.com>

	* lib/checkstring.cpp, test/teststring.cpp: Fixed #6398 - false
	negative: (warning) Unnecessary comparison of static strings.

2015-01-02  Robert Reif <reif@earthlink.net>

	* lib/symboldatabase.cpp, lib/symboldatabase.h: Refactorization:
	Speedup function lookup in symboldatabase (#6277) (Part 2)

2015-01-02  PKEuS <philipp.kloke@web.de>

	* lib/check64bit.cpp, test/test64bit.cpp: Fixed #6096: bool is an
	integral type, but there is no portability issue if a pointer is
	assigned to a bool.

2015-01-02  PKEuS <philipp.kloke@web.de>

	* lib/tokenize.cpp, test/testvarid.cpp: Fixed #5871: Properly parse
	initialization list in setVarId() if constructor is declared as
	noexcept

2015-01-02  Robert Reif <reif@earthlink.net>

	* lib/symboldatabase.cpp: Refactorization: Speedup function lookup
	in symboldatabase (#6277)

2015-01-02  orbitcowboy <ettl.martin78@gmail.com>

	* lib/checkstring.cpp, test/teststring.cpp: Fixed #6388: Support
	strncasecmp

2015-01-02  PKEuS <philipp.kloke@web.de>

	* lib/checknullpointer.cpp, test/testnullpointer.cpp: Fixed #6014:
	Added plausibility check before issuing null pointer messages on
	function calls defined in library

2015-01-02  PKEuS <philipp.kloke@web.de>

	* lib/tokenize.cpp, test/testvarid.cpp: Fixed #6386: Improved
	behaviour on unknown language (header file)

2015-01-02  PKEuS <philipp.kloke@web.de>

	* lib/checkother.cpp: Refactorization: Avoid stringification of
	second branch if first branch was empty in
	CheckOther::checkDuplicateBranch()

2015-01-02  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* triage/theme1.css, triage/triage.py: triage: write 'Not Found'
	errors in the report

2015-01-02  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* triage/linux-3.11/linux-3.11.h, triage/linux-3.11/runcppcheck.cmd: 
	triage: added runcppcheck.cmd and linux-3.11.h in linux-3.11 folder
	to make results easier to reproduce

2015-01-02  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* triage/linux-3.11/false-positives.txt,
	triage/linux-3.11/true-positives.txt: triage: add more linux-3.11
	triage data

2015-01-02  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* triage/linux-3.11/false-positives.txt,
	triage/linux-3.11/true-positives.txt: triage: more linux-3.11 triage
	data

2015-01-01  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* triage/linux-3.11/false-positives.txt,
	triage/linux-3.11/true-positives.txt: triage: more triage data for
	linux-3.11

2015-01-01  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/valueflow.cpp, test/testvalueflow.cpp: ValueFlow: better
	handling of goto to avoid false positives

2015-01-01  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* triage/linux-3.11/false-positives.txt,
	triage/linux-3.11/true-positives.txt: triage: added triage data for
	linux-3.11

2015-01-01  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* triage/linux-3.11/false-positives.txt,
	triage/linux-3.11/true-positives.txt: triage: triage linux-3.11
	results

2015-01-01  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* triage/linux-3.11/false-positives.txt,
	triage/linux-3.11/true-positives.txt: triage: added triage data for
	linux-3.11

2015-01-01  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* triage/readme.txt, triage/theme1.css, triage/triage.py: triage:
	added folder for triage data

2014-12-31  Alexander Mai <amai@users.sf.net>

	* lib/checkcondition.cpp, test/testcondition.cpp: #6385 crash in
	Variable::getFlag(). Catch token without variable in fix for #6095.

2014-12-31  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checkcondition.cpp, test/testcondition.cpp: Fixed #6095 (False
	positive oppositeInnerCondition - neglecting statements with
	side-effects)

2014-12-31  Thomas Jarosch <thomas.jarosch@intra2net.com>

	* cli/cppcheckexecutor.cpp: Fix build on PowerPC PowerPC does not provide ucontext.gregs or the REG_ERR define.  Found while testing big endian platform.

2014-12-30  PKEuS <philipp@kloke-witten.dyndns.org>

	* lib/valueflow.cpp, test/testvalueflow.cpp: Fixed #5223: Bailout in
	valueFlowForLoop1() for complex conditions Refactorization: Reuse result instead of calling
	MathLib::toLongNumber() twice

2014-12-30  PKEuS <philipp@kloke-witten.dyndns.org>

	* lib/tokenize.cpp, test/testtokenize.cpp: Fixed #5497: Support
	designated initializers in array size detection

2014-12-30  PKEuS <philipp@kloke-witten.dyndns.org>

	* lib/valueflow.cpp, test/testvalueflow.cpp: Fixed #6022: Support
	++%var% in valueFlowForLoop1 Fixed TODO unit test: properly handle
	loops that are never executed

2014-12-30  PKEuS <philipp@kloke-witten.dyndns.org>

	* lib/checkother.cpp, test/testother.cpp: Fixed #6373: Support
	bitops in clarifyCalculation check

2014-12-30  Thomas Jarosch <thomas.jarosch@intra2net.com>

	* lib/checkbufferoverrun.cpp, lib/checkmemoryleak.cpp,
	lib/checkstl.cpp, lib/checkstring.cpp, lib/symboldatabase.cpp,
	lib/tokenize.cpp: Fix up extra whitespaces in match patterns Detected by new internal check.

2014-12-30  Thomas Jarosch <thomas.jarosch@intra2net.com>

	* lib/checkinternal.cpp, lib/checkinternal.h, test/testinternal.cpp: 
	New internal check: Catch extra whitespace in match patterns Inspired by a recent commit from PKEuS.

2014-12-28  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checkbufferoverrun.cpp: Fixed #6361 (crash:
	CheckBufferOverrun)

2014-12-27  Matthias Krüger <matthias.krueger@famsik.de>

	* Makefile: run dmake

2014-12-27  PKEuS <philipp.kloke@web.de>

	* lib/checkbufferoverrun.cpp, lib/checknullpointer.cpp,
	lib/checkstl.cpp: Refactorization: Removed whitespaces at the end of
	Token::Match patterns

2014-12-27  PKEuS <philipp.kloke@web.de>

	* lib/checkmemoryleak.cpp, lib/checkother.cpp, lib/library.cpp,
	lib/tokenize.cpp: Fixed #6328: Use isAttributeNoreturn() whereever
	we also check Library::isnoreturn().

2014-12-27  Robert Reif <reif@earthlink.net>

	* lib/token.cpp, lib/token.h, lib/tokenize.cpp, test/testio.cpp,
	test/testother.cpp, test/testtokenize.cpp: Fixed #6321: Implemented
	function Token::swapWithNext().

2014-12-26  Dmitry-Me <wipedout@yandex.ru>

	* lib/checkclass.cpp, test/testclass.cpp: Don't care which type
	protected operator= returns

2014-12-26  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checkbufferoverrun.cpp, test/testbufferoverrun.cpp: Fixed
	#6357 (Improve check: pointer arithmetic 'p+x' overrun, conditional
	x)

2014-12-25  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checkbufferoverrun.cpp, test/testbufferoverrun.cpp: Improved
	pointer arithmetic message

2014-12-25  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checkbufferoverrun.cpp, lib/checkbufferoverrun.h,
	test/testbufferoverrun.cpp: Fixed #6349 (Pointer arithmetic: clarify
	message)

2014-12-25  Thomas Jarosch <thomas.jarosch@intra2net.com>

	* lib/cxx11emu.h: Fix C++11 compat wrapper for clang clang identifies itself as gcc 4.2.  The preprocessor macros can be
	     dumped with: clang++ -dM -E -x c /dev/null

2014-12-24  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checkother.cpp, test/testincompletestatement.cpp: Incomplete
	statement: tweaked bailout for '0;' statement using
	isExpandedMacro()

2014-12-24  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checkbufferoverrun.cpp, test/testbufferoverrun.cpp: Fixed
	#6353 (False positive: CheckBufferOverrun checking reassigned array
	function parameter)

2014-12-24  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/tokenize.cpp: Refactoring Tokenizer::simplifyAttribute

2014-12-24  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/symboldatabase.cpp, lib/symboldatabase.h, lib/token.h,
	lib/tokenize.cpp, test/testtokenize.cpp: Token: Added flag for
	attribute noreturn (#6328)

2014-12-24  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checkbufferoverrun.cpp, lib/checkother.cpp, lib/token.h,
	lib/tokenize.cpp: Renamed isCasted to isCast

2014-12-23  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checkother.cpp, test/testincompletestatement.cpp: Incomplete
	statement: tweaked bailout for '(void*)0' using isCasted()

2014-12-23  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checkbufferoverrun.cpp, lib/token.h, lib/tokenize.cpp,
	test/testbufferoverrun.cpp: Fixed #6350 (Tokenizer::simplifyCast:
	set Token::isCasted when cast is removed)

2014-12-22  Thomas Jarosch <thomas.jarosch@intra2net.com>

	* tools/cppcheckdata.py: python3 compatibility

2014-12-22  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checkbufferoverrun.cpp: CheckBufferOverrun: Added comment in
	code to clarify why severity is portability for pointerOutOfBounds
	message.

2014-12-22  Thomas Jarosch <thomas.jarosch@intra2net.com>

	* tools/extracttests.py: pep8 fix pep8 reported: extracttests.py:233:16: E713 test for membership
	should be 'not in'

2014-12-22  Thomas Jarosch <thomas.jarosch@intra2net.com>

	* lib/checkother.cpp, test/testother.cpp: checkUnreachableCode():
	fix FP for statements that just hide compiler warnings about unused
	function arguments Seen throughout the rockbox codebase.

2014-12-22  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checkbufferoverrun.cpp, test/testbufferoverrun.cpp: 
	CheckBufferOverrun: Use portability warning for pointer arithmetic
	UB. It can be used by intention and usually works as intended.

2014-12-22  Thomas Jarosch <thomas.jarosch@intra2net.com>

	* test/testsizeof.cpp: Add test cases when sizeof is used on struct
	members

2014-12-22  Thomas Jarosch <thomas.jarosch@intra2net.com>

	* lib/checksizeof.cpp, test/testsizeof.cpp: Fix FP if sizeof is used
	without parentheses on struct members Right now we only support checking basic pointer types.  Pointers
	inside structs are not supported yet.  Consider the tokens "foo@1 . bar@2", Token::Match( "sizeof ( %varid%
	)" ) won't match it.  Token::Match( "sizeof %varid%" ) did match it
	-> FP.

2014-12-22  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checkbufferoverrun.cpp, test/testbufferoverrun.cpp: Fixed
	#6346 (pointer calculation overflow)

2014-12-21  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checkother.cpp, test/testincompletestatement.cpp: Fixed #6327
	(Unwanted constStatement on (void)0)

2014-12-21  Matthias Krüger <matthias.krueger@famsik.de>

	* gui/icon.svg: gui: icon.svg: manually fix offset and apply
	inkscapes "Vacuum Defs" functionality to reduce file size from
	113675 b to 3906 b.

2014-12-21  PKEuS <philipp.kloke@web.de>

	* : Merge pull request #484 from simartin/ticket_6181 Ticket #6181: Properly handle >> terminating template parameter
	lists.

2014-12-21  Lauri Nurmi <lanurmi@iki.fi>

	* lib/cxx11emu.h: Fix compilation with GCC 4.4.  It was broken by fe468ac14255f079cd4ad0546d3c51f8e3f8031a.

2014-12-20  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checkbufferoverrun.cpp, test/testbufferoverrun.cpp: Fixed
	#6344 (false positive: out of bounds access when array size is
	unknown)

2014-12-20  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checkuninitvar.cpp: astyle formatting

2014-12-18  Thomas Jarosch <thomas.jarosch@intra2net.com>

	* runastyle: runastyle: Output detected version on mismatch

2014-12-18  Thomas Jarosch <thomas.jarosch@intra2net.com>

	* runastyle: runastyle: Move astyle binary name into a variable So it's easy to adjust the path to the exact used astyle version of
	cppcheck.

2014-12-18  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* cfg/posix.cfg, lib/checkuninitvar.cpp, test/testuninitvar.cpp: 
	Revert 2e45df3b. Because there are FP.

2014-12-17  PKEuS <philipp@kloke-witten.dyndns.org>

	* cfg/qt.cfg: Fixed #6335: Added definition for Q_PROPERTY to qt.cfg

2014-12-17  PKEuS <philipp@kloke-witten.dyndns.org>

	* externals/tinyxml/tinyxml2.cpp, externals/tinyxml/tinyxml2.h: 
	Updated TinyXML https://github.com/leethomason/tinyxml2

2014-12-17  Matthias Krüger <matthias.krueger@famsik.de>

	* lib/checkuninitvar.cpp: fix two internal warnings:
	[lib/checkuninitvar.cpp:1668]: (style) Call to 'Token::tokAt()'
	followed by 'Token::str()' can be simplified.
	[lib/checkuninitvar.cpp:1669]: (style) Call to 'Token::tokAt()'
	followed by 'Token::str()' can be simplified.

2014-12-17  orbitcowboy <ettl.martin78@gmail.com>

	* cfg/posix.cfg, lib/checkuninitvar.cpp, test/testuninitvar.cpp: 
	Fixed #6341: false negative uninitvar pattern "return foo ( %var%"

2014-12-17  orbitcowboy <ettl.martin78@gmail.com>

	* test/testother.cpp: Refactoring: Avoid to load posix.cfg multiple
	times while testing (testother.cpp) (#6336)

2014-12-17  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checkbufferoverrun.cpp, test/testbufferoverrun.cpp: Fixed
	#6339 (false negative: array index out of bounds on allocated buffer
	using valueflow)

2014-12-16  PKEuS <philipp.kloke@web.de>

	* : Merge pull request #488 from Ni2c2k/master Build for Qnx

2014-12-16  Ni2c2k <Ni2c2k>

	* cli/threadexecutor.cpp: getloadavg() is unsupported on Qnx

2014-12-16  Martin Ettl <ettl.martin78@googlemail.com>

	* : Merge pull request #487 from orbitcowboy/master Refactoring of testuninitvar: Splitted large test functions

2014-12-16  Martin Ettl <ettl.martin78@googlemail.com>

	* : Merge pull request #486 from orbitcowboy/master testuninitvar: moved more tests to checkUninitVar2

2014-12-15  orbitcowboy <ettl.martin78@gmail.com>

	* test/testuninitvar.cpp: testuninitvar: moved more tests to
	checkUninitVar2, which does not rely on ExecutionPath.

2014-12-15  orbitcowboy <ettl.martin78@gmail.com>

	* test/testuninitvar.cpp: testuninitvar: changed test cases to do
	not rely on ExecutionPath.

2014-12-15  orbitcowboy <ettl.martin78@gmail.com>

	* cfg/posix.cfg, test/testuninitvar.cpp: Fixed #6325: false
	negative: uninitialized variable usage (write, posix).

2014-12-14  Simon Martin <simartin@users.sourceforge.net>

	* lib/templatesimplifier.cpp, test/testtokenize.cpp: Ticket #6181:
	Properly handle >> terminating template parameter lists.

2014-12-12  Thomas Jarosch <thomas.jarosch@intra2net.com>

	* cfg/posix.cfg, test/testmemleak.cpp, test/testother.cpp: Add
	mmap() / mmap64() / munmap() to posix.cfg. Enables basic leak
	tracking Includes function prototype in posix.cfg as comment for easier
	overview of the function arguments.

2014-12-14  Martin Ettl <ettl.martin78@googlemail.com>

	* cfg/qt.cfg: running Astyle. No functional changes.

2014-12-14  PKEuS <philipp.kloke@web.de>

	* : Merge pull request #483 from simartin/ticket_6172 Ticket #6172: Properly grok %type%... template parameters.

2014-12-14  PKEuS <philipp.kloke@web.de>

	* cfg/qt.cfg: Fixed #6324: Added definition of Q_DISABLE_COPY to
	qt.cfg

2014-12-14  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/valueflow.cpp, test/testvalueflow.cpp: Fixed #5840 (False
	positive (inconclusive): Possible nullpointer dereference - use
	before for-loop over nested list)

2014-12-12  Thomas Jarosch <thomas.jarosch@intra2net.com>

	* lib/library.cpp: Improve readability of Library::load() by caching
	often used node names.  Also constify existing name caches.

2014-12-11  PKEuS <philipp.kloke@web.de>

	* : Merge pull request #480 from orbitcowboy/master posix.cfg: Added support for rewinddir().

2014-12-09  orbitcowboy <ettl.martin78@gmail.com>

	* cfg/posix.cfg, test/testnullpointer.cpp: posix.cfg: Added support
	for readdir().

2014-12-10  PKEuS <philipp@kloke-witten.dyndns.org>

	* cfg/std.cfg: Fixed wrong configuration of modf in std.cfg (#6312)

2014-12-10  orbitcowboy <ettl.martin78@gmail.com>

	* cfg/posix.cfg, test/testmemleak.cpp: posix.cfg: Added support for
	rewinddir().

2014-12-09  PKEuS <philipp@kloke-witten.dyndns.org>

	* lib/symboldatabase.cpp, test/testsymboldatabase.cpp: Fixed #6266:
	Support noexcept(false)

2014-12-09  PKEuS <philipp@kloke-witten.dyndns.org>

	* cli/cmdlineparser.cpp, lib/checkstring.cpp, lib/errorlogger.cpp,
	lib/preprocessor.cpp, lib/token.cpp, lib/tokenize.cpp: Fixed a
	couple of #6276 integer over/underflow issues

2014-12-09  PKEuS <philipp@kloke-witten.dyndns.org>

	* lib/checkunusedfunctions.cpp, test/testunusedfunctions.cpp: Fixed
	#6291 and #6293: Support :: in front of function name in
	checkUnusedFunctions Simplified code in CheckUnusedFunctions

2014-12-09  PKEuS <philipp@kloke-witten.dyndns.org>

	* lib/symboldatabase.cpp, test/testsymboldatabase.cpp: Fixed #6308:
	Properly associate Function with Scope for destructors in
	SymbolDatabase

2014-12-09  Alexander Mai <amai@users.sf.net>

	* lib/checkmemoryleak.cpp: Remove dead code in
	CheckMemoryLeakInFunction::call_func() (Coverity CID 1257017)

2014-12-09  Martin Ettl <ettl.martin78@googlemail.com>

	* : Merge pull request #477 from orbitcowboy/master Improved test coverage of MathLib.

2014-12-07  Alexander Mai <amai@users.sf.net>

	* lib/checkunusedvar.cpp, test/testunusedvar.cpp: #6301 Unused
	shared lock variable. Add exception for std::shared_lock() to
	CheckUnusedVar::checkFunctionVariableUsage_iterateScopes()

2014-12-07  Alexander Mai <amai@users.sf.net>

	* cfg/std.cfg, test/testnullpointer.cpp: #6306 false positive with
	strxfrm NULL argument. Adjust std.cfg in favor of no false positive

2014-12-05  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/tokenize.cpp: astyle formatting

2014-12-04  Alexander Mai <amai@users.sf.net>

	* lib/checkbufferoverrun.cpp, test/testbufferoverrun.cpp: #6303
	crash in CheckBufferOverrun. Add check on loop variable in
	CheckBufferOverrun::checkScope().

2014-12-04  Matthias Krüger <matthias.krueger@famsik.de>

	* lib/tokenize.cpp: Fix [lib/tokenize.cpp:6184]: (warning) Found
	simple pattern inside Token::Match() call: ") {"

2014-12-04  Robert Reif <reif@earthlink.net>

	* test/testsimplifytypedef.cpp: Tokenizer::simplifyTypedef: Add test
	that #5191 is fixed (function pointer)

2014-12-03  orbitcowboy <ettl.martin78@gmail.com>

	* test/testmathlib.cpp: Improved test coverage of MathLib.

2014-12-03  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/tokenize.cpp, test/testsimplifytokens.cpp: Fixed #6290
	(Tokenizer: Because 'and' is not simplified to '&&' there are false
	positives)

2014-12-02  PKEuS <philipp.kloke@web.de>

	* : Merge pull request #476 from Dmitry-Me/cacheAndReuseValue2 Cache and reuse value

2014-12-02  Matthias Krüger <matthias.krueger@famsik.de>

	* Makefile: run dmake

2014-12-02  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* cli/cppcheckexecutor.cpp, lib/check.h,
	lib/checkbufferoverrun.cpp, lib/checkbufferoverrun.h,
	lib/checkuninitvar.cpp, lib/checkuninitvar.h,
	lib/checkunusedfunctions.cpp, lib/checkunusedfunctions.h,
	lib/cppcheck.cpp, lib/cppcheck.h: Refactoring CheckUnusedFunctions
	so it uses new infrastructure for multifile analysis

2014-12-01  Dmitry-Me <wipedout@yandex.ru>

	* lib/checkbool.cpp, lib/checkboost.cpp,
	lib/checkbufferoverrun.cpp, lib/tokenize.cpp: Refactoring: Replace
	names with underscores with camelCase names

2014-11-30  amai2012 <amai2012@users.noreply.github.com>

	* : Merge pull request #474 from Dmitry-Me/reorderChecks Reorder checks to avoid redundant actions

2014-11-30  Dmitry-Me <wipedout@yandex.ru>

	* lib/symboldatabase.cpp: Cache and reuse previously computed value

2014-11-28  Dmitry-Me <wipedout@yandex.ru>

	* lib/checkclass.cpp: Code cleanup. Use 'isDelete' instead of token
	match

2014-11-28  Dmitry-Me <wipedout@yandex.ru>

	* lib/tokenize.cpp: Code cleanup. Omit redundant check.

2014-11-28  Robert Reif <reif@earthlink.net>

	* lib/tokenize.cpp, test/testgarbage.cpp,
	test/testsimplifytypedef.cpp: Fixed #3314 (cppcheck incorrectly
	reporting Syntax error.)

2014-11-27  Robert Reif <reif@earthlink.net>

	* lib/tokenize.cpp, test/testclass.cpp,
	test/testsimplifytypedef.cpp: Fixed #6268 (False positive
	functionStatic (inconclusive) - nested namespaces)

2014-11-26  Alexander Mai <amai@users.sf.net>

	* test/testmathlib.cpp: Increase test coverage for MathLib

2014-11-26  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/check.cpp, lib/check.h: astyle formatting

2014-11-26  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/check.cpp: Fixed memory leaks for non-solaris compilers.

2014-11-25  amai2012 <amai2012@users.noreply.github.com>

	* : Merge pull request #469 from lasergnu/SEGV Fix SEGV on Solaris x86

2014-11-25  Jay Sigbrandt <jaysig@hotmail.com>

	* lib/check.cpp, lib/check.h: Fix SEGV on Solaris x86 On Solaris x86, with both GCC 4.8 and 4.9, running cppcheck causes a
	segmentation fault when process terminates.  The backtrace (dbx) where =>[1]
	  _ZNSt14_List_iteratorIP5CheckEppEv(0x804798c, 0x8047994, 0xc0d61d6,
	  0x291a), at 0x8291b7c [2] std::list<Check*, std::allocator,
	  <Check*>void>::remove(0x84ab328, 0x80479c8, 0x80479d4, 0x82d96fc),
	  at 0x82da984 [3] Check::~Check(0x84a9fc4, 0x83d232c, 0xfef411fb,
	  0x83d135c), at 0x82d9709 [4]
	  CheckExceptionSafety::~CheckExceptionSafety(0x84a9fc4, 0xfee82a40,
	  0xfee82a40, 0xfedcf000), at 0x8311e7d [5]
	  __static_initialization_and_destruction_0(0x0, 0xffff, 0xfedd4c80,
	  0xfedcf000), at 0x81b01f8 [6]
	  _GLOBAL__sub_D__ZN20CheckExceptionSafety11destructorsEv(0x83d135c,
	  0xfedd4f18, 0x8047a50, 0x828a5f5, 0xfedcf000, 0x8047a68), at
	  0x81b023c [7] __do_global_dtors_aux(0xfedcf000, 0x8047a68,
	  0xfece28cd, 0x8047b08, 0x8047a48, 0xfedcf000), at 0x8185b90 [8]
	  _fini(0x8047b08, 0x8047a48, 0xfedcf000, 0xfedd4f00, 0x8047a80,
	  0xfecd4e72), at 0x828a5f5 [9] _exithandle(0xfeffb7d8, 0x8185a1a,
	  0x0, 0x0, 0x0, 0x0), at 0xfece28cd [10] exit(0x1, 0x8047b70, 0x0,
	0x8047ba3, 0x8047bba, 0x8047ce6), at 0xfecd4e72 The destructor order is somehow getting messed up on this platform.  This fix moves the code away from header file and ensures _instances
	remains valid during termination.

2014-11-24  Matthias Krüger <matthias.krueger@famsik.de>

	* Makefile: run dmake

2014-11-24  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* cli/cppcheckexecutor.cpp, lib/check.h,
	lib/checkbufferoverrun.cpp, lib/checkbufferoverrun.h,
	lib/checkuninitvar.cpp, lib/checkuninitvar.h,
	lib/checkunusedfunctions.cpp, lib/checkunusedfunctions.h,
	lib/cppcheck.cpp, lib/cppcheck.h, test/testunusedfunctions.cpp: 
	Reverted refactoring 828417c for now. It caused a major slowdown in
	the unused functions checking.

2014-11-22  Dmitry-Me <wipedout@yandex.ru>

	* lib/checkstl.cpp: Remove redundant variable and manipulation
	thereof

2014-11-20  Frank Zingsheim <f.zingsheim@gmx.de>

	* lib/checkmemoryleak.cpp, test/testmemleak.cpp: Fixed #6238 (false
	positive with double fopen)

2014-11-20  Alexander Mai <amai@users.sf.net>

	* lib/checkunusedvar.cpp, lib/executionpath.h, lib/mathlib.cpp: Fix
	some (clang) compiler warnings

2014-11-20  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* cli/cmdlineparser.h, cli/filelister.h, cli/threadexecutor.h,
	democlient/democlient.cpp, gui/application.h,
	gui/applicationlist.h, gui/erroritem.h, gui/filelist.cpp,
	gui/main.cpp, gui/mainwindow.cpp, gui/project.h,
	gui/projectfile.cpp, gui/projectfile.h, gui/projectfiledialog.cpp,
	gui/resultstree.cpp, gui/resultstree.h, gui/resultsview.cpp,
	gui/resultsview.h, gui/settingsdialog.cpp,
	gui/test/benchmark/simple/benchmarksimple.h,
	gui/test/data/benchmark/simple.cpp, gui/threadresult.cpp,
	gui/translationhandler.cpp, gui/translationhandler.h,
	gui/xmlreport.cpp, gui/xmlreportv1.cpp, gui/xmlreportv2.cpp,
	lib/check.h, lib/check64bit.h, lib/checkassert.h,
	lib/checkautovariables.h, lib/checkbool.h, lib/checkboost.h,
	lib/checkbufferoverrun.h, lib/checkclass.h, lib/checkcondition.h,
	lib/checkexceptionsafety.h, lib/checkinternal.h, lib/checkio.cpp,
	lib/checkio.h, lib/checkleakautovar.h, lib/checkmemoryleak.h,
	lib/checknonreentrantfunctions.h, lib/checknullpointer.h,
	lib/checkobsolescentfunctions.h, lib/checkother.h,
	lib/checkpostfixoperator.h, lib/checksizeof.h, lib/checkstl.cpp,
	lib/checkstl.h, lib/checkstring.h, lib/checktype.h,
	lib/checkuninitvar.cpp, lib/checkuninitvar.h,
	lib/checkunusedfunctions.h, lib/checkunusedvar.cpp,
	lib/checkunusedvar.h, lib/checkvaarg.h, lib/cppcheck.h,
	lib/cxx11emu.h, lib/errorlogger.h, lib/executionpath.h,
	lib/library.h, lib/mathlib.h, lib/path.h, lib/preprocessor.cpp,
	lib/preprocessor.h, lib/settings.h, lib/suppressions.h,
	lib/symboldatabase.h, lib/timer.h, lib/token.h, lib/tokenize.cpp,
	lib/tokenize.h, lib/tokenlist.h, test/redirect.h,
	test/test64bit.cpp, test/testassert.cpp,
	test/testautovariables.cpp, test/testbool.cpp, test/testboost.cpp,
	test/testbufferoverrun.cpp, test/testcharvar.cpp,
	test/testclass.cpp, test/testcmdlineparser.cpp,
	test/testcondition.cpp, test/testconstructors.cpp,
	test/testcppcheck.cpp, test/testerrorlogger.cpp,
	test/testexceptionsafety.cpp, test/testfilelister.cpp,
	test/testgarbage.cpp, test/testincompletestatement.cpp,
	test/testinternal.cpp, test/testio.cpp, test/testleakautovar.cpp,
	test/testlibrary.cpp, test/testmathlib.cpp, test/testmemleak.cpp,
	test/testnonreentrantfunctions.cpp, test/testnullpointer.cpp,
	test/testobsolescentfunctions.cpp, test/testoptions.cpp,
	test/testother.cpp, test/testpath.cpp, test/testpathmatch.cpp,
	test/testpostfixoperator.cpp, test/testpreprocessor.cpp,
	test/testsamples.cpp, test/testsimplifytemplate.cpp,
	test/testsimplifytokens.cpp, test/testsimplifytypedef.cpp,
	test/testsizeof.cpp, test/teststl.cpp, test/teststring.cpp,
	test/testsuite.cpp, test/testsuppressions.cpp,
	test/testsymboldatabase.cpp, test/testthreadexecutor.cpp,
	test/testtimer.cpp, test/testtoken.cpp, test/testtokenize.cpp,
	test/testtype.cpp, test/testuninitvar.cpp,
	test/testunusedfunctions.cpp, test/testunusedprivfunc.cpp,
	test/testunusedvar.cpp, test/testutils.h, test/testvaarg.cpp,
	test/testvalueflow.cpp, test/testvarid.cpp, tools/reduce.cpp: astyle
	formatting

2014-11-20  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* runastyle: Revert "Updated Artistic Style from version 2.03 to
	2.05" This reverts commit b1329bfb406475bfc25e26a9b44dc33940e9eede.

2014-11-20  orbitcowboy <ettl.martin78@gmail.com>

	* lib/mathlib.cpp, test/testmathlib.cpp: Fixed #6281: MathLib: Long
	integer suffix i64 is not supported.

2014-11-20  orbitcowboy <ettl.martin78@gmail.com>

	* cli/cmdlineparser.h, cli/filelister.h, cli/threadexecutor.h,
	democlient/democlient.cpp, gui/application.h,
	gui/applicationlist.h, gui/erroritem.h, gui/filelist.cpp,
	gui/main.cpp, gui/mainwindow.cpp, gui/project.h,
	gui/projectfile.cpp, gui/projectfile.h, gui/projectfiledialog.cpp,
	gui/resultstree.cpp, gui/resultstree.h, gui/resultsview.cpp,
	gui/resultsview.h, gui/settingsdialog.cpp,
	gui/test/benchmark/simple/benchmarksimple.h,
	gui/test/data/benchmark/simple.cpp, gui/threadresult.cpp,
	gui/translationhandler.cpp, gui/translationhandler.h,
	gui/xmlreport.cpp, gui/xmlreportv1.cpp, gui/xmlreportv2.cpp,
	lib/check.h, lib/check64bit.h, lib/checkassert.h,
	lib/checkautovariables.h, lib/checkbool.h, lib/checkboost.h,
	lib/checkbufferoverrun.h, lib/checkclass.h, lib/checkcondition.h,
	lib/checkexceptionsafety.h, lib/checkinternal.h, lib/checkio.cpp,
	lib/checkio.h, lib/checkleakautovar.h, lib/checkmemoryleak.h,
	lib/checknonreentrantfunctions.h, lib/checknullpointer.h,
	lib/checkobsolescentfunctions.h, lib/checkother.h,
	lib/checkpostfixoperator.h, lib/checksizeof.h, lib/checkstl.cpp,
	lib/checkstl.h, lib/checkstring.h, lib/checktype.h,
	lib/checkuninitvar.cpp, lib/checkuninitvar.h,
	lib/checkunusedfunctions.h, lib/checkunusedvar.cpp,
	lib/checkunusedvar.h, lib/checkvaarg.h, lib/cppcheck.h,
	lib/cxx11emu.h, lib/errorlogger.h, lib/executionpath.h,
	lib/library.h, lib/mathlib.h, lib/path.h, lib/preprocessor.cpp,
	lib/preprocessor.h, lib/settings.h, lib/suppressions.h,
	lib/symboldatabase.h, lib/timer.h, lib/token.h, lib/tokenize.cpp,
	lib/tokenize.h, lib/tokenlist.h, test/redirect.h,
	test/test64bit.cpp, test/testassert.cpp,
	test/testautovariables.cpp, test/testbool.cpp, test/testboost.cpp,
	test/testbufferoverrun.cpp, test/testcharvar.cpp,
	test/testclass.cpp, test/testcmdlineparser.cpp,
	test/testcondition.cpp, test/testconstructors.cpp,
	test/testcppcheck.cpp, test/testerrorlogger.cpp,
	test/testexceptionsafety.cpp, test/testfilelister.cpp,
	test/testgarbage.cpp, test/testincompletestatement.cpp,
	test/testinternal.cpp, test/testio.cpp, test/testleakautovar.cpp,
	test/testlibrary.cpp, test/testmathlib.cpp, test/testmemleak.cpp,
	test/testnonreentrantfunctions.cpp, test/testnullpointer.cpp,
	test/testobsolescentfunctions.cpp, test/testoptions.cpp,
	test/testother.cpp, test/testpath.cpp, test/testpathmatch.cpp,
	test/testpostfixoperator.cpp, test/testpreprocessor.cpp,
	test/testsamples.cpp, test/testsimplifytemplate.cpp,
	test/testsimplifytokens.cpp, test/testsimplifytypedef.cpp,
	test/testsizeof.cpp, test/teststl.cpp, test/teststring.cpp,
	test/testsuite.cpp, test/testsuppressions.cpp,
	test/testsymboldatabase.cpp, test/testthreadexecutor.cpp,
	test/testtimer.cpp, test/testtoken.cpp, test/testtokenize.cpp,
	test/testtype.cpp, test/testuninitvar.cpp,
	test/testunusedfunctions.cpp, test/testunusedprivfunc.cpp,
	test/testunusedvar.cpp, test/testutils.h, test/testvaarg.cpp,
	test/testvalueflow.cpp, test/testvarid.cpp, tools/reduce.cpp: 
	running astyle

2014-11-20  orbitcowboy <ettl.martin78@gmail.com>

	* runastyle: Updated Artistic Style from version 2.03 to 2.05

2014-11-20  Robert Reif <reif@earthlink.net>

	* lib/checkclass.cpp, lib/symboldatabase.cpp, test/testclass.cpp,
	test/testconstructors.cpp: Fixed #6279 (False Positive: Member
	variable 'Fred::i' is not initialized in the constructor)

2014-11-19  Robert Reif <reif@earthlink.net>

	* lib/mathlib.cpp, test/testmathlib.cpp: Fixed #6280 (MathLib:
	binary literals are integers)

2014-11-18  Alexander Mai <amai@users.sf.net>

	* test/testsymboldatabase.cpp, test/testutils.h: Fix invalid
	assertion from recent commit. Make single argument
	givenACodeSampleToTokenize ctor explicit.

2014-11-18  PKEuS <philipp@kloke-witten.dyndns.org>

	* lib/checkother.cpp, test/testincompletestatement.cpp: Fixed #6260
	- C++11 style array initialization

2014-11-18  PKEuS <philipp@kloke-witten.dyndns.org>

	* lib/tokenize.cpp, test/testtokenize.cpp: Fixed #6275:
	Simplification of = (NULL); to = 0;

2014-11-18  Alexander Mai <amai@users.sf.net>

	* lib/checkstl.cpp, test/testsymboldatabase.cpp: Fix compiler
	warning. run astyle

2014-11-18  PKEuS <philipp@kloke-witten.dyndns.org>

	* lib/tokenize.cpp, test/testtokenize.cpp: Fixed #6278: Remove casts
	to references to pointers in Tokenizer::simplifyCasts()

2014-11-18  PKEuS <philipp.kloke@web.de>

	* : Merge pull request #465 from Dmitry-Me/removeRedundantActions2 Omit unneeded operations

2014-11-18  Dmitry-Me <wipedout@yandex.ru>

	* lib/checkmemoryleak.cpp, lib/preprocessor.cpp: Code cleanup. Omit
	redundant actions.

2014-11-17  Alexander Mai <amai@users.sf.net>

	* lib/symboldatabase.cpp: Cure null pointer access within
	Scope::findFunction introduced by recent cs

2014-11-17  Alexander Mai <amai@users.sf.net>

	* test/testsymboldatabase.cpp: Cure null pointer access within
	Scope::findFunction introduced by recent cs

2014-11-17  Robert Reif <reif@earthlink.net>

	* lib/symboldatabase.cpp, lib/symboldatabase.h,
	test/testconstructors.cpp, test/testsymboldatabase.cpp,
	test/testuninitvar.cpp: Fixed #6230 (SymbolDatabase: Wrong
	function() is set for token)

2014-11-17  Robert Reif <reif@earthlink.net>

	* lib/mathlib.cpp, test/testmathlib.cpp: Fixed #6274
	(MathLib::isFloat doesn't recognize long double literal suffix L or
	l)

2014-11-16  Alexander Mai <amai@users.sf.net>

	* lib/symboldatabase.h, lib/token.h: Small doxygen fixes

2014-11-16  Alexander Mai <amai@users.sf.net>

	* test/testmathlib.cpp: #633 Adding tests for some MathLib member
	functions, should reach 100% function coverage now

2014-11-15  amai2012 <amai2012@users.noreply.github.com>

	* : Merge pull request #463 from simartin/ucontext_h_macosx_gt_10_7 Restore build on Mac OSX >= 10.7 since the inclusion of ucontext.h

2014-11-15  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* Makefile: ran dmake

2014-11-15  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* cli/cppcheckexecutor.cpp, lib/check.h,
	lib/checkbufferoverrun.cpp, lib/checkbufferoverrun.h,
	lib/checkuninitvar.cpp, lib/checkuninitvar.h,
	lib/checkunusedfunctions.cpp, lib/checkunusedfunctions.h,
	lib/cppcheck.cpp, lib/cppcheck.h, test/testunusedfunctions.cpp: 
	CheckUnusedFunction: Refactorings to use same infrastructure for
	whole program analysis as CheckUninitVar and CheckBufferOverrun

2014-11-15  Alexander Mai <amai@users.sf.net>

	* : commit b8224edaac46b90edd2b953938a2f753c03bd540 Author:
	Alexander Mai <amai@users.sf.net> Date:   Sat Nov 15 12:10:18 2014
	+0100

2014-11-15  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* Makefile: ran dmake

2014-11-15  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* cli/cppcheckexecutor.cpp, lib/check.h,
	lib/checkbufferoverrun.cpp, lib/checkbufferoverrun.h,
	lib/checkmemoryleak.cpp, lib/checkuninitvar.cpp,
	lib/checkuninitvar.h, lib/cppcheck.cpp, lib/cppcheck.h,
	test/testuninitvar.cpp: Fixed #6272 (Improve check: multifile
	checking in checkbufferoverrun)

2014-11-14  Alexander Mai <amai@users.sf.net>

	* cli/cppcheckexecutor.cpp: Improve exception handler: detect read
	or write on SIGSEGV (linux only), create more suitable core dump,
	reduce usage of fprintf()

2014-11-14  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* test/testmathlib.cpp: astyle formatting

2014-11-14  Dmitry-Me <wipedout@yandex.ru>

	* lib/checkother.cpp: CheckOther::invalidPointerCast: Incorrect
	interpretation of settings

2014-11-14  amai2012 <amai2012@users.noreply.github.com>

	* : Merge pull request #461 from Dmitry-Me/reuseCOmputedValues Reuse previously computed values

2014-11-14  orbitcowboy <ettl.martin78@gmail.com>

	* lib/mathlib.cpp, test/testmathlib.cpp: MathLib: Added test for
	isDec() and removed not required state.

2014-11-13  PKEuS <philipp@kloke-witten.dyndns.org>

	* cli/main.cpp, man/manual.docbook, win_installer/productInfo.wxi: 
	Set version to 1.67.99/"1.68 dev" in the remaining places

2014-11-13  Alexander Mai <amai@users.sf.net>

	* cli/pathmatch.h, lib/checkio.cpp, lib/checkunusedvar.cpp,
	lib/tokenlist.cpp: Make single-argument constructors explicit

2014-11-13  Alexander Mai <amai@users.sf.net>

	* lib/version.h: Increase CPPCHECK_DEVMINOR to 68

2014-11-13  Dmitry-Me <wipedout@yandex.ru>

	* lib/checkother.cpp, test/testother.cpp: Don't show warning for
	same expressions alongside == in static_assert

2014-11-01  orbitcowboy <ettl.martin78@gmail.com>

	* readme.md: Fixed #6270: Cross compiling instructions for cppcheck
	are wrong.

2014-11-13  Robert Reif <reif@earthlink.net>

	* lib/checkclass.cpp, lib/symboldatabase.cpp: Symboldatabase:
	improved look up of delegate constructors

2014-11-11  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/symboldatabase.cpp, test/testsymboldatabase.cpp: Revert "Fixed
	#6230 (SymbolDatabase: Wrong function() is set for token)" This reverts commit 685fce6b917b3d071707b5b914d8c45ed8385725.

2014-11-10  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/tokenize.cpp, test/testsimplifytokens.cpp: Fixed #3262
	(Tokenizer: wrong 'return a=1,b=2,...;' simplification;)

2014-11-08  Matthias Krüger <matthias.krueger@famsik.de>

	* htmlreport/cppcheck-htmlreport: htmlreport: only include verbose
	messages if they differ from the regular/actual message.

2014-11-08  Matthias Krüger <matthias.krueger@famsik.de>

	* htmlreport/cppcheck-htmlreport: htmlreport: remove link to the
	forum since it is no longer available.

2014-11-08  PKEuS <philipp.kloke@web.de>

	* : Merge pull request #459 from simartin/ticket_6059 Ticket #6059: Properly handle class... in parameter lists.

2014-11-07  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/symboldatabase.cpp, test/testsymboldatabase.cpp: Fixed #6230
	(SymbolDatabase: Wrong function() is set for token)

2014-11-07  Robert Reif <reif@earthlink.net>

	* test/testsymboldatabase.cpp: Symbol database: added test for
	findfunction

2014-11-07  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checkmemoryleak.cpp, test/testmemleak.cpp: Fixed #5993 (FP:
	memleak (linux list))

2014-11-03  Frank Zingsheim <f.zingsheim@gmx.de>

	* lib/checkother.cpp, test/testother.cpp: Fixed #6252 (False
	positive "freed twice") --HG-- extra : rebase_source :
	24f801452fbefa3a59ab2cca62c3cf02aea513b6

2014-11-02  Alexander Mai <amai@users.sf.net>

	* : commit 95cd0f396ad16ce48ccd799f5e1c6ff20edd5ee1 Author:
	Alexander Mai <amai@users.sf.net> Date:   Sun Nov 2 15:47:55 2014
	+0100

2014-11-02  Matthias Krüger <matthias.krueger@famsik.de>

	* .travis_suppressions: travis: remove self-check suppression that
	is now redundant (variableScope:test/testvalueflow.cpp)

2014-11-02  PKEuS <philipp.kloke@web.de>

	* lib/checkclass.cpp, test/testclass.cpp: Fixed #5983: Support
	storing pointers/references to member variables in
	CheckClass::checkConst()

2014-11-02  Robert Reif <reif@earthlink.net>

	* lib/symboldatabase.cpp, lib/symboldatabase.h, lib/tokenize.cpp,
	test/testsymboldatabase.cpp: SymbolDatabase: reintroduce test, move
	symboldatabase cleanup code to SymbolDatabase destructor

2014-11-01  Frank Zingsheim <f.zingsheim@gmx.de>

	* lib/templatesimplifier.cpp, lib/templatesimplifier.h,
	test/testsimplifytemplate.cpp: Fixed #4272 and #6237 (Crash from
	running out of memory with many templates)

2014-11-01  Alexander Mai <amai@users.sf.net>

	* lib/cxx11emu.h: cppcheck compilation fails with g++4.6.3. Patch
	from mavik1

2014-11-01  Robert Reif <reif@earthlink.net>

	* lib/symboldatabase.cpp, lib/tokenize.cpp,
	test/testsymboldatabase.cpp: SymbolDatabase: Refactoring of
	findFunction

2014-11-01  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checkuninitvar.cpp, test/testuninitvar.cpp: Fixed #4970 (false
	positive: conditionally initialized variable used in if-clause
	(git/notes.c))

2014-10-31  PKEuS <kloke@uni-bonn.de>

	* lib/tokenize.cpp, lib/tokenize.h, test/testtokenize.cpp: 
	Refactorization: Changed simplifyMathFunctions() to a single pass
	simplifier

2014-10-31  PKEuS <kloke@uni-bonn.de>

	* lib/tokenize.cpp: Refactorization: Avoid string copying.

2014-10-31  PKEuS <philipp@kloke-witten.dyndns.org>

	* lib/tokenize.cpp: Removed unnecessary conditions and avoid string
	copying in Tokenizer::simplifyMathFunctions()

2014-10-31  Matthias Krüger <matthias.krueger@famsik.de>

	* Makefile: run dmake

2014-10-31  PKEuS <philipp@kloke-witten.dyndns.org>

	* lib/checkmemoryleak.cpp, lib/checknonreentrantfunctions.cpp,
	lib/checkother.cpp, lib/checkstring.cpp, test/testother.cpp: 
	Refactorization: Avoid iterations over whole token list, limited
	several checks to function scopes.

2014-10-17  PKEuS <kloke@uni-bonn.de>

	* cli/cppcheckexecutor.h, lib/path.cpp: Refactorization: avoid
	string copying in Path::getPathFromFilename()

2014-10-17  PKEuS <kloke@uni-bonn.de>

	* lib/tokenize.cpp: Rearranged some code in simplifyTypedef

2014-10-30  PKEuS <philipp@kloke-witten.dyndns.org>

	* lib/checkother.cpp, lib/checkother.h, test/testother.cpp: Some
	fixes for CheckOther::checkIgnoredReturnValue(): - Fixed name of the function - Fixed false positive for code like "class strcmp { strcmp() {} };" - Fixed FP #6233 on checking side (no AST generated for function
	call)

2014-10-30  PKEuS <philipp@kloke-witten.dyndns.org>

	* lib/checkother.cpp, test/testother.cpp: Handle overloads and
	custom implementations of functions checkReturnIgnoredReturnValue()
	to avoid false positives

2014-10-30  Robert Reif <reif@earthlink.net>

	* lib/symboldatabase.cpp: SymbolDatabase: change
	symboldatabase::findFunction to only check function arguments for
	function calls

2014-10-30  PKEuS <philipp@kloke-witten.dyndns.org>

	* lib/tokenize.cpp, test/testtokenize.cpp: Fixed createLinks2() when
	> is followed by ; (#6242)

2014-10-29  PKEuS <philipp@kloke-witten.dyndns.org>

	* man/manual.docbook: Improved documentation of .cfg files.

2014-10-23  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* : Merge pull request #456 from simartin/ticket_6817_take2 Ticket #6187: Avoid infinite loop if eraseDeadCode does not remove
	anything (this time without memory corruption).

2014-10-22  Simon Martin <simartin@users.sourceforge.net>

	* lib/tokenize.cpp, test/testsimplifytokens.cpp: Ticket #6187: Avoid
	infinite loop if eraseDeadCode does not remove anything (this time
	without memory corruption).

2014-10-21  Frank Zingsheim <f.zingsheim@gmx.de>

	* lib/checkbufferoverrun.cpp, test/testbufferoverrun.cpp: Ticket
	#6232 (cppOut of bounds array access) --HG-- extra : rebase_source :
	79ed3533a12a486ea3ed3f09f9bc55b1a4771161

2014-10-21  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/path.cpp: Fixed #6231 (mingw compiler error:
	Path::getAbsoluteFilePath)

2014-10-21  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checkautovariables.cpp, test/testautovariables.cpp: Fixed
	#4776 (FP: Assignment of function parameter has no effect outside
	the function, with goto)

2014-10-21  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* : Merge pull request #455 from Dmitry-Me/refactorNumberIsX Reuse code in isXNumber() to avoid duplication and unneeded
	computations

2014-10-21  Robert Reif <reif@earthlink.net>

	* cfg/windows.cfg, lib/tokenize.cpp, test/testtokenize.cpp: Fixed
	#6229 (Move Windows builtin types __intXX to library)

2014-10-20  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/valueflow.cpp, test/testvalueflow.cpp: Fixed #6002 (Defect:
	False positive due to pointer address not being associated with
	variable in for loop)

2014-10-20  Robert Reif <reif@earthlink.net>

	* lib/checkio.cpp, test/testio.cpp: Fixed #6226 (false negative:
	printf format check for user defined array type)

2014-10-19  Robert Reif <reif@earthlink.net>

	* cfg/windows.cfg, cli/cmdlineparser.cpp, cli/cppcheckexecutor.cpp,
	gui/mainwindow.cpp, lib/library.cpp, lib/library.h, lib/path.cpp,
	lib/path.h, lib/tokenize.cpp, test/testio.cpp,
	test/testsimplifytokens.cpp, test/testtokenize.cpp: Fixed #6215
	(Move Windows platform types into library)

2014-10-18  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checknonreentrantfunctions.h, lib/checkobsolescentfunctions.h: 
	doc: updated wiki syntax for --doc output

2014-10-18  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* Makefile: Makefile: restore debug mode after 1.67 release

2014-10-18  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* Makefile: 1.67: Updated Makefile

2014-10-18  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* cli/main.cpp, lib/version.h, man/manual.docbook,
	win_installer/productInfo.wxi: 1.67: set version

2014-10-18  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* AUTHORS: Updated AUTHORS

2014-10-18  PKEuS <philipp.kloke@web.de>

	* test/testnullpointer.cpp: Removed obsolete comments

2014-10-18  PKEuS <philipp.kloke@web.de>

	* externals/tinyxml/tinyxml2.cpp, externals/tinyxml/tinyxml2.h: 
	Updated tinyxml to d211bb13512cf4edb408e2c4badbcf4100ce0fd0

2014-10-18  PKEuS <philipp.kloke@web.de>

	* gui/cppcheck_de.ts, gui/cppcheck_es.ts, gui/cppcheck_fi.ts,
	gui/cppcheck_fr.ts, gui/cppcheck_it.ts, gui/cppcheck_ja.ts,
	gui/cppcheck_ko.ts, gui/cppcheck_nl.ts, gui/cppcheck_ru.ts,
	gui/cppcheck_sr.ts, gui/cppcheck_sv.ts, gui/cppcheck_zh_CN.ts: Ran
	lupdate gui.pro, updated german translation

2014-10-18  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checkother.cpp: Fixed Cppcheck warning, possible null pointer
	dereference of tok.

2014-10-18  Alexander Mai <amai@users.sf.net>

	* cfg/std.cfg: Using the return value of strtok() is not mandatory
	since it the first argument may be modified (fixing a FP in
	LibreOffice)

2014-10-17  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/valueflow.cpp, test/testvalueflow.cpp: Fixed #6219
	(valueFlowForward: better multivariable analysis needed to avoid FP)

2014-10-16  Frank Zingsheim <f.zingsheim@gmx.de>

	* lib/checkuninitvar.cpp, lib/symboldatabase.cpp,
	test/testconstructors.cpp, test/testuninitvar.cpp: Fixed false
	positives about uninitialized member variables if variable has a
	default value (#5500)

2014-10-16  Frank Zingsheim <f.zingsheim@gmx.de>

	* lib/tokenize.cpp, test/testconstructors.cpp, test/testother.cpp,
	test/testsimplifytypedef.cpp, test/testvarid.cpp: Fixed #6222
	 (Missing varid for multiple braced initialized variables) -> Fixed
	broken code in unit tests

2014-10-16  PKEuS <philipp@kloke-witten.dyndns.org>

	* lib/checknullpointer.cpp: Added missing relational operators to
	pattern, as suggested in #6189

2014-10-16  PKEuS <philipp@kloke-witten.dyndns.org>

	* lib/checknullpointer.cpp, test/testnullpointer.cpp: Restored
	functionality to detect std::string(0) calls as null pointer
	dereferences (#6189)

2014-10-16  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/tokenlist.cpp, test/testtokenize.cpp: Fixed #5891 (AST: wrong
	ast generated for 'x = (int)(double(123)*i);')

2014-10-16  PKEuS <philipp@kloke-witten.dyndns.org>

	* lib/tokenize.cpp, test/testsimplifytokens.cpp: Fixed bug in
	Tokenizer::simplifyReference() (#6133)

2014-10-16  PKEuS <philipp@kloke-witten.dyndns.org>

	* test/testsymboldatabase.cpp: Removed unused function from
	testsymboldatabase.cpp

2014-10-16  PKEuS <philipp@kloke-witten.dyndns.org>

	* lib/tokenize.cpp, test/testbufferoverrun.cpp,
	test/testexceptionsafety.cpp, test/testgarbage.cpp,
	test/testmemleak.cpp, test/testsymboldatabase.cpp,
	test/testtokenize.cpp, test/testuninitvar.cpp,
	test/testunusedvar.cpp, test/testvalueflow.cpp: Collected garbage
	code tests and moved them to testgarbage.cpp

2014-10-16  Frank Zingsheim <f.zingsheim@gmx.de>

	* lib/symboldatabase.cpp, lib/symboldatabase.h,
	test/testconstructors.cpp: Fixed #6214: non-static member
	initializer causes false positive

2014-10-16  Samuel Degrande <degrande.samuel@orange.fr>

	* lib/checkother.cpp: Fixed newline in verbose message

2014-10-16  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* runastyle: runastyle: updated script

2014-10-16  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/tokenize.cpp, test/testsimplifytokens.cpp: Reverted f088588c
	fix for #6187 that fixes infinite loop, the fix cause a
	use-after-free regression.

2014-10-15  Samuel Degrande <degrande.samuel@orange.fr>

	* htmlreport/cppcheck-htmlreport: HTML report: display 'verbose'
	message using clickable expandable divs

2014-10-15  Robert Reif <reif@earthlink.net>

	* test/testsymboldatabase.cpp: Added test for #6171

2014-10-15  Frank Zingsheim <f.zingsheim@gmx.de>

	* lib/tokenize.cpp, test/testtokenize.cpp: Support {} initialization
	in initializer list (#6216)

2014-10-15  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/valueflow.cpp, test/testvalueflow.cpp: Fixed #6067 (ValueFlow:
	subfunction, condition with && or ||)

2014-10-15  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/tokenize.cpp: Tokenizer::setVarId: Refactored fix to avoid
	varId for function name

2014-10-14  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/tokenize.cpp, test/testvarid.cpp: Tokenizer::varId: don't set
	varid for function name in code 'bool f(X x, int=3);'

2014-10-14  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/symboldatabase.cpp: SymbolDatabase: fix debug output

2014-10-14  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checkleakautovar.cpp, test/testleakautovar.cpp: leakautovar:
	handling of unknown/non-pod types in c++

2014-10-14  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* cfg/avr.cfg, cfg/posix.cfg, cfg/qt.cfg, cfg/sdl.cfg, cfg/std.cfg,
	cfg/windows.cfg: cfg: formatted the cfg files with the runastyle
	script

2014-10-14  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* runastyle: runastyle: use xmllint to format cfg files. TODO: use
	other tool? use tabs instead of spaces for indentation in cfg files?

2014-10-14  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* cfg/posix.cfg: Reverted 5e08784b5c3b77ee4db15ac4e3602d3d740e638f.
	There are unwanted changes, for instance for closedir. The
	use-retval should only be used when it's pointless to call the
	function without taking the return value.

2014-10-13  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/tokenlist.cpp, test/testtokenize.cpp: ast: don't hang when
	invalid code with new is found 'new (var1,var2,var3);'

2014-10-12  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/symboldatabase.cpp, test/testsymboldatabase.cpp: Fixed #6190
	(SymbolDatabase: variable info not set properly when
	reinterpret_cast is used)

2014-10-12  Frank Zingsheim <f.zingsheim@gmx.de>

	* lib/symboldatabase.cpp, test/testconstructors.cpp: Fixed #6214
	(non-static member initializer causes false positive (function call;
	initializer))

2014-10-12  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/tokenlist.cpp, test/testtokenize.cpp: AST: fixed ast for 'new
	(char *)[10]'

2014-10-12  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/tokenlist.cpp, test/testtokenize.cpp: AST: fixed ast for
	'a(new A(1)), b(new B(2))'

2014-10-12  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/tokenlist.cpp, test/testtokenize.cpp: AST: fixed ast for 'a =
	new (b) ::X;'

2014-10-12  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/tokenlist.cpp, test/testtokenize.cpp: AST: fixed ast for
	'a(new (X), 5);'

2014-10-12  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/tokenlist.cpp, test/testtokenize.cpp: AST: fixed ast for
	'a(new (X));'

2014-10-11  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/tokenize.cpp, test/testvarid.cpp: Tokenizer::setVarId: better
	handling of c++ casts

2014-10-11  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* tools/daca2.py: daca2: allow -j option

2014-10-11  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/valueflow.cpp, test/testvalueflow.cpp: Fixed #6138 (ValueFlow:
	entry can't be 0 in loop code 'while (entry = get()) entry->value;')

2014-10-11  Simon Martin <simartin@users.sourceforge.net>

	* lib/tokenize.cpp, test/testtokenize.cpp: 
	Tokenizer::simplifyConstTernaryOp: Properly detect the end of the
	'false' part of ternary operators when it contains '>'.

2014-10-11  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* tools/daca2.py: daca2: removed the bailout for wxwidgets. the
	varid fix for typedefs seem to fix the hangs.

2014-10-11  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/tokenize.cpp: Tokenizer::setVarId: A variable declaration
	can't start with the typedef keyword

2014-10-11  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* tools/daca2.py: daca2: skip wxwidgets for now to avoid hang

2014-10-11  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/tokenlist.cpp, test/testtokenize.cpp: AST: more fixes of new
	statements in clang test suite. some of it is not handled very well.

2014-10-11  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/tokenlist.cpp, test/testtokenize.cpp: AST: fixes for more new
	statements from clang test suite

2014-10-11  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/tokenize.cpp, test/testtokenize.cpp: 
	Tokenizer::simplifyRedundantParentheses: dont remove parentheses in
	'void * operator new(SIZE_TYPE, int);'

2014-10-11  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/tokenlist.cpp, test/testtokenize.cpp: AST: fixed hang for 'new
	(int S::*[3][4][5])()' (clang test suite)

2014-10-11  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* tools/daca2.py: daca2: skip valgrind for now because it's
	extremely slow. see #6151

2014-10-10  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/tokenlist.cpp: AST: generilized handling of auto usage in new
	statement

2014-10-10  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/tokenize.cpp: Fixed internal error, use Token::simpleMatch for
	pattern 'const new' instead of Token::Match

2014-10-10  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/tokenize.cpp, test/testvarid.cpp: Tokenizer::setVarId: don't
	set varid for 'auto' keyword

2014-10-10  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/templatesimplifier.cpp, test/testsimplifytokens.cpp: 
	simplifyCalculations: Fix simplification of '( %num% )' when
	parentheses must be kept

2014-10-10  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/tokenlist.cpp, test/testtokenize.cpp: AST: don't hang when
	using auto in new statement

2014-10-10  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/tokenlist.cpp, test/testtokenize.cpp: AST: improved handling
	of new

2014-10-10  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/tokenlist.cpp, test/testtokenize.cpp: Fixed #6203 (AST: fix
	problem with '; static_cast<...')

2014-10-10  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* test/testtokenize.cpp: astyle formatting [ci skip]

2014-10-08  orbitcowboy <ettl.martin78@gmail.com>

	* cfg/posix.cfg: Fixed #6196: Posix support for ignoreReturnValue
	and improved indentation of posix.cfg

2014-10-06  amai2012 <amai2012@users.noreply.github.com>

	* : Merge pull request #453 from simartin/ticket_5625 Ticket #5625: Simplify constant ternary operator in template
	parameters.

2014-10-04  Simon Martin <simartin@users.sourceforge.net>

	* lib/templatesimplifier.cpp, lib/tokenize.cpp,
	test/testtokenize.cpp: Ticket #5625: Simplify constant ternary
	operator in template parameters.

2014-10-03  PKEuS <philipp.kloke@web.de>

	* lib/cppcheck.cpp, lib/cppcheck.h: Fixed GUI bug: file test.cpp is
	loaded from file if scratchpad is empty.  The underlying problem was in lib and is fixed by changing the
	behaviour of CppCheck::check(). Checking is performed on empty
	content without attempt to load from file.

2014-10-03  PKEuS <philipp.kloke@web.de>

	* lib/cppcheck.cpp, lib/library.cpp, lib/tokenize.cpp,
	test/testtokenize.cpp: Some small refactorizations: - Removed redundant calls to std::string constructor - Use default parameters in some places

2014-10-02  PKEuS <kloke@uni-bonn.de>

	* lib/checkstl.cpp, test/teststl.cpp: Support do-loops in
	CheckStl::stlOutOfBounds()

2014-10-02  PKEuS <kloke@uni-bonn.de>

	* lib/check64bit.cpp, test/test64bit.cpp: Added support for member
	variables in Check64BitPortability::pointerassignment()

2014-10-02  PKEuS <kloke@uni-bonn.de>

	* test/testsimplifytypedef.cpp: Fixed two invalid TODO tests

2014-10-02  PKEuS <philipp.kloke@web.de>

	* lib/cppcheck.cpp: Reduce RAM usage: Avoid keeping a copy of the
	preprocessed source files content during checking.

2014-10-02  orbitcowboy <ettl.martin78@gmail.com>

	* lib/checkclass.h, lib/checkother.cpp: Fixed typos in comments, no
	functional changes.

2014-10-02  PKEuS <philipp.kloke@web.de>

	* : Merge pull request #452 from Dmitry-Me/stopOnceFirstMatchIsFound Don't proceed to outer scope once match is found

2014-10-01  PKEuS <philipp.kloke@web.de>

	* : Merge pull request #451 from lanurmi/childs-children Fix plural of "child" -- it is not "childs" but "children".

2014-10-01  PKEuS <kloke@uni-bonn.de>

	* lib/checkmemoryleak.cpp, test/testmemleak.cpp: Support :: prefix
	in front of allocation function.

2014-10-01  PKEuS <philipp.kloke@web.de>

	* lib/tokenize.cpp, test/testtokenize.cpp: Support more patterns
	when replacing stuff like 'or' (#6201)

2014-09-28  Simon Martin <simartin@users.sourceforge.net>

	* lib/tokenize.cpp, test/testsimplifytokens.cpp: Ticket #6187: Avoid
	infinite loop if eraseDeadCode does not remove anything (invalid
	goto into a dead loop's body).

2014-09-30  orbitcowboy <ettl.martin78@gmail.com>

	* lib/checkbufferoverrun.cpp: Fixed a typo in a comment. No
	functional changes.

2014-09-30  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* cli/cmdlineparser.cpp, lib/check64bit.h,
	lib/checkautovariables.h, lib/checkbool.h, lib/checkboost.h,
	lib/checkbufferoverrun.h, lib/checkclass.h, lib/checkcondition.h,
	lib/checkexceptionsafety.h, lib/checkio.h, lib/checknullpointer.h,
	lib/checkother.h, lib/checksizeof.h, lib/checkstl.h,
	lib/checkstring.h, lib/checktype.h, lib/checkuninitvar.h,
	lib/checkunusedvar.h, lib/checkvaarg.h: doc: changed --doc output to
	Markdown syntax

2014-09-30  PKEuS <philipp.kloke@web.de>

	* lib/checkmemoryleak.cpp, test/testmemleak.cpp: Fixed false
	positive #5327: fclose as inner function call

2014-09-30  PKEuS <philipp.kloke@web.de>

	* lib/checkmemoryleak.cpp, test/testmemleak.cpp: Detect "var +=
	fclose(f)" as deallocation (fixes false positive #6016)

2014-09-30  PKEuS <philipp.kloke@web.de>

	* lib/checkleakautovar.cpp, test/testleakautovar.cpp: Fixed false
	positive memoryLeak #6013

2014-09-30  PKEuS <philipp.kloke@web.de>

	* lib/checkunusedvar.cpp, test/testunusedvar.cpp: Fixed false
	positive 'unusedVar' with C++11 initialization (#6160)

2014-09-30  PKEuS <philipp.kloke@web.de>

	* test/testgarbage.cpp: Fixed order of check execution and
	simplification in testgarbage.cpp

2014-09-30  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* Makefile, test/testgarbage.cpp: Cleanup: Remove redundant
	#includes

2014-09-30  orbitcowboy <ettl.martin78@gmail.com>

	* test/testgarbage.cpp: When garabage code is checked, iterate over
	all checks.

2014-09-30  orbitcowboy <ettl.martin78@gmail.com>

	* Makefile, test/testgarbage.cpp: Added CheckStl to garabage code
	testing.

2014-09-30  orbitcowboy <ettl.martin78@gmail.com>

	* gui/mainwindow.cpp: Fixed gcc warning: mainwindow.cpp: In member
	function ‘Settings MainWindow::GetCppcheckSettings()’:
	mainwindow.cpp:575:24: warning: enumeration value
	                 ‘UNSUPPORTED_FORMAT’ not handled in switch [-Wswitch] switch
	                        (error.errorcode) { ^

2014-09-29  Matthias Krüger <matthias.krueger@famsik.de>

	* Makefile: run dmake

2014-09-29  Martin Ettl <ettl.martin78@googlemail.com>

	* : commit 4c3e721bf3d1e0f5ca6616cc35aab49b89bb9b1f Author: Martin
	Ettl <ettl.martin78@googlemail.com> Date:   Mon Sep 29 22:09:58 2014
	+0200

2014-09-29  PKEuS <philipp.kloke@web.de>

	* man/manual.docbook: document use of
	<pattern><![CDATA[...]]></pattern> (#5551)

2014-09-29  PKEuS <philipp.kloke@web.de>

	* test/testother.cpp: Fixed C&P-error in unit test that was added in
	previous commit

2014-09-29  PKEuS <philipp.kloke@web.de>

	* cfg/std.cfg, lib/checkother.cpp, test/testother.cpp: Fixed false
	positive ignoredReturnValue on unknown member function log() (#6197)

2014-09-29  Martin Ettl <ettl.martin78@googlemail.com>

	* lib/checkother.cpp, test/testgarbage.cpp: Fixed crash on garbage
	code in CheckOther::checkVariableScope(). The corresponding
	backtrace is hosted at

	https://github.com/orbitcowboy/cppcheck_crash_files/blob/master/crash223.cpp

2014-09-28  Martin Ettl <ettl.martin78@googlemail.com>

	* lib/tokenlist.cpp, test/testgarbage.cpp: Running astyle

2014-09-28  Martin Ettl <ettl.martin78@googlemail.com>

	* lib/tokenlist.cpp, test/testgarbage.cpp: Fix crash on garbage code
	in tokenlist. The corresponding backtrace along with a testcase is
	hosted at:

	https://github.com/orbitcowboy/cppcheck_crash_files/blob/master/crash220.cpp

2014-09-29  PKEuS <philipp.kloke@web.de>

	* lib/checkclass.cpp, test/testconstructors.cpp: Fixed false
	positive: Member variable not initialized in the constructor with
	array and (*this) (#5754)

2014-09-29  PKEuS <philipp.kloke@web.de>

	* cfg/avr.cfg, cfg/gtk.cfg, cfg/posix.cfg, cfg/qt.cfg, cfg/sdl.cfg,
	cfg/std.cfg, cfg/windows.cfg, cli/cmdlineparser.cpp,
	lib/library.cpp, lib/library.h, test/testlibrary.cpp: Added version
	attribute to .cfg files (#5928)

2014-09-29  PKEuS <philipp.kloke@web.de>

	* lib/checkbufferoverrun.cpp, test/testbufferoverrun.cpp: Fixed
	subsequent false negatives in
	CheckBufferOverrun::checkInsecureCmdLineArgs() (#5835)

2014-09-29  PKEuS <philipp.kloke@web.de>

	* lib/checkio.cpp, lib/token.cpp, lib/token.h: Fixed #5836: Make
	showing $ in stringified tokens optional

2014-09-29  PKEuS <philipp.kloke@web.de>

	* lib/tokenize.cpp, test/testsymboldatabase.cpp: Added variable name
	to debug message about typeStartToken() Fixed cppcheck message

2014-09-29  PKEuS <philipp.kloke@web.de>

	* lib/symboldatabase.cpp, test/testsymboldatabase.cpp: 
	SymbolDatabase: A token with a varId cannot be a function
	declaration

2014-09-29  Dmitry-Me <wipedout@yandex.ru>

	* test/testrunner.cpp: Add memory leak tracing (Pull request 407)

2014-09-29  PKEuS <philipp.kloke@web.de>

	* lib/tokenlist.cpp, test/testtokenize.cpp: Fixed AST for operator::
	after template (#6195)

2014-09-29  PKEuS <philipp.kloke@web.de>

	* lib/tokenlist.cpp, test/testtokenize.cpp: Fixed AST: Compile
	expression inside [] brackets of operator new. (#6193)

2014-09-29  PKEuS <philipp.kloke@web.de>

	* lib/checkother.cpp, test/testother.cpp: Fixed false positive
	ignoredReturnValue for variables initialized with constructor syntax
	(#6194)

2014-09-28  PKEuS <kloke@uni-bonn.de>

	* man/manual.docbook: Added <use-retval/> to manual.docbook

2014-09-28  PKEuS <philipp.kloke@web.de>

	* cfg/std.cfg: Fixed false positive introduced recently: return
	value of time() does not need to be taken

2014-09-28  PKEuS <philipp.kloke@web.de>

	* cli/main.cpp, test/testrunner.cpp: Catch exceptions in main() only
	if NDEBUG is defined

2014-09-28  PKEuS <philipp.kloke@web.de>

	* lib/checkclass.cpp, lib/checkmemoryleak.cpp, lib/checkother.cpp: 
	Loops over all varIds should start at 1.

2014-09-27  Alexander Mai <amai@users.sf.net>

	* lib/checkbufferoverrun.cpp, test/testbufferoverrun.cpp: #6141 FP:
	Unknown type is assumed to have size 0.

2014-09-27  PKEuS <kloke@uni-bonn.de>

	* cfg/std.cfg, lib/checkother.cpp, lib/checkother.h,
	lib/library.cpp, lib/library.h, test/testother.cpp: New check: Check
	for unused return values (#653)

2014-09-27  Alexander Mai <amai@users.sf.net>

	* cfg/std.cfg, test/testuninitvar.cpp: Fix FP: tmpnam() expects a
	valid pointer, an uninitialized array (of conforming size) is fine

2014-09-27  PKEuS <philipp.kloke@web.de>

	* lib/checkmemoryleak.cpp, test/testmemleak.cpp: Support allocation
	of array of pointers with operator new in checkmemoryleak.cpp

2014-09-27  PKEuS <philipp.kloke@web.de>

	* lib/checkvaarg.cpp, test/testvaarg.cpp: 
	CheckVaarg::va_list_usage(): Bailout when try{} block is encountered
	(#6186)

2014-09-26  Alexander Mai <amai@users.sf.net>

	* lib/checknullpointer.cpp, test/testnullpointer.cpp: #6189 assign
	with operator= a '\0' to a std::string is not an error

2014-09-26  PKEuS <philipp.kloke@web.de>

	* lib/tokenize.cpp, test/testsimplifytokens.cpp: Improved
	simplifications of redundant loops: - Execute simplifyWhile0 after simplifyKnownVariables (#394) - Support declaration of variable in loop header in
	removeRedundantFor

2014-09-25  Gianfranco Costamagna <costamagnagianfranco@yahoo.it>

	* Makefile, tools/dmake.cpp: Makefile: Fix DESTDIR handling

2014-09-25  Lauri Nurmi <lanurmi@iki.fi>

	* test/testrunner.cpp: Fix compilation (on Cygwin), by adding the
	necessary includes.

2014-09-24  amai2012 <amai2012@users.noreply.github.com>

	* : Merge pull request #447 from lanurmi/compile-fix-main Fix compilation (on Cygwin), by adding the necessary includes.

2014-09-24  Robert Reif <reif@earthlink.net>

	* lib/checkio.cpp, test/testio.cpp: Fixed #6182 (Format specifier
	check confused by ternary operator)

2014-09-24  Matthias Krüger <matthias.krueger@famsik.de>

	* Makefile, test/testfiles.pri: run dmake

2014-09-24  PKEuS <philipp.kloke@web.de>

	* test/testgarbage.cpp, test/testrunner.vcxproj,
	test/testrunner.vcxproj.filters, test/testtokenize.cpp: Added test
	file for garbage code: - cppcheck should be run entirely on garbage code to ensure that no
	check crashs/hangs on it (TODO).  - All garbage code tests should be moved here (TODO, so far only
	those from testtokenize.cpp were moved)

2014-09-24  PKEuS <philipp.kloke@web.de>

	* test/testsimplifytokens.cpp: Avoid loading the same .cfg file 30
	times in testsimplifytokens.cpp

2014-09-24  PKEuS <philipp.kloke@web.de>

	* test/testrunner.vcxproj, test/testrunner.vcxproj.filters,
	test/testsimplifytemplate.cpp, test/testsimplifytokens.cpp,
	test/testsimplifytypedef.cpp, test/testtokenize.cpp,
	test/testvarid.cpp: Splitted large groups of tests out of
	testsimplifytokens.cpp and testtokenize.cpp

2014-09-24  PKEuS <philipp.kloke@web.de>

	* lib/valueflow.cpp: Avoid copying std::list object in
	valueFlowAfterAssign

2014-09-24  Robert Reif <reif@earthlink.net>

	* lib/symboldatabase.cpp: Symbol database: handle anonymous
	namespace

2014-09-23  PKEuS <philipp.kloke@web.de>

	* Makefile, lib/lib.pri, test/testfiles.pri: Revert "run dmake" This reverts commit 8ccf9eed09f11f72ce3d615c14bf74847d4aa835.

2014-09-23  PKEuS <philipp.kloke@web.de>

	* lib/checkobsolescentfunctions.cpp,
	lib/checkobsolescentfunctions.h, test/testobsolescentfunctions.cpp: 
	Restored files removed in 1cc872f5b2814143cc5247242dbfe89b087f48d9

2014-09-23  Matthias Krüger <matthias.krueger@famsik.de>

	* Makefile, lib/lib.pri, test/testfiles.pri: run dmake

2014-09-23  Lauri Nurmi <lanurmi@iki.fi>

	* Cppcheck.xcodeproj/project.pbxproj, Makefile, cppcheck.cbp,
	gui/test/data/xmlfiles/xmlreport_v1.xml,
	gui/test/data/xmlfiles/xmlreport_v2.xml,
	lib/checkobsoletefunctions.cpp, lib/checkobsoletefunctions.h,
	lib/cppcheck.vcxproj, lib/cppcheck.vcxproj.filters, lib/lib.pri,
	test/testfiles.pri, test/testobsoletefunctions.cpp,
	test/testrunner.vcxproj, test/testrunner.vcxproj.filters,
	test/testtokenize.cpp: Change "obsolete" in all filenames into
	"obsolescent", and also update all references to such files.  Neither the C standard, the C++ standard, or POSIX talks about
	"obsolete". All of them use the word "obsolescent", which is a
	different word with a different meaning.

2014-09-23  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/valueflow.cpp, test/testnullpointer.cpp,
	test/testvalueflow.cpp: ValueFlow: improved valueflow for loops that
	assign variable and then break

2014-09-23  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* test/testsimplifytokens.cpp: astyle formatting [ci skip]

2014-09-23  Dmitry-Me <wipedout@yandex.ru>

	* cli/main.cpp, test/testrunner.cpp: Must catch and translate
	exceptions on top level

2014-09-22  amai2012 <amai2012@users.noreply.github.com>

	* : Merge pull request #446 from Dmitry-Me/eliminateDualSearch Cache search result to avoid dual search

2014-09-21  amai2012 <amai2012@users.noreply.github.com>

	* : Merge pull request #444 from simartin/testsymboldatabase_valid Make TestSymbolDatabase::hasClassFunction's code snippet valid.

2014-09-19  Matthias Krüger <matthias.krueger@famsik.de>

	* externals/tinyxml/tinyxml2.cpp, externals/tinyxml/tinyxml2.h: 
	tinyxml: update to latest git version 5321a0e (v2.2.0)
	(https://github.com/leethomason/tinyxml2)

2014-09-19  PKEuS <philipp.kloke@web.de>

	* : Merge pull request #442 from
	Dmitry-Me/removeComparisonDuplication Move variable declarations, remove unneeded assignments, remove
	comparis...

2014-09-17  amai2012 <amai2012@users.noreply.github.com>

	* : Merge pull request #440 from
	Dmitry-Me/renameVariablesReduceActions Cleanup variable names, reduce unneeded operations

2014-09-17  PKEuS <philipp.kloke@web.de>

	* : Merge pull request #439 from
	Dmitry-Me/moveDeclarationMergePatterns Merge overlapping patterns, move declarations

2014-09-17  Matthias Krüger <matthias.krueger@famsik.de>

	* cli/cmdlineparser.cpp: showtime: print possible options when
	invalid mode is given.

2014-09-17  Dmitry-Me <wipedout@yandex.ru>

	* lib/checkunusedvar.cpp, lib/templatesimplifier.cpp: Merge
	overlapping patterns, move declarations

2014-09-16  amai2012 <amai2012@users.noreply.github.com>

	* : Merge pull request #438 from
	Dmitry-Me/moveDeclarationReorderCheck Move declaration, run check earlier

2014-09-16  Dmitry-Me <wipedout@yandex.ru>

	* lib/checkbufferoverrun.cpp, lib/checkunusedvar.cpp: Move
	declaration, run check earlier

2014-09-16  PKEuS <philipp.kloke@web.de>

	* : Merge pull request #437 from Dmitry-Me/reorderChecksUnwrapCode Reorder checks, unwrap code

2014-09-16  Dmitry-Me <wipedout@yandex.ru>

	* lib/tokenize.cpp: Refactoring: Merge overlapping Token::Match
	function calls

2014-09-15  Alexander Mai <amai@users.sf.net>

	* cfg/std.cfg, test/testnullpointer.cpp: #6163 False nullPointer for
	strtok(NULL, ...). Correct std.cfg

2014-09-15  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checkuninitvar.cpp, test/testuninitvar.cpp: Fixed #6169 (False
	positive: passing uninitialized struct buffer member to strncpy)

2014-09-14  PKEuS <philipp.kloke@web.de>

	* lib/checkother.cpp, test/testother.cpp: Fixed wrong function log10
	being recommended instead of log1p

2014-09-14  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/symboldatabase.cpp, lib/templatesimplifier.cpp,
	lib/tokenize.cpp, lib/tokenlist.cpp, lib/valueflow.cpp: removed some
	redundant null pointer checks before calling Token::Match

2014-09-14  Simon Martin <simartin@users.sourceforge.net>

	* lib/symboldatabase.cpp, lib/templatesimplifier.cpp,
	lib/token.cpp, lib/tokenize.cpp, lib/tokenlist.cpp,
	lib/valueflow.cpp: Refactoring. Use Token::Match instead of
	hardcoded patterns to increase readability.

2014-09-14  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checktype.cpp, test/testtype.cpp: Fixed #6168 (False positive:
	sign conversion for inner calculation)

2014-09-14  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checkuninitvar.cpp, test/testuninitvar.cpp: astyle formatting [ci skip]

2014-09-13  PKEuS <philipp.kloke@web.de>

	* : Merge pull request #434 from simartin/ticket_6121 Ticket #6121: Report a syntax error for invalid enum initializers.

2014-09-13  PKEuS <philipp.kloke@web.de>

	* : Merge pull request #432 from simartin/ticket_6134 Ticket #6134: Improve the mechanism differentiating template
	declarations from template definitions.

2014-09-13  Dmitry-Me <wipedout@yandex.ru>

	* test/testautovariables.cpp, test/testboost.cpp,
	test/testbufferoverrun.cpp, test/testclass.cpp,
	test/testcondition.cpp, test/testnullpointer.cpp,
	test/testother.cpp, test/testsuite.cpp, test/testsuite.h,
	test/testuninitvar.cpp: Refactoring tests. Use utility function to
	warn about unsimplified code in tests.

2014-09-12  amai2012 <amai2012@users.noreply.github.com>

	* : Merge pull request #431 from simartin/ticket_6164_test Ticket #6164: Added test case that now works

2014-09-12  PKEuS <philipp.kloke@web.de>

	* : Merge pull request #430 from Dmitry-Me/mergeDuplicatePatterns Merge partially duplicate patterns

2014-09-12  Dmitry-Me <wipedout@yandex.ru>

	* lib/tokenize.cpp: Merge partially duplicate patterns

2014-09-12  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* Makefile, lib/checkother.cpp, lib/checkother.h,
	test/testdivision.cpp, test/testfiles.pri, test/testrunner.vcxproj,
	test/testrunner.vcxproj.filters: Fixed #6165 (Remove old
	checkUnsignedDivision checker that uses neither AST nor ValueFlow.
	The CheckType::checkSignConversion should be much more accurate)

2014-09-12  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checktype.cpp, test/testtype.cpp: Sign conversion: Improved
	check. When its not explicit that 'int' variable is signed but it
	can have negative values, assume its signed

2014-09-12  PKEuS <philipp.kloke@web.de>

	* : Merge pull request #428 from
	Dmitry-Me/detectArrowAccessesViaUninitPtrs Detect -> accesses on uninitialized pointers

2014-09-12  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checktype.h, test/testtype.cpp: Too big shift: fix FP when
	cast is used

2014-09-12  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/tokenlist.cpp, test/testtokenize.cpp: AST: fixed cast for
	'return (long long)c << 40;'

2014-09-11  PKEuS <philipp.kloke@web.de>

	* : Merge pull request #427 from
	Dmitry-Me/reorderChecksMoveDeclaration Reorder checks, move declaration closer to where it's needed

2014-09-11  PKEuS <kloke@uni-bonn.de>

	* lib/checkio.cpp, lib/checkother.cpp, test/testother.cpp: Use
	information about pure/leak-ignore from library to improve accuracy
	of several bailouts

2014-09-11  PKEuS <kloke@uni-bonn.de>

	* cfg/std.cfg: Added strtok and assert to std.cfg

2014-09-11  PKEuS <kloke@uni-bonn.de>

	* lib/checkbool.cpp, lib/checkexceptionsafety.cpp,
	lib/checkother.cpp: Simplified code

2014-09-11  PKEuS <philipp.kloke@web.de>

	* lib/checkother.cpp, lib/checktype.cpp, lib/checktype.h,
	test/testother.cpp: Don't show inconclusive message
	redundantCopyLocalConst if --inconclusive is not set.  Ran AStyle

2014-09-11  PKEuS <philipp.kloke@web.de>

	* lib/checktype.cpp, lib/cppcheck.vcxproj,
	lib/cppcheck.vcxproj.filters, test/testrunner.vcxproj,
	test/testrunner.vcxproj.filters: Added checktype.cpp to VS solution;
	Fixed MSVC warning about signed/unsigned mismatch

2014-09-11  Matthias Krüger <matthias.krueger@famsik.de>

	* Makefile: dmake: update makefile

2014-09-11  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* Makefile, lib/checkother.cpp, lib/checkother.h,
	lib/checktype.cpp, lib/checktype.h, lib/lib.pri,
	test/testfiles.pri, test/testother.cpp, test/testtype.cpp: Fixed
	#6158 (New check: dangerous sign conversion)

2014-09-11  Dmitry-Me <wipedout@yandex.ru>

	* lib/checkuninitvar.cpp: Reorder checks, move declaration closer to
	where it's needed

2014-09-11  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* : Merge pull request #426 from
	Dmitry-Me/moveDeclarationCloserToWhereItIsUsed Move declaration closer to where it is used

2014-09-10  PKEuS <philipp@kloke-witten.dyndns.org>

	* lib/checkother.cpp, test/testother.cpp: Fixed #6154: Don't suggest
	to reduce scope if inner scope is a lambda.

2014-09-10  PKEuS <kloke@uni-bonn.de>

	* lib/settings.h, test/testio.cpp, test/testmemleak.cpp: Improved
	speed of testrunner: Avoid repeated loading of the same library

2014-09-10  PKEuS <kloke@uni-bonn.de>

	* lib/library.cpp: Improved performance of library loading (~5%): - Use std::string for comparison, convert to string only once - Avoid calling tinyxml functions multiple times

2014-09-10  PKEuS <philipp@kloke-witten.dyndns.org>

	* lib/cppcheck.cpp: Fixed ID of message about purged configurations.

2014-09-10  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checkother.cpp: Minor tweaks for new
	CheckOther::checkIntegerOverflow checker

2014-09-10  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checkother.cpp, lib/checkother.h, test/testother.cpp: Fixed
	#1751 (Undefined Behavior: Signed integer overflow)

2014-09-09  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checkother.cpp, lib/checkother.h: 
	CheckOther::checkTooBigBitwiseShift: improving error messages

2014-09-09  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* : Merge pull request #423 from
	Dmitry-Me/deconvoluteTernaryPlusCall Simplify null pointer handling

2014-09-09  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checkother.cpp, lib/checkother.h, test/testother.cpp: Fixed
	#1757 (Undefined Behavior: Shift too many bits)

2014-09-09  Dmitry-Me <wipedout@yandex.ru>

	* lib/checknullpointer.cpp, test/testuninitvar.cpp: 
	CheckNullPointer::isPointerDeRef: Improve handling of static member
	variables and functions

2014-09-09  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* tools/ci.py: ci.py: minor refactoring

2014-09-08  Matthias Krüger <matthias.krueger@famsik.de>

	* lib/tokenize.cpp: tokenize.cpp: fix internal warning: Found simple
	pattern inside Token::Match() call: ") :"

2014-09-08  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* tools/ci.py: ci.py: sleep

2014-09-08  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* tools/ci.py: ci.py: Cleanup, DACA2 will be executed on other
	computers

2014-09-08  Martin Ettl <ettl.martin78@googlemail.com>

	* lib/checkother.cpp: Fixed #6149: (gcc) warning: comparing floating
	point with == or != is unsafe. Using Tokenizer::isOneNumber function
	to compare a floating point number being 1.0.

2014-09-07  Frank Zingsheim <f.zingsheim@gmx.de>

	* lib/tokenize.cpp, test/testclass.cpp, test/testtokenize.cpp: Fixed
	#6073

2014-09-07  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/tokenize.cpp: Fixed CID 1037074. Useless null pointer check.
	Created ticket #6144.

2014-09-07  PKEuS <philipp.kloke@web.de>

	* lib/checkother.cpp: Fixed internal warning of cppcheck

2014-09-07  PKEuS <philipp.kloke@web.de>

	* lib/checkother.cpp, lib/checkother.h, test/testother.cpp: New
	check: Recommend expm1, log1p, erfc (#5392)

2014-09-07  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/executionpath.cpp: Improved fix for Cppcheck warning. Remove
	useless conditions instead of adding a new one.

2014-09-06  PKEuS <philipp.kloke@web.de>

	* : Merge pull request #391 from Dmitry-Me/resolveIssue1037098 Resolve CID 1037098

2014-09-06  PKEuS <philipp.kloke@web.de>

	* : Merge pull request #422 from simartin/ticket_6023 Ticket #6023: Properly handle template'd default template parameter
	values

2014-09-06  Alexander Mai <amai@users.sf.net>

	* lib/valueflow.cpp: Fix read access to uninitialized variable

2014-09-06  Simon Martin <simartin@users.sourceforge.net>

	* lib/templatesimplifier.cpp, test/testsimplifytokens.cpp: Ticket
	#6023: Properly handle template'd default template parameter values.

2014-09-06  PKEuS <philipp.kloke@web.de>

	* lib/tokenize.cpp, test/testsimplifytokens.cpp: Support rValue
	references in typedef (#1823)

2014-09-06  Alexander Mai <amai@users.sf.net>

	* lib/checkother.cpp, test/testother.cpp: #5230 Explicit
	reinterpret_cast should not give a warning. Lower all
	invalidPointerCast messages to 'portability'

2014-09-05  Alexander Mai <amai@users.sf.net>

	* lib/checkother.cpp, test/testother.cpp: #6132 crash: daca: kvirc
	CheckOther::checkRedundantAssignment()

2014-09-01  Martin Ettl <ettl.martin78@googlemail.com>

	* lib/checkio.cpp: Fixed CID-1234716: Dereference after null check
	in lib/checkio.cpp

2014-09-05  PKEuS <philipp.kloke@web.de>

	* lib/checkclass.cpp, lib/checkio.cpp, lib/checknullpointer.cpp,
	lib/checkother.cpp, lib/checkstl.cpp, lib/symboldatabase.cpp,
	lib/symboldatabase.h, test/testsymboldatabase.cpp: Refactorization:
	Moved detection of STL strings to SymbolDatabase

2014-09-05  PKEuS <philipp.kloke@web.de>

	* lib/cppcheck.cpp: Calculate checksum only if necessary (#6129)

2014-09-05  PKEuS <philipp.kloke@web.de>

	* : Merge pull request #419 from simartin/ticket_6103 Ticket #6103: Simplify "new (type)" constructs into "new type"

2014-09-04  amai2012 <amai2012@users.noreply.github.com>

	* : Merge pull request #418 from Dmitry-Me/moreTestsForPointerSign More test cases for pointer sign detection

2014-09-04  Alexander Mai <amai@users.sf.net>

	* lib/valueflow.cpp, test/testtokenize.cpp: #6127 crash on
	patch(?)-".c" file. Avoid segfault.

2014-09-04  Alexander Mai <amai@users.sf.net>

	* lib/version.h: Fix version number macros

2014-09-04  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/executionpath.cpp, lib/valueflow.cpp: Fixed Cppcheck warnings

2014-09-04  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/valueflow.cpp, test/testnullpointer.cpp,
	test/testvalueflow.cpp: Fixed #6118 (False positive: divide by zero
	- if condition not evaluated properly)

2014-09-04  Dmitry-Me <wipedout@yandex.ru>

	* test/testother.cpp: More test cases for pointer sign detection

2014-09-04  PKEuS <philipp.kloke@web.de>

	* : Merge pull request #417 from Dmitry-Me/moreUsefulBracing More useful bracing

2014-09-04  PKEuS <philipp.kloke@web.de>

	* : Merge pull request #415 from Dmitry-Me/reducePatternsDuplication Reduce patterns duplication

2014-09-03  PKEuS <philipp@kloke-witten.dyndns.org>

	* lib/tokenlist.cpp: Improved checksum algorithm to fix
	configurations being purged by coincidence (#6126): - Better distribution of values by rotating the bits of the checksum
	for each token

2014-09-03  Alexander Mai <amai@users.sf.net>

	* lib/valueflow.cpp, test/testvalueflow.cpp: Fix doxygen warning and
	astyle formatting

2014-09-03  Dmitry-Me <wipedout@yandex.ru>

	* lib/valueflow.cpp: Remove duplicate checks

2014-09-03  PKEuS <philipp@kloke-witten.dyndns.org>

	* lib/symboldatabase.cpp, test/testsymboldatabase.cpp: Fixed
	SymbolDatabase if unnamed struct is casted and returned (#6125)

2014-09-02  PKEuS <philipp@kloke-witten.dyndns.org>

	* lib/cppcheck.cpp, lib/cppcheck.h, lib/tokenlist.cpp,
	lib/tokenlist.h: Detect and purge duplicate configurations by
	calculating a checksum.

2014-09-02  Alexander Mai <amai@users.sf.net>

	* lib/valueflow.cpp, test/testvalueflow.cpp: #6122 segmentation
	fault (invalid code) in in valueFlowForLoop2. Simple fix and
	testcase.

2014-09-02  Alexander Mai <amai@users.sf.net>

	* lib/checkother.cpp: Fix compiler warning. Re-order if-expression
	for performance reasons

2014-09-02  PKEuS <philipp@kloke-witten.dyndns.org>

	* cfg/std.cfg: Fixed 32 wrongly configured functions (#6120) and
	added support for second argument of strchr() to std.cfg.

2014-09-02  Dmitry-Me <wipedout@yandex.ru>

	* lib/checkother.cpp: Reduce patterns duplication

2014-09-02  Dmitry-Me <wipedout@yandex.ru>

	* cli/cppcheckexecutor.cpp, lib/checkbufferoverrun.cpp: Minor
	refactorings. rename token. cleanup if/else.

2014-09-02  PKEuS <philipp@kloke-witten.dyndns.org>

	* cfg/std.cfg: Set <pure/> attribute for various functions in
	std.cfg

2014-09-02  PKEuS <philipp@kloke-witten.dyndns.org>

	* test/testnullpointer.cpp: Added unit test for #3392

2014-09-02  PKEuS <philipp@kloke-witten.dyndns.org>

	* lib/checkio.cpp, lib/tokenize.cpp: Fixed some compiler warning
	about signed/unsigned conversions.

2014-09-02  PKEuS <philipp@kloke-witten.dyndns.org>

	* lib/tokenize.cpp, test/testsimplifytokens.cpp: Remove "auto"
	keyword (storage class specifier) from C++03 and C code (#4990).

2014-09-02  PKEuS <philipp@kloke-witten.dyndns.org>

	* lib/checkmemoryleak.cpp, test/testmemleak.cpp: Improved message
	'mismatchSize' (#4167)

2014-09-02  PKEuS <philipp@kloke-witten.dyndns.org>

	* cfg/qt.cfg: Added support for several Qt integer types (#5094)

2014-09-02  PKEuS <philipp.kloke@web.de>

	* : Merge pull request #413 from
	Dmitry-Me/improveCStyleCastsDetection Improve C style casts detection

2014-09-01  PKEuS <philipp@kloke-witten.dyndns.org>

	* lib/checkother.cpp, test/testother.cpp: Handle ternary operator in
	redundantAssignment check (#5964)

2014-09-01  Alexander Mai <amai@users.sf.net>

	* cfg/std.cfg, test/testuninitvar.cpp: #6116 False positive
	uninitvar - first argument to wcstombs(). Correct stf.cfg

2014-09-01  Alexander Mai <amai@users.sf.net>

	* lib/checkother.cpp, lib/checkother.h, test/testother.cpp:  #5805 'Passing value -1.0 to sqrt() leads to undefined result' is
	 incorrect. Degrade wrongmathcall from error to warning, since it
	 deals with implementation-defined behaviour

2014-09-01  PKEuS <kloke@uni-bonn.de>

	* lib/checkautovariables.cpp, lib/checkio.cpp,
	lib/symboldatabase.cpp, lib/tokenize.cpp, lib/tokenlist.cpp: 
	Disabled several checks and simplifications for C code, if they are
	C++-only. Do not match arguments for C code, since there can't be
	overloads.

2014-09-01  amai2012 <amai2012@users.noreply.github.com>

	* : Merge pull request #412 from Dmitry-Me/moveChecksEarlier Move cheap checks earlier to avoid more expensive ones

2014-09-01  PKEuS <philipp.kloke@web.de>

	* lib/checkmemoryleak.cpp: Attempt to fix crashs when self-checking
	cppcheck introduced by previous commit

2014-09-01  PKEuS <philipp.kloke@web.de>

	* cfg/std.cfg, lib/checkmemoryleak.cpp, lib/checkmemoryleak.h,
	test/testmemleak.cpp: Refactorization in checkmemoryleak.cpp: - Use Library to detect noreturn/notnoreturn functions - Removed realloc from std.cfg as long as there is no proper way to
	configure such functions

2014-09-01  PKEuS <philipp.kloke@web.de>

	* lib/checkother.cpp, test/testother.cpp: Fixed crash on garbage
	code introduced by recent commit.

2014-09-01  PKEuS <philipp.kloke@web.de>

	* lib/checkother.cpp, test/testother.cpp: Run unreachableCode
	checking only on executable scopes (#5789)

2014-09-01  PKEuS <philipp.kloke@web.de>

	* lib/checkother.cpp, test/testother.cpp: Fixed unreachableCode
	message if a lambda is returned (#6008).

2014-09-01  Dmitry-Me <wipedout@yandex.ru>

	* lib/checkcondition.cpp: Move cheap checks earlier to avoid more
	expensive ones

2014-09-01  PKEuS <philipp.kloke@web.de>

	* lib/checkother.cpp, test/testother.cpp: Bailout for
	duplicateBranch check if branches are empty (#5354)

2014-09-01  PKEuS <philipp.kloke@web.de>

	* cli/cppcheckexecutor.cpp, lib/cppcheck.cpp, lib/suppressions.cpp,
	lib/suppressions.h, test/testother.cpp, test/testsuppressions.cpp: 
	Fixed reporting of unmatched suppressions for unusedFunction (#4946)

2014-09-01  PKEuS <philipp.kloke@web.de>

	* lib/checkio.cpp: Several fixes to invalidScanfFormatWidthError(): - Different IDs for different messages (#5809) - severity is warning, not style, so check _settings->isEnabled()
	properly - Removed never shown message text

2014-09-01  amai2012 <amai2012@users.noreply.github.com>

	* : Merge pull request #411 from
	Dmitry-Me/moveDeclarationsCloserToWhereTheyreNeeded Move declarations closer to where they're first used

2014-09-01  Dmitry-Me <wipedout@yandex.ru>

	* lib/checkautovariables.cpp, lib/tokenize.cpp: Move declarations
	closer to where they're first used

2014-08-31  PKEuS <kloke@uni-bonn.de>

	* test/testbufferoverrun.cpp: Added unit test for #5849

2014-08-31  PKEuS <philipp.kloke@web.de>

	* lib/checkio.cpp, test/testio.cpp: Extended Message
	"fflushOnInputStream" to files opened for reading.

2014-08-31  PKEuS <philipp.kloke@web.de>

	* lib/checkio.cpp, test/testio.cpp: Changed severity of
	fflushOnInputStream to portability: The behaviour of fflush(stdin)
	is defined on Linux.

2014-08-31  PKEuS <philipp.kloke@web.de>

	* lib/checkboost.cpp, test/testboost.cpp: Fixed false positive #4788
	(break; in BOOST_FOREACH)

2014-08-31  PKEuS <philipp.kloke@web.de>

	* lib/checkunusedfunctions.cpp, test/testunusedfunctions.cpp: Fixed
	false positive #4648

2014-08-31  PKEuS <philipp.kloke@web.de>

	* lib/tokenize.cpp, test/testtokenize.cpp: Support
	__declspec(property) (#4700)

2014-08-31  PKEuS <philipp.kloke@web.de>

	* test/testother.cpp: Added unit test for #5534.

2014-08-31  PKEuS <philipp.kloke@web.de>

	* lib/checkunusedvar.cpp, test/testunusedvar.cpp: Fixed false
	positive #5466

2014-08-31  PKEuS <philipp.kloke@web.de>

	* lib/checkunusedvar.cpp, test/testunusedvar.cpp: No unused variable
	messages about std::unique_ptr|shared_ptr|auto_ptr (#4355)

2014-08-31  PKEuS <philipp.kloke@web.de>

	* lib/valueflow.cpp, test/testvalueflow.cpp: Fixed crash on garbage
	code #6106

2014-08-31  PKEuS <philipp.kloke@web.de>

	* lib/symboldatabase.cpp: SymbolDatabase: Several small
	refactorizations

2014-08-31  Matthias Krüger <matthias.krueger@famsik.de>

	* tools/times.sh: times.sh: create a variable which can be changed
	to alter the iterations/how often we run cppcheck on one commit
	(default: 4).

2014-08-31  PKEuS <philipp.kloke@web.de>

	* lib/symboldatabase.cpp, lib/symboldatabase.h,
	test/testsymboldatabase.cpp: SymbolDatabase: New scope type eLambda

2014-08-31  XhmikosR <XhmikosR@users.noreply.github.com>

	* readme.md: readme.md: switch to the SVG badge.

2014-08-30  XhmikosR <xhmikosr@users.sourceforge.net>

	* cli/cppcheckexecutor.cpp: Fix a C6328 warning.  Potential argument type mismatch.

2014-08-30  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checkcondition.cpp: remove redundant declaration of
	isSameExpression. fixes gcc compiler warning.

2014-08-30  Alexander Mai <amai@users.sf.net>

	* test/testcondition.cpp: Fix erroneous call to check() method. That
	is issues was not find by cppcheck itself, so #6109 has been created

2014-08-30  Dmitry-Me <wipedout@yandex.ru>

	* lib/checkmemoryleak.cpp: Use logical instead of bitwise operators
	to save cpu

2014-08-30  PKEuS <philipp.kloke@web.de>

	* lib/checkother.cpp: Fix on checking side for #6099

2014-08-29  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* Makefile, lib/lib.pri, test/testfiles.pri: Makefile: generate new
	Makefile with dmake

2014-08-29  PKEuS <philipp.kloke@web.de>

	* lib/checkassignif.cpp, lib/checkassignif.h,
	lib/checkcondition.cpp, lib/checkcondition.h, lib/checkother.cpp,
	lib/checkother.h, lib/cppcheck.vcxproj,
	lib/cppcheck.vcxproj.filters, test/testassignif.cpp,
	test/testcondition.cpp, test/testother.cpp,
	test/testrunner.vcxproj, test/testrunner.vcxproj.filters: Moved
	several condition checks from checkOther to checkCondition (former
	checkAssignIf)

2014-08-29  PKEuS <philipp.kloke@web.de>

	* test/teststring.cpp: Removed redundant suppression code in
	teststring.cpp

2014-08-27  Alexander Mai <amai@users.sf.net>

	* cfg/std.cfg, test/testnullpointer.cpp: #6100 False positive
	nullPointer - calling mbstowcs(NULL,). wcstombs has also been fixed

2014-08-27  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/valueflow.cpp: ValueFlow: Fix crash for lambda function

2014-08-27  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checkstl.cpp: astyle formatting

2014-08-27  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* test/testvalueflow.cpp: ValueFlow: relocate test

2014-08-27  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/valueflow.cpp, test/testvalueflow.cpp: Fixed #6086 (False
	positive: valueFlow, conditional code returns)

2014-08-27  amai2012 <amai2012@users.noreply.github.com>

	* : Merge pull request #408 from
	Dmitry-Me/continueEarlyToOmitUnneededActions2 Continue early to omit unneeded operations

2014-08-27  PKEuS <philipp.kloke@web.de>

	* lib/checkother.cpp, lib/checkother.h, lib/checkstring.cpp,
	lib/checkstring.h, lib/cppcheck.vcxproj,
	lib/cppcheck.vcxproj.filters, test/testother.cpp,
	test/testrunner.vcxproj, test/testrunner.vcxproj.filters,
	test/teststring.cpp, test/testutils.h: Refactorization: - Added missing separating comments between checks in checkother.cpp - Moved checks related to strings into own file

2014-08-27  Dmitry-Me <wipedout@yandex.ru>

	* lib/checkstl.cpp: Continue early to omit unneeded operations

2014-08-27  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* .travis_suppressions: Travis: Suppress variableScope warnings in
	our test cases. These are FP so should be fixed asap.

2014-08-26  Matthias Krüger <matthias.krueger@famsik.de>

	* .travis.yml: travis: clang: check
	test/CodeGenCXX/mangle-alias-template.cpp, it no longer makes
	cppcheck crash.

2014-08-26  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/valueflow.cpp, test/testvalueflow.cpp: Fixed #6024 (False
	positive (nullPointer) using in 1.66)

2014-08-26  PKEuS <philipp.kloke@web.de>

	* test/testsimplifytokens.cpp: Added unit test for #4777

2014-08-26  PKEuS <philipp.kloke@web.de>

	* lib/tokenize.cpp, test/testsimplifytokens.cpp,
	test/testtokenize.cpp: Improved simplifications: - Rearranged their order to solve problems with typedefs. If we
	simplify chained declarations before typedef parsing, we have less
	complex expressions to deal with (#4777).  - Fixed detection of variables hiding enums

2014-08-26  Matthias Krüger <matthias.krueger@famsik.de>

	* externals/tinyxml/tinyxml2.cpp: tinyxml: update to latest git
	version 59b9aae (https://github.com/leethomason/tinyxml2).

2014-08-26  amai2012 <amai@users.sf.net>

	* test/testtokenize.cpp: #5780 - Correct unit test which was calling
	wrong ASSERT

2014-08-26  PKEuS <philipp.kloke@web.de>

	* lib/checkclass.cpp, lib/checkuninitvar.cpp,
	test/testunusedprivfunc.cpp: Fixed false positive #5566.

2014-08-26  PKEuS <philipp.kloke@web.de>

	* lib/valueflow.cpp, test/testvalueflow.cpp: Fixed crash #6089 by
	using information stored in Variable instead of accessing
	Variable::nameToken

2014-08-26  PKEuS <philipp.kloke@web.de>

	* : Merge pull request #406 from
	Dmitry-Me/removeCodeDuplicationCleanupVariableNames Reduce code duplication, cleanup variable names

2014-08-26  amai2012 <amai@users.sf.net>

	* lib/tokenize.cpp, test/testtokenize.cpp: #5780 Crash on template
	code below Tokenizer::setVarId(). Fix several crashes with same
	location.

2014-08-25  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/tokenlist.cpp, test/testtokenize.cpp: AST: fix hang for code
	'MACRO({.x=1,.y=2})'

2014-08-25  Dmitry-Me <wipedout@yandex.ru>

	* lib/checkbool.cpp: Reduce code duplication, cleanup variable names

2014-08-24  Dmitry-Me <wipedout@yandex.ru>

	* lib/tokenize.cpp: Break loop early, cleanup declarations

2014-08-24  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* test/testvalueflow.cpp: ValueFlow: Removed testcases for code that
	has been removed

2014-08-24  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/valueflow.cpp, test/testvalueflow.cpp: ValueFlow: fixed one
	more hang in valueFlowForward

2014-08-23  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/tokenlist.cpp, test/testtokenize.cpp: AST: better AST for
	placement new expression 'new (a) MyClass;'

2014-08-23  PKEuS <philipp.kloke@web.de>

	* test/testsimplifytokens.cpp: Fixed cppcheck internal warnings

2014-08-23  PKEuS <philipp.kloke@web.de>

	* lib/checkexceptionsafety.cpp, test/testexceptionsafety.cpp: Fixed
	crash on invalid code #6080

2014-08-23  PKEuS <philipp.kloke@web.de>

	* lib/checkbufferoverrun.cpp, lib/checkother.cpp, lib/tokenize.cpp,
	test/testother.cpp, test/testsimplifytokens.cpp: Fixed template
	bracket linkage in while loop simplification Ran AStyle

2014-08-23  amai2012 <amai@users.sf.net>

	* lib/checkother.cpp, test/testother.cpp: #5639 String literal
	compared with char buffer in a struct.

2014-08-20  PKEuS <philipp@kloke-witten.dyndns.org>

	* lib/checkclass.cpp, lib/checkclass.h, test/testclass.cpp: #6077:
	Don't warn about memcpy/memmove on class containing floats.

2014-08-20  PKEuS <philipp@kloke-witten.dyndns.org>

	* lib/token.cpp, lib/token.h, lib/tokenize.cpp,
	test/testtokenize.cpp: Fixed more false positives of #6056: - Implemented nextArgument() for usages before < and > are linked - slightly optimized nextArgument()

2014-08-19  PKEuS <philipp.kloke@web.de>

	* lib/checkclass.cpp, lib/checkuninitvar.cpp,
	lib/symboldatabase.cpp, test/testclass.cpp: SymbolDatabase: Fixed
	handling of nested types for function arguments Removed unnecessary
	loops between var->typeStartToken() and var->typeEndToken()

2014-08-19  PKEuS <philipp.kloke@web.de>

	* lib/checkbool.cpp, lib/valueflow.cpp: Support :: in some more
	places

2014-08-19  PKEuS <philipp.kloke@web.de>

	* lib/tokenize.cpp, test/testtokenize.cpp: Changed heuristics to
	detect variable constructor initialization syntax (#6071)

2014-08-19  PKEuS <philipp.kloke@web.de>

	* : Merge pull request #404 from
	Dmitry-Me/continueEarlyToOmitUnneededActions Continue early to omit unneeded actions

2014-08-19  Dmitry-Me <wipedout@yandex.ru>

	* lib/checkstl.cpp: Continue early to omit unneeded actions

2014-08-18  PKEuS <philipp.kloke@web.de>

	* lib/tokenize.cpp, test/testtokenize.cpp: Fixed fix for #6056

2014-08-18  PKEuS <philipp.kloke@web.de>

	* : Merge pull request #402 from
	Dmitry-Me/emiminateDuplicateStatements Remove duplicate return statements.

2014-08-18  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/valueflow.cpp, test/testvalueflow.cpp: Fixed #6022 (Defect:
	False positive due to bug in determining bounds of for loop 'for (i
	= 2; i < 1; ++i)')

2014-08-18  Dmitry-Me <wipedout@yandex.ru>

	* lib/checkio.cpp: Remove duplicate return statements.

2014-08-18  PKEuS <philipp.kloke@web.de>

	* : Merge pull request #401 from
	Dmitry-Me/avoidMutuallyExclusiveChecks Avoid mutually exclusive checks

2014-08-18  PKEuS <philipp.kloke@web.de>

	* : Merge pull request #400 from
	Dmitry-Me/makeLoopTerminationMoreExplicit2 Make loop termination more explicit. This saves one call to
	tok->nextArgument()

2014-08-18  PKEuS <philipp.kloke@web.de>

	* lib/checknullpointer.cpp, lib/checknullpointer.h: Removed obsolete
	function from checkNullPointer

2014-08-18  PKEuS <philipp.kloke@web.de>

	* lib/tokenize.cpp, test/testtokenize.cpp: Fixed #6056 - properly
	detect member functions in setVarId()

2014-08-18  PKEuS <philipp.kloke@web.de>

	* lib/checkvaarg.cpp, test/testvaarg.cpp: Fixed false positive
	#6066: va_list may be used after being copied.

2014-08-18  PKEuS <philipp.kloke@web.de>

	* lib/tokenize.cpp, test/testtokenize.cpp: Support namespaces and
	static member variables in setVarId (only one depth) (#6061)

2014-08-17  PKEuS <philipp.kloke@web.de>

	* lib/checkother.cpp: Refactorization: Support :: in some places in
	checkother.cpp

2014-08-17  PKEuS <philipp.kloke@web.de>

	* lib/valueflow.cpp: Refactorization in valueflow.cpp: Removed
	redundant loop, rearranged code.

2014-08-18  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checkother.cpp: incorrect logic operator: fixed crashes

2014-08-17  Alexander Mai <amai@users.sf.net>

	* lib/checksizeof.cpp, test/testsizeof.cpp: #6050 arithmetic on
	void** - fix false positive

2014-08-17  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/tokenize.cpp, test/testtokenize.cpp: Tokenizer::createLinks2:
	set no template-links in 'if (a < b || c > d)'

2014-08-17  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checkother.cpp: astIsFloat: Fix crash when there is no second
	operand for '.'

2014-08-17  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checkother.cpp, test/testother.cpp: Fixed #5132 (False
	negative: incorrectLogicOperator in simple if-clause)

2014-08-17  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/tokenize.cpp, lib/valueflow.cpp, test/testtokenize.cpp,
	test/testvalueflow.cpp: ValueFlow: Improved value flow after for
	loop

2014-08-17  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/tokenize.cpp, test/testtokenize.cpp: 
	Tokenizer::simplifyKnownVariables: Fixed bad simplification in for
	loop header

2014-08-17  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/valueflow.cpp, test/testvalueflow.cpp: Fixed #5062 (ValueFlow:
	Handle comma operator in abstract interpretation)

2014-08-16  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/tokenize.cpp, lib/valueflow.cpp, test/testvalueflow.cpp: Fixed
	#5866 (False negative: useless condition or null pointer dereference
	(null object after while loop, method))

2014-08-16  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checknullpointer.cpp: null pointer: perform proper null
	pointer checking when no --enable=warning is given.

2014-08-15  Dmitry-Me <wipedout@yandex.ru>

	* lib/executionpath.cpp: Resolve CID 1037101. break after loop if
	tok is null because tok is dereferenced below. Ticket: #6055

2014-08-15  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checkother.cpp, test/testother.cpp: Fixed #5557 (astIsFloat:
	better handling of '.')

2014-08-15  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* cfg/avr.cfg, cfg/posix.cfg, cfg/std.cfg: astyle formatting

2014-08-15  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* runastyle: runastyle: remove trailing spaces in cfg files

2014-08-14  Dmitry-Me <wipedout@yandex.ru>

	* lib/checkunusedvar.cpp: Some safe coding. Check that pointer is
	not null.

2014-08-14  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* : Merge pull request #394 from Dmitry-Me/resolve1132030 Resolve CID 1132030

2014-08-14  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/token.cpp, test/testuninitvar.cpp: Dead pointer: Fixed FP for
	subfunction pointer argument

2014-08-14  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/valueflow.cpp, test/testvalueflow.cpp: Fixed #6044 (hang:
	darkplaces / cl_particles.c)

2014-08-13  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/valueflow.cpp: Change fix for hang so there won't be FP

2014-08-13  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/valueflow.cpp, test/testvalueflow.cpp: Fix hang in libdmtx
	package. found through daca2.

2014-08-12  Dmitry-Me <wipedout@yandex.ru>

	* lib/checkbufferoverrun.cpp: Fix potential buffer overrun

2014-08-12  Dmitry-Me <wipedout@yandex.ru>

	* lib/preprocessor.cpp: Resolve CID 1132030

2014-08-12  Dmitry-Me <wipedout@yandex.ru>

	* lib/library.cpp: Further resolve CID 1222223

2014-08-12  Dmitry-Me <wipedout@yandex.ru>

	* lib/symboldatabase.cpp: Resolve CID 1037098

2014-08-11  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/valueflow.cpp, test/testvalueflow.cpp: ValueFlow: Fixed
	nullpointer FP warning in checksizeof

2014-08-09  Matthias Krüger <matthias.krueger@famsik.de>

	* .travis.yml: travis: clang check: don't ignore
	test/Lexer/unicode.c, the file no longer crashes cppcheck.

2014-08-09  PKEuS <philipp.kloke@web.de>

	* lib/check64bit.cpp, lib/checkbool.cpp, lib/checkclass.cpp,
	lib/checkother.cpp, lib/symboldatabase.cpp, lib/symboldatabase.h,
	test/testsymboldatabase.cpp: Refactorized Variable::isIntegralType()
	and Variable::isFloatType(): - Cached property - Make use of it in several checks - float* is flagged as floating point type

2014-08-09  PKEuS <philipp.kloke@web.de>

	* : Merge pull request #388 from Dmitry-Me/resolveIssue1037100 Resolve CID 1037100: possible dereference of _errorLogger
	nullpointer

2014-08-09  PKEuS <philipp.kloke@web.de>

	* lib/checkstl.cpp, test/teststl.cpp: Fixed false negative #4306:
	Detect loop access of empty STL container

2014-08-08  PKEuS <philipp@kloke-witten.dyndns.org>

	* lib/checksizeof.cpp: Removed newline from divideBySizeofError
	message

2014-08-08  PKEuS <philipp@kloke-witten.dyndns.org>

	* lib/checksizeof.cpp, lib/checksizeof.h, test/testsizeof.cpp: New
	check: Division by sizeof() as parameter to
	memset/memcpy/memmove/etc. as they expect a size in bytes (#5698) Refactorizations in sizeof checking: - Changed severity of sizeofwithsilentarraypointer to warning - Made pointerSize message conclusive - there seems to be no reason
	for inconclusive

2014-08-08  PKEuS <philipp@kloke-witten.dyndns.org>

	* lib/checkclass.cpp, lib/checkclass.h, test/testclass.cpp: Improved
	check: portability message when calling memset on a class with
	floating point numbers (#5421)

2014-08-07  PKEuS <philipp@kloke-witten.dyndns.org>

	* lib/cppcheck.cpp, lib/preprocessor.cpp, lib/preprocessor.h,
	lib/tokenlist.cpp, test/testpreprocessor.cpp: Changed handling of
	unhandled characters: - Don't abort checking (reverts
	42140b64888c7f313f6c9593447647c97de3bfa4) - Modified error message: New Id unhandledCharacter, removed
	redundant line information, improved message text

2014-08-06  PKEuS <philipp@kloke-witten.dyndns.org>

	* lib/checkvaarg.cpp, test/testvaarg.cpp: Fixed crash if va_start is
	passed less arguments than expected

2014-08-06  PKEuS <philipp@kloke-witten.dyndns.org>

	* lib/checkvaarg.cpp, test/testvaarg.cpp: Fixed crash in
	CheckVaarg::va_start_argument (#6032)

2014-08-06  PKEuS <philipp.kloke@web.de>

	* lib/checkvaarg.cpp: Fixed cppcheck message

2014-08-06  PKEuS <philipp.kloke@web.de>

	* lib/checkvaarg.cpp, test/testvaarg.cpp: Fixed another variable
	shadowing warning.

2014-08-06  Matthias Krüger <matthias.krueger@famsik.de>

	* Makefile, lib/lib.pri, test/testfiles.pri: dmake: update

2014-08-06  PKEuS <philipp.kloke@web.de>

	* lib/checkvaarg.cpp, lib/checkvaarg.h, lib/cppcheck.vcxproj,
	lib/cppcheck.vcxproj.filters, test/testrunner.vcxproj,
	test/testrunner.vcxproj.filters, test/testvaarg.cpp: Added several
	new va_arg related checks: - Wrong parameter passed to va_start() (#3850) - Reference passed to va_start() (#3849) - Missing va_end() (#3295) - Using va_list before it is opened (#3295) - Subsequent calls to va_start/va_copy()

2014-08-06  PKEuS <philipp.kloke@web.de>

	* lib/checkclass.cpp, lib/checkclass.h, lib/tokenize.cpp: Fixed a
	bug and two warnings introduced recently.

2014-08-06  Dmitry-Me <wipedout@yandex.ru>

	* lib/checkclass.cpp: Avoid GCC name shadowing warning.

2014-08-06  PKEuS <philipp.kloke@web.de>

	* lib/checkother.cpp, test/testassert.cpp: Fixed crash, simplified
	code in testassert.cpp

2014-08-06  PKEuS <philipp.kloke@web.de>

	* test/testother.cpp: Added back accidentially removed unit test

2014-08-06  PKEuS <philipp.kloke@web.de>

	* lib/checkother.cpp, test/testother.cpp: Fixed false positive
	#5824: Variables that might be used for va_start() must not be
	passed by reference.

2014-08-06  PKEuS <philipp.kloke@web.de>

	* lib/checkunusedvar.cpp, lib/token.h, lib/tokenize.cpp,
	test/testunusedvar.cpp: Implement support for __attribute__((used))
	(#3408)

2014-08-06  PKEuS <philipp.kloke@web.de>

	* lib/checkassert.cpp, lib/checkassert.h, test/testassert.cpp: 
	Refactorized CheckAssert::assertWithSideEffects(): - Removed crap - Error message on calling non-const member function in assert() - Fixed false positive #5311 and TODO_ASSERT

2014-08-06  Dmitry-Me <wipedout@yandex.ru>

	* lib/preprocessor.cpp: Resolve CID 1037100

2014-08-06  PKEuS <philipp.kloke@web.de>

	* lib/tokenize.cpp, test/testtokenize.cpp: Fixed false positive
	#6030: inheriting classes is not a variable declaration.

2014-08-06  PKEuS <philipp.kloke@web.de>

	* : Merge pull request #387 from Dmitry-Me/resolveIssue1037105 Resolve CID 1037105

2014-08-06  Dmitry-Me <wipedout@yandex.ru>

	* lib/checkstl.cpp: Resolve CID 1037105

2014-08-06  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/valueflow.cpp: Refactoring valueFlowSubFunction

2014-08-06  Moshe Kaplan <me@moshekaplan.com>

	* lib/checkio.cpp: Improved invalidScanf error message

2014-08-05  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* : Merge pull request #385 from Dmitry-Me/resolveIssue1222223 Resolve CID 1222223.

2014-08-05  PKEuS <philipp.kloke@web.de>

	* lib/checkunusedvar.cpp, lib/symboldatabase.cpp, lib/tokenize.cpp,
	test/testsymboldatabase.cpp, test/testtokenize.cpp,
	test/testunusedvar.cpp: Support C++11 style initialization with {}:
	-> Support in setVarId and SymbolDatabase (#4344) -> Fixed false
	positives in unused variable checking (#5491, #5494) Side-effect: Support global variables initialized with brackets
	(C++03 style) in SymbolDatabase

2014-08-05  PKEuS <philipp.kloke@web.de>

	* test/testsuite.cpp: Flush stdout after putchar('.') to ensure that
	the characters are printed immediately as a progress indicator.

2014-08-02  PKEuS <philipp.kloke@web.de>

	* test/testsuite.cpp, test/testsuite.h: Refactorization: Moved code
	out of macro TEST_CASE

2014-08-05  PKEuS <philipp.kloke@web.de>

	* test/testclass.cpp, test/testconstructors.cpp: Moved several tests
	from testclass.cpp to testconstructors.cpp, fixes test failure
	introduced recently.

2014-08-05  PKEuS <philipp.kloke@web.de>

	* lib/checkclass.cpp: Fixed error message.

2014-08-05  Matthias Krüger <matthias.krueger@famsik.de>

	* Makefile: dmake: update

2014-08-05  PKEuS <philipp.kloke@web.de>

	* lib/checkclass.cpp, lib/checkclass.h, test/testclass.cpp: New
	check: initialization by itself in initializer list (#3982) Refactorizations: - Rearranged code in checkclass.cpp to increase readability - Several fixes for testclass.cpp tests.

2014-08-05  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/valueflow.cpp, test/testvalueflow.cpp: ValueFlow: Improved
	analysis of assignments

2014-08-05  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checkuninitvar.cpp, lib/checkuninitvar.h, lib/token.cpp,
	lib/token.h, lib/valueflow.cpp, test/testuninitvar.cpp,
	test/testvalueflow.cpp: Dead pointer: Added checking for dead
	pointer usage when pointer alias local variable that has gone out of
	scope.

2014-08-04  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checkstl.cpp: Fixed Cppcheck warning about 'null pointer
	dereference or redundant condition'

2014-08-04  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/valueflow.cpp, test/testvalueflow.cpp: ValueFlow: Better
	handling of calculated function arguments in valueFlowSubFunction

2014-08-04  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/valueflow.cpp, test/testvalueflow.cpp: ValueFlow: Handle
	string values in valueFlowSubFunction

2014-08-04  PKEuS <philipp.kloke@web.de>

	* lib/checkautovariables.cpp, lib/checkautovariables.h,
	test/testautovariables.cpp: Refactorized
	CheckAutoVariables::assignFunctionArg(): - Splitted message into style message (assigning non-pointers) and
	warning message (assigning pointers) - Support operator++/-- (#4793)

2014-08-04  PKEuS <philipp.kloke@web.de>

	* lib/checkother.cpp, test/testother.cpp: Fixed recently introduced
	FP when C-Style casting nullpointers

2014-08-04  PKEuS <philipp.kloke@web.de>

	* lib/checkother.cpp, test/testother.cpp: Improved cstyleCast check: - Detect casting of literals - Check initializer lists (#3630)

2014-08-04  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checkbufferoverrun.cpp, lib/token.cpp, lib/token.h,
	test/testbufferoverrun.cpp: BufferOverrun: Use ValueFlow string
	values more

2014-08-04  Dmitry-Me <wipedout@yandex.ru>

	* lib/library.cpp: Resolve CID 1222223.

2014-08-04  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/token.h: Fixed Cppcheck warning

2014-08-03  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checkbufferoverrun.cpp, lib/token.cpp, lib/token.h,
	lib/valueflow.cpp, lib/valueflow.h, test/testvalueflow.cpp: 
	ValueFlow: start adding valueflow handling of strings and pointer
	aliases

2014-08-03  PKEuS <philipp.kloke@web.de>

	* lib/checkunusedvar.cpp, test/testunusedvar.cpp: Fixed false
	negative #5985: default argument values should not affect variable
	usage checking.

2014-08-02  PKEuS <philipp.kloke@web.de>

	* lib/checkio.cpp, lib/checkio.h: Added missing message to
	--errorlist output, changed Id to avoid duplicate

2014-04-02  PKEuS <philipp.kloke@web.de>

	* test/testrunner.vcxproj: Visual Studio: Use testsuite.h as
	precompiled header -> Reduces build time of project testrunner by 13
	seconds (16%)

2014-08-02  PKEuS <philipp.kloke@web.de>

	* cli/main.cpp, lib/version.h, man/manual.docbook,
	win_installer/productInfo.wxi: Increased version to 1.66.99/1.67 dev

2014-08-02  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* createrelease: createrelease: updated build command for democlient

2014-08-02  PKEuS <philipp.kloke@web.de>

	* win_installer/cppcheck.wxs: Added avr.cfg to installer

2014-08-02  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* createrelease: createrelease: added more tasks

2014-08-02  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* Makefile: Makefile: Set debug mode after release

2014-08-02  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* Makefile: 1.66: Update Makefile

2014-08-02  PKEuS <philipp.kloke@web.de>

	* win_installer/cppcheck.wxs: Fixed MSI Installer version.

2014-08-02  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* cli/main.cpp, lib/version.h, man/manual.docbook,
	win_installer/productInfo.wxi: 1.66: Set version

2014-04-02  PKEuS <philipp.kloke@web.de>

	* cli/cli.vcxproj, cppcheck.sln, lib/cppcheck.vcxproj,
	test/testrunner.vcxproj, win_installer/config.wxi,
	win_installer/cppcheck.wxs, win_installer/productInfo.wxi: Updated
	WiX installer and VS solution to VS12 and Qt5

2014-08-02  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* AUTHORS: Updated AUTHORS

2014-08-02  PKEuS <philipp.kloke@web.de>

	* : Merge pull request #382 from
	Dmitry-Me/bringDeclarationsCloserToWhereTheyAreNeeded Bring variable declarations closer to where they're first used.

2014-08-02  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* : Merge pull request #383 from moshekaplan/patch-1 Updated message for strncat usage

2014-08-01  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/tokenize.cpp: Use Token::simpleMatch for simple pattern

2014-08-01  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/tokenize.cpp: Tokenizer: Added FIXME for keywords handling

2014-08-01  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/tokenize.cpp, test/testsimplifytokens.cpp: Tokenizer: Don't
	remove struct member in Tokenizer::simplifyKeyword()

2014-08-01  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/valueflow.cpp, test/testvalueflow.cpp: ValueFlow: improved
	analysis in for loops to avoid fp

2014-08-01  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* tools/reduce.cpp: reduce: simplify multiline #define statements

2014-08-01  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checkbufferoverrun.cpp, lib/token.cpp, lib/token.h,
	test/testtoken.cpp: Token: Added utility function getStrSize as a
	complement to getStrLength

2014-08-01  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/token.cpp: Fixed ValueFlow --debug output

2014-08-01  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/valueflow.cpp: ValueFlow: Cleanup variable

2014-08-01  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/valueflow.cpp, test/testvalueflow.cpp: ValueFlow: Simple
	multivariable control flow analysis to avoid FP when 'control
	variable' is used

2014-07-31  PKEuS <philipp@kloke-witten.dyndns.org>

	* lib/checkunusedvar.cpp, lib/tokenlist.cpp, test/testtokenize.cpp: 
	Fixed crash #5991: Don't crash when lambda is incomplete Fixed crash
	#6004: Support struct initializations in AST

2014-07-31  Moshe Kaplan <me@moshekaplan.com>

	* lib/checkbufferoverrun.cpp: Updated message for strncat usage

2014-07-30  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checkbufferoverrun.cpp, test/testbufferoverrun.cpp: 
	CheckBufferOverrun: Fixed minsize checking of string literals. Check
	sizeof string instead of strlen.

2014-07-30  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/valueflow.cpp, test/testvalueflow.cpp: ValueFlow: Fix for
	if/else valueflow analysis

2014-07-30  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* tools/reduce.cpp: astyle formatting [ci skip]

2014-07-30  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* tools/reduce.cpp: reduce: simplify multiline function declarations
	better

2014-07-30  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* test/testassignif.cpp: add missing flag. this testcase should only
	run in non-simplified mode.

2014-07-30  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checkassignif.h, test/testassignif.cpp: Multicondition: Fixed
	FP when using dynamic_cast

2014-07-30  Matthias Krüger <matthias.krueger@famsik.de>

	* htmlreport/cppcheck-htmlreport: htmlreport: stats: display total
	number of warnings/errors.

2014-07-29  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* cfg/qt.cfg: qt.cfg: Define Q_DECL_EXPORT and Q_DECL_IMPORT

2014-07-29  vBm <the.vbm@gmail.com>

	* htmlreport/cppcheck-htmlreport: Some minor PEP8 fixes

2014-07-29  Dmitry-Me <wipedout@yandex.ru>

	* lib/checkbufferoverrun.cpp: Bring variable declarations closer to
	where they're first used.

2014-07-28  Matthias Krüger <matthias.krueger@famsik.de>

	* : Merge remote-tracking branch 'matthiaskrgr/travis'

2014-07-28  Matthias Krüger <matthias.krueger@famsik.de>

	* .travis.yml, .travis_suppressions: travis: suppress current
	warnings, make cppcheck not crash the files in clang that crash
	currently.

2014-07-22  Matthias Krüger <matthias.krueger@famsik.de>

	* .travis.yml: travis: update clang repo hash

2014-06-18  Matthias Krüger <matthias.krueger@famsik.de>

	* .travis.yml: travis: make clang check sensitive to internal
	cppcheck errors.

2014-06-18  Matthias Krüger <matthias.krueger@famsik.de>

	* .travis.yml: travis: add -DCHECK_INTERNAL to the VERIFY=1 job to
	automatically fetch issues like #5869 via travis, check clang with
	--exception-handling

2014-05-24  Matthias Krüger <matthias.krueger@famsik.de>

	* .travis.yml: travis: replace kernel check with clang check.  Check clang instead of kernel, which is a lot faster.  Make clang
	check failure fatal to the build.

2014-07-28  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checkother.cpp: Fixed #6011 (crash: libreoffice/binfilter
	svt_enhwmf.cxx)

2014-07-28  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checkother.cpp, lib/token.cpp, test/testother.cpp: Suspicious
	string comparison: Refactoring using AST. Fixed FP in Lac.

2014-07-28  Dmitry-Me <wipedout@yandex.ru>

	* lib/tokenize.cpp: Run cheaper check first, don't check the same
	condition twice.

2014-07-28  Robert Reif <reif@earthlink.net>

	* lib/checkio.cpp, test/testio.cpp: Fixed #6009 (Detect type
	mismatch in printf-like function when type is returned)

2014-07-26  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checkother.cpp, test/testother.cpp: astIsFloat: expression
	'floatvar ? 0x40 : 0' is not float

2014-07-25  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* : Merge pull request #378 from
	Dmitry-Me/reusePreviouslyComputedValues Reuse previously computed values, use more const.

2014-07-25  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/preprocessor.cpp, lib/preprocessor.h: Fix Cppcheck warning.
	Make function Preprocessor::readpreprocessor static instead of
	const.

2014-07-24  PKEuS <philipp.kloke@web.de>

	* : Merge pull request #377 from
	Dmitry-Me/bringDeclarationsCloserToWhereTheyreNeeded Bring declarations closer to where they're needed.

2014-07-24  Dmitry-Me <wipedout@yandex.ru>

	* lib/symboldatabase.cpp: Bring declarations closer to where they're
	needed.

2014-07-24  PKEuS <philipp.kloke@web.de>

	* : Merge pull request #376 from Dmitry-Me/resolveIssue1214637 Resolve CID 1214637.

2014-07-23  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* : Merge pull request #374 from
	Dmitry-Me/useTempVariablesToAvoidRepeatedActions Use temp variables to avoid repeated actions in code.

2014-07-23  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* : Merge pull request #373 from
	Dmitry-Me/cacheOptionFlagsAndCheckThemFirst Cache option flags and check them first.

2014-07-23  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* : Merge pull request #372 from
	Dmitry-Me/dontUseArrayAtWhenItWouldntThrow Use [], not at() when the index is guaranteed to be valid.

2014-07-22  Matthias Krüger <matthias.krueger@famsik.de>

	* htmlreport/cppcheck-htmlreport: htmlreport: don't crash when
	pygments fails to determine filetype of a file we want to highlight.
	This happens for files with no extension (for example "foo" instead
	of "foo.c").

2014-07-22  Matthias Krüger <matthias.krueger@famsik.de>

	* htmlreport/cppcheck-htmlreport: htmlreport: if no arguments are
	passed, print --help output; when done generating the report, print
	where index.html is (take report_dir into account).

2014-07-21  Matthias Krüger <matthias.krueger@famsik.de>

	* htmlreport/cppcheck-htmlreport: htmlreport: sort error-data per
	line (in index.html page as well as in the defect list of the
	respective files.)

2014-07-21  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/tokenize.cpp, tools/cppcheckdata.py: xml dump: add more token
	attributes

2014-07-21  Dmitry-Me <wipedout@yandex.ru>

	* lib/tokenize.cpp: Use [], not at() when the index is guaranteed to
	be valid.

2014-07-21  Matthias Krüger <matthias.krueger@famsik.de>

	* htmlreport/cppcheck-htmlreport: htmlreport: fix #5998, crash on
	some files with "UnicodeDecodeError".  For those files that we can't
	decode, don't generate a html-preview but note into index.html that
	we couldn't process the file.  At the end, summarize on which files
	we failed and suggest using --source-encoding option.

2014-07-20  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* tools/cppcheckdata.py: xml dump: added 'astIsFloat' utility
	function in cppcheckdata.py

2014-07-20  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checkbufferoverrun.cpp: Fixed #5978 (false positive: Array
	'm_pool_vector[-1]' accessed at index 0, which is out of bounds.)

2014-07-20  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/symboldatabase.cpp: xml dump: Added function attribute in
	scope

2014-07-19  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/tokenize.cpp, test/testtokenize.cpp: Fixed #5996 (false
	positive: Clarify calculation precedence for '+' and '?'.)

2014-07-19  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* : Merge pull request #371 from matthiaskrgr/travis_working travis: remove unneeded suppressions from self-check.

2014-07-19  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* : Merge pull request #370 from myint/patch-1 Fix bad indentation

2014-07-18  Steven Myint <git@stevenmyint.com>

	* htmlreport/cppcheck-htmlreport: Fix bad indentation

2014-07-18  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* man/manual.docbook: manual: add chapter about writing cppcheck
	extensions with python

2014-07-18  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* : Merge pull request #369 from
	Dmitry-Me/useBoolFlagToAvoidComparisonDuplication Use boolean flag to avoid comparison duplication

2014-07-18  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* tools/cppcheckdata.py: cppcheckdata.py: My intention is that it
	will be possible to use this module from any code no matter if it's
	open source or closed source etc. And for any purposes. Added a
	comment at the top.

2014-07-18  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* tools/cppcheckdata.py: xml dump: Fixed ValueFlow handling in
	cppcheckdata.py

2014-07-18  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checkother.cpp, test/testother.cpp: Fixed #5922 (FP:
	passedByValue for std::string::value_type)

2014-07-18  Dmitry-Me <wipedout@yandex.ru>

	* lib/checkclass.cpp: Use boolean flag to avoid comparison
	duplication

2014-07-18  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* : Merge pull request #368 from
	matthiaskrgr/htmlreport_inconclusive htmlreport: fix #5963, handle inconclusive messages and underlay
	them in grey color.

2014-07-17  Matthias Krüger <matthias.krueger@famsik.de>

	* htmlreport/cppcheck-htmlreport: htmlreport: fix #5963, handle
	inconclusive messages and underlay them in grey color.

2014-07-17  Alexander Mai <amai@users.sf.net>

	* lib/tokenize.cpp, test/testclass.cpp: Fix compiler warnings

2014-07-17  Dmitry-Me <wipedout@yandex.ru>

	* lib/tokenize.cpp: Fix variable capitalization.

2014-07-17  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* : Merge pull request #366 from
	Dmitry-Me/useTempVariableToOmitRecomputation Use temp variable to omit recomputing the same value.

2014-07-17  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/valueflow.cpp, test/testvalueflow.cpp: Fixed #5965 (False
	positive zerodiv - loop iterating over double variable)

2014-07-17  Dmitry-Me <wipedout@yandex.ru>

	* lib/checkautovariables.cpp: Use temp variable to omit recomputing
	the same value.

2014-07-17  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* tools/cppcheckdata.py: xml dump: fixed cppcheckdata loader so
	previous/next will work

2014-07-16  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* tools/cppcheckdata.py: xml dump: Read scope-type attribute in
	cppcheckdata.py module

2014-07-16  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/symboldatabase.cpp, lib/tokenize.cpp: xml dump: output some
	more info in the dump

2014-07-16  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* tools/cppcheckdata.py: xml dump: Added tools/cppcheckdata.py that
	loads the dump.

2014-07-16  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* : Merge pull request #364 from
	Dmitry-Me/tempVariablesAndBetterNames Shorten code by using temp variables, cleanup variable names.

2014-07-14  Matthias Krüger <matthias.krueger@famsik.de>

	* .travis.yml: travis: check --dump

2014-07-14  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/tokenize.cpp: xml dump: fixed some bad xml output in the token
	list dump

2014-07-14  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/symboldatabase.cpp: xml dump: fixed some minor issues in
	symboldatabase dump

2014-07-14  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/symboldatabase.cpp: xml dump: Fixed segfault when dumping
	symboldatabase variables

2014-07-14  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/symboldatabase.cpp: xml dump: output a <variables> with all
	variables

2014-07-14  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/symboldatabase.cpp: xml dump: remove duplicate attribute

2014-07-14  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* cli/cmdlineparser.cpp, lib/cppcheck.cpp, lib/settings.cpp,
	lib/settings.h, lib/symboldatabase.cpp, lib/symboldatabase.h,
	lib/token.cpp, lib/token.h, lib/tokenize.cpp, lib/tokenize.h: Fixed
	#5982 (Add xml dump)

2014-07-14  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checkother.cpp: astyle formatting [ci skip]

2014-07-14  Dmitry-Me <wipedout@yandex.ru>

	* lib/checkbufferoverrun.cpp, lib/checkexceptionsafety.cpp: Shorten
	code by using temp variables, cleanup variable names.

2014-07-14  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* : Merge pull request #363 from
	Dmitry-Me/dontRunTheAtLoopWhenNotNeeded Get rid of tokAt() and strAt() in trivial cases.

2014-07-13  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/symboldatabase.cpp, lib/symboldatabase.h, lib/token.cpp,
	lib/token.h, lib/tokenize.cpp: Add simple xml debug output. When
	both --xml and --debug is used there will be xml debug output.

2014-07-12  orbitcowboy <ettl.martin78@gmail.com>

	* lib/tokenize.cpp: Tokenizer: Added missing comma in string array
	initialization (This fixes Coverity-ID: 1226263 Missing comma in a
	string array initialization).

2014-07-12  orbitcowboy <ettl.martin78@gmail.com>

	* lib/tokenize.cpp: Fixed copy and paste error (Coverity-ID: 1226262
	Copy-paste error).

2014-07-16  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/valueflow.cpp, test/testvalueflow.cpp: Fixed #5981 (FP:
	nullPointer on repeated switch)

2014-07-15  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/templatesimplifier.cpp: TemplateSimplifier: Fixed crash caused
	by null pointer dereference. I don't have a testcase. But the code
	is suspicious, in the loop we check if tok3 is null and then in the
	loop head we call tok3->next().

2014-07-15  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/valueflow.cpp: ValueFlow: Small cleanups

2014-07-11  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* : Merge pull request #362 from
	Dmitry-Me/betterVariableNamesFixTypoInComment Clearer variable names, fix typo in comment.

2014-07-10  PKEuS <philipp.kloke@web.de>

	* : Merge pull request #361 from Dmitry-Me/reduceVariablesLifetime Bring variables declaration to where they are really needed.

2014-07-10  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* : Merge pull request #359 from
	Dmitry-Me/useReferencesToAvoidDeepCopy Use references instead of deep copying the strings

2014-07-09  Matthias Krüger <matthias.krueger@famsik.de>

	* tools/daca2-download.py: daca: keep files that we can check (see
	path.cpp).

2014-07-09  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checkclass.cpp, test/testclass.cpp: Fixed #5901 (False
	positive: (error) Using 'memcpy' with vector of uint8_t items)

2014-07-09  Dmitry-Me <wipedout@yandex.ru>

	* lib/tokenize.cpp: Use references instead of deep copying the
	strings

2014-07-09  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* : Merge pull request #358 from
	Dmitry-Me/reuseDataFromPreviousCodeAndOmitChecks2 Omit unnecessary checks

2014-07-08  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/tokenize.cpp, test/testtokenize.cpp: Fixed #5972 (FP: Buffer
	is accessed out of bounds)

2014-07-08  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checkbufferoverrun.cpp, test/testbufferoverrun.cpp: 
	CheckBufferOverrun::checkStringArgument: sizeof string is strlen+1

2014-07-08  Dmitry-Me <wipedout@yandex.ru>

	* lib/checkclass.cpp: Omit unnecessary checks

2014-07-08  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* test/testbufferoverrun.cpp: Fixed unit test

2014-07-08  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checkbufferoverrun.cpp: CheckBufferOverrun: Fixed crash. The
	crash occured in ThreadHandler in the deserialize() function.
	Probably because " was used in error message.

2014-07-08  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* cli/cppcheckexecutor.cpp, lib/valueflow.cpp: astyle formatting [ci skip]

2014-07-07  amai2012 <amai@users.sf.net>

	* cli/cppcheckexecutor.cpp, lib/checkbufferoverrun.cpp,
	lib/checkclass.cpp, lib/checkio.cpp, lib/preprocessor.cpp,
	lib/templatesimplifier.cpp, lib/tokenlist.cpp, lib/valueflow.cpp: 
	Attempt to fix 2 Coverity messages.  Replace a few unsigned int by
	std::size_t

2014-07-07  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/valueflow.cpp, test/testvalueflow.cpp: Fixed #5968 (False
	positive: 'Possible null pointer dereference' when checking null in
	negated conjuction)

2014-07-07  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/valueflow.cpp: ValueFlow: Cleanup code by using SymbolDatabase
	provided scope info

2014-07-06  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checkbufferoverrun.cpp, test/testuninitvar.cpp: astyle
	formatting [ci skip]

2014-07-06  amai2012 <amai@users.sf.net>

	* lib/checkbufferoverrun.cpp, lib/checknullpointer.cpp,
	test/testuninitvar.cpp: Avoid crash reported in #5943 (using the
	example from duplicate ticket #5971) Replace a few size_t/unsigned
	int by std::size_t

2014-07-06  amai2012 <amai@users.sf.net>

	* lib/checkbufferoverrun.cpp, test/testlibrary.cpp: Fix MSVC
	compiler warnings

2014-07-06  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checkbufferoverrun.cpp, lib/checkbufferoverrun.h,
	test/testbufferoverrun.cpp: Fixed #5257 (Check memcpy size for
	string literals)

2014-07-06  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* test/testbufferoverrun.cpp: astyle formatting [ci skip]

2014-07-05  amai2012 <amai@users.sf.net>

	* cfg/posix.cfg, cli/threadexecutor.cpp,
	lib/checkbufferoverrun.cpp, lib/library.cpp,
	test/testbufferoverrun.cpp: Add some more functions to posix.cfg
	which allow to enable
	TestBufferOverrun::buffer_overrun_1_posix_functions Fix some
	compiler warnings on MSVC

2014-07-05  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* cfg/std.cfg, lib/checkbufferoverrun.cpp, lib/library.cpp,
	lib/library.h, test/testbufferoverrun.cpp, test/testlibrary.cpp: 
	Library: Added <minsize> element used for buffer overrun checking

2014-07-05  Alexander Mai <amai@users.sf.net>

	* lib/token.cpp: Fix compiler warning (and minor cleanup).

2014-07-05  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* : Merge pull request #356 from
	Dmitry-Me/simplifyCodeWithTempVariables Use temp variables to simplify code.

2014-07-03  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* : Merge pull request #353 from
	Dmitry-Me/breakLoopEarlyInsteadOfContinuingBitwiseAnd Break the loop once the result can no longer change.

2014-07-02  PKEuS <philipp@kloke-witten.dyndns.org>

	* lib/checkinternal.cpp, lib/checkinternal.h, test/testinternal.cpp: 
	Added internal check for || and | inside Token::Match patterns.

2014-07-02  PKEuS <philipp@kloke-witten.dyndns.org>

	* tools/matchcompiler.py: Fixed two issues in matchcompiler: - Use correct findmatch or findsimplematch for verification - Print failing pattern also for findmatch/findsimplematch

2014-06-26  PKEuS <philipp@kloke-witten.dyndns.org>

	* lib/token.cpp, lib/token.h, test/testtoken.cpp: Reduced
	Token::Match complexity, better support for complex patterns

2014-06-26  PKEuS <philipp@kloke-witten.dyndns.org>

	* lib/token.cpp, lib/token.h, test/testtoken.cpp: Fixed and cleaned
	up Token::Match engine

2014-07-02  Dmitry-Me <wipedout@yandex.ru>

	* lib/checkassert.cpp: Negation not needed anymore.

2014-07-01  Zachary D. Blair <zack_blair@outlook.com>

	* lib/tokenize.cpp, lib/tokenize.h, test/testtokenize.cpp: Fixed
	4979 (Doesn't allow any ordering of int modifiers)

2014-07-02  PKEuS <philipp@kloke-witten.dyndns.org>

	* lib/checkunusedvar.cpp, test/testunusedvar.cpp: Several
	improvements to
	CheckUnusedVar::checkFunctionVariableUsage_iterateScopes(): - Use AST in some places - Fixed misusage of Token::isStandardType (fixes false negative) - Removed some redundant conditions

2014-07-01  PKEuS <philipp@kloke-witten.dyndns.org>

	* cfg/std.cfg: Fixed wrong configuration of itoa in std.cfg

2014-07-01  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checkother.cpp: Fixed Token::Match pattern. In x|y|..
	patterns, all %cmd% should be placed before plain-text operands.

2014-07-01  Dmitry-Me <wipedout@yandex.ru>

	* lib/checkassert.cpp: Break the loop once the result can no longer
	change.

2014-06-30  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/valueflow.cpp, test/testvalueflow.cpp: ValueFlow: Improved
	analysis after switch

2014-06-30  PKEuS <philipp@kloke-witten.dyndns.org>

	* tools/matchcompiler.py: matchcompiler.py: Check Token::type()
	before comparing Token::str() against "||" or "|"

2014-06-30  PKEuS <philipp@kloke-witten.dyndns.org>

	* tools/matchcompiler.py: matchcompiler.py: Show pattern that caused
	the InternalError

2014-06-30  amai2012 <amai@users.sf.net>

	* cli/cppcheckexecutor.cpp: ix compiler warning on Windows 64bit

2014-06-30  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/valueflow.cpp, test/testvalueflow.cpp: Fixed #5939 (fp:
	Possible null pointer dereference, after check against NULL in for
	loop)

2014-06-30  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/valueflow.cpp, test/testvalueflow.cpp: valueFlowBefore: better
	analysis of conditional assignment

2014-06-29  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* cli/cppcheckexecutor.cpp: astyle formatting [ci skip]

2014-06-29  amai2012 <amai@users.sf.net>

	* cli/cppcheckexecutor.cpp: Fix cppcheck warning in previous
	changeset Signed-off-by: amai2012 <amai@users.sf.net>

2014-06-29  amai2012 <amai@users.sf.net>

	* cli/cppcheckexecutor.cpp: Print callstack in SEH on Windows

2014-06-29  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/valueflow.cpp, test/testvalueflow.cpp: Fixed #5959 (ValueFlow:
	return value from subfunction)

2014-06-29  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/valueflow.cpp, test/testvalueflow.cpp: Fixed #5937 (ValueFlow:
	wrong analysis of calculations with different variable operands)

2014-06-28  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* tools/ci.py: ci.py: run daca2 in alphabetical order again

2014-06-28  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checkother.cpp, lib/token.cpp, test/testother.cpp: Fixed #5850
	(Wrong Message on self assignment)

2014-06-28  Alexander Mai <amai@users.sf.net>

	* cli/cppcheckexecutor.cpp: Try to fix configuration of un*x signal
	handling and backtrace support

2014-06-28  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* : Merge pull request #351 from simartin/ticket_5952 Ticket #5952: Simplify redundant parentheses in pointer variable
	declarations

2014-06-28  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/valueflow.cpp, test/testvalueflow.cpp: Fixed #5861
	(valueFlowSubFunction: fp for float value)

2014-06-28  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/library.cpp: Library: Handle FIlE_NOT_FOUND better

2014-06-28  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checkbufferoverrun.h: Fixed #5931 (arrayIndexOutOfBoundsCond
	id reported instead of arrayIndexOutOfBounds)

2014-06-28  Simon Martin <simartin@users.sourceforge.net>

	* lib/tokenize.cpp, test/testtokenize.cpp: Ticket #5952: Simplify
	redundant parentheses in pointer variable declarations.

2014-06-28  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* : Merge pull request #350 from lasergnu/stacktrace Many platforms don't support backtraces. Fix compile for Solaris
	platform

2014-06-27  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checkbufferoverrun.cpp, lib/checkbufferoverrun.h,
	samples/bufferAccessOutOfBounds/out.txt, test/testbufferoverrun.cpp: 
	CheckBufferOverrun: Removed old for-loop handling. This is handled
	through ValueFlow from now on.

2014-06-26  Alexander Mai <amai@users.sf.net>

	* lib/checkstl.cpp, lib/checkuninitvar.cpp, test/testtoken.cpp: Fix
	some compiler warnings

2014-06-26  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checkbufferoverrun.cpp, lib/checkbufferoverrun.h,
	test/testbufferoverrun.cpp: CheckBufferOverrun: Added bufferOverrun2
	that is based on ValueFlow/SymbolDatabase/Ast from the start.
	Replaced some old checking.

2014-06-26  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/tokenlist.cpp, test/testtokenize.cpp: AST: fixed ast for
	'++i;'

2014-06-26  orbitcowboy <ettl.martin78@gmail.com>

	* cfg/avr.cfg, cfg/posix.cfg: avr.cfg and posix.cfg: Added support
	for more functions.

2014-06-26  PKEuS <philipp@kloke-witten.dyndns.org>

	* lib/token.cpp, lib/token.h, lib/tokenlist.cpp: Store
	Token::_originalName on heap, since it is only used for a small
	amount of Tokens (reduce memory usage of TokenList by ~12% (x64))

2014-06-26  PKEuS <philipp@kloke-witten.dyndns.org>

	* lib/checkbufferoverrun.cpp, lib/checkbufferoverrun.h,
	lib/config.h, lib/errorlogger.h, lib/library.h,
	lib/preprocessor.cpp, lib/suppressions.h, lib/symboldatabase.h,
	lib/token.cpp, lib/tokenize.h, lib/tokenlist.cpp, lib/tokenlist.h,
	test/testsuite.cpp, test/testsuite.h, test/testsuppressions.cpp: 
	Refactorizations optimizing std::string usage: 1) Added global static const std::string emptyString; object: ->
	Replaces some static variables in functions which might be not
	threadsafe -> Avoids constructor call (std::string::string("")) ->
	Even functions that return an empty string in some branches can
	return by reference now.  Added to config.h to ensure that it is
	available everywhere 2) Added overloads for TestFixture::assertEquals for the most common
	use cases: -> Moves conversion from const char[] to std::string into
	a function, reducing code duplication in binary.

2014-06-26  PKEuS <philipp@kloke-witten.dyndns.org>

	* lib/checkbufferoverrun.cpp: Speedup checking large amounts of
	arrays (#5615) by avoiding Token::Match calls in
	CheckBufferOverrun::checkScope(2).  -> Decreased entire checking
	time on a subset of the attached file by 66% (MSVC12, x64,
	non-matchcompiled)

2014-06-25  Jay Sigbrandt <jaysig@hotmail.com>

	* cli/cppcheckexecutor.cpp, cli/threadexecutor.cpp: Many platforms
	don't support backtraces. Fix compile for Solaris platform.  This change was tested with Solaris 10 on X86 and SPARC.  More information on Unix Backtrace Support  - http://www.gnu.org/software/libc/manual/html_node/Backtraces.html It is not supported on the following platforms:  -

	https://www.gnu.org/software/gnulib/manual/html_node/execinfo_002eh.html        Mac OS X 10.3,         FreeBSD 6.0,         NetBSD 5.0,         OpenBSD 3.8,         Minix 3.1.8,         AIX 5.1,         HP-UX 11,         IRIX 6.5,         OSF/1 5.1,         Solaris 10,         Cygwin,         mingw,         MSVC 9,         Interix 3.5,         BeOS.

2014-06-26  orbitcowboy <ettl.martin78@gmail.com>

	* cfg/avr.cfg: avr.cfg: Added support for more functions.

2014-06-26  PKEuS <philipp@kloke-witten.dyndns.org>

	* lib/symboldatabase.cpp, test/testsymboldatabase.cpp: 
	SymbolDatabase: 'const' can't be the name of a variable - fix use
	after free #5882

2014-06-26  PKEuS <philipp@kloke-witten.dyndns.org>

	* lib/tokenlist.cpp, test/testtokenize.cpp: AST: Fixed detection of
	operator new/delete - don't hang when C code is checked as C++
	(#5910)

2014-06-26  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* : Merge pull request #347 from toralf/timer Timer

2014-06-25  Toralf Förster <toralf.foerster@gmx.de>

	* tools/times.sh: tools/times.sh: use always long-opts Signed-off-by: Toralf Förster <toralf.foerster@gmx.de>

2014-06-25  Toralf Förster <toralf.foerster@gmx.de>

	* tools/times.sh: tools/times.sh: prefer a loop over repeating the
	same command Signed-off-by: Toralf Förster <toralf.foerster@gmx.de>

2014-06-25  Toralf Förster <toralf.foerster@gmx.de>

	* tools/times.sh: tools/times.sh: adapt comment to the actual loops left over from #ea9f0718 Signed-off-by: Toralf Förster <toralf.foerster@gmx.de>

2014-06-25  PKEuS <philipp@kloke-witten.dyndns.org>

	* lib/symboldatabase.cpp, lib/tokenize.cpp: Optimized
	Tokenizer::simplifyPlatformTypes() once more: Another 3% improvement
	on Windows.  -> All Token::Match strings are uppercase, so check
	Token::isUpperCaseName() to avoid comparisons with very slow long
	Token::Match strings (idea from amai) Removed duplicate Token::Match
	call in symboldatabase.cpp

2014-06-25  PKEuS <philipp@kloke-witten.dyndns.org>

	* lib/tokenize.cpp: Speedup Tokenizer::simplifyMathFunctions() and
	Tokenizer::simplifyPlatformTypes() -> Speedup on entire checking
	time (TortoiseSVN code) by 3% (MSVC12, x64, not matchcompiled).
	Probably only measurable when checking code with Windows platform.

2014-06-25  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/valueflow.cpp, test/testvalueflow.cpp: Fixed #5947
	(valueFlowForward: forward conditions not handled properly)

2014-06-25  orbitcowboy <ettl.martin78@gmail.com>

	* cfg/avr.cfg, cfg/posix.cfg, cfg/std.cfg: Extended std.cfg,
	posix.cfg and avr.cfg

2014-06-25  orbitcowboy <ettl.martin78@gmail.com>

	* cfg/std.cfg: std.cfg: Added support for more functions.

2014-06-25  orbitcowboy <ettl.martin78@gmail.com>

	* cfg/posix.cfg, cfg/std.cfg, test/testnullpointer.cpp: Extended
	std.cfg about more missing functions. Moved POSIX functions to
	posix.cfg. Extended posix.cfg about more memory allocating
	functions.

2014-06-25  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* runastyle: runastyle: don't strip trailing spaces in cfg files.
	After a  'runastyle;git commit;git push', I get changes if I run
	runastyle again.  [ci skip]

2014-06-25  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/valueflow.cpp, test/testvalueflow.cpp: 
	valueFlowAfterCondition: wrong analysis for floats

2014-06-24  PKEuS <philipp@kloke-witten.dyndns.org>

	* cfg/std.cfg, lib/checknullpointer.cpp: Removed redundant code
	(replaced by libaries, should fix #5934).

2014-06-24  PKEuS <philipp@kloke-witten.dyndns.org>

	* lib/tokenlist.cpp: Fixed cppcheck warnings introduced by previous
	commit

2014-06-24  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/valueflow.cpp, test/testsimplifytokens.cpp,
	test/testvalueflow.cpp: Fixed #5941 (ValueFlow: Wrong value in
	subfunction under ?)

2014-06-24  PKEuS <philipp@kloke-witten.dyndns.org>

	* lib/tokenlist.cpp, lib/tokenlist.h: Cache results for
	TokenList::isC() and TokenList::isCPP() to avoid redundant calls to
	Path::isCPP()/isC(), which perform slow string operations
	(conversion to lowercase, substring, comparisons) -> Speedup of 2%
	on self-checking cppcheck-core (MSVC12, x64, not matchcompiled)

2014-06-24  orbitcowboy <ettl.martin78@gmail.com>

	* cfg/std.cfg: std.cfg: Added support for qsort and improved stro*
	functions.

2014-06-24  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* : Merge pull request #345 from toralf/html cppcheck-htmlreport: print the cppcheck version in every footer

2014-06-23  Toralf Förster <toralf.foerster@gmx.de>

	* htmlreport/cppcheck-htmlreport: cppcheck-htmlreport: print the
	cppcheck version in every footer missed in 2d4bae0 Signed-off-by: Toralf Förster <toralf.foerster@gmx.de>

2014-06-23  Toralf Förster <toralf.foerster@gmx.de>

	* htmlreport/cppcheck-htmlreport: cppcheck-htmlreport: print the
	cppcheck version in every footer missed in 2d4bae0 Signed-off-by: Toralf Förster <toralf.foerster@gmx.de>

2014-06-23  PKEuS <philipp@kloke-witten.dyndns.org>

	* lib/checkbufferoverrun.cpp, lib/checkbufferoverrun.h: Improved
	performance of CheckBufferOverrun::checkScope() (#5944): -> Speedup
	by 40% (MSVC12, x64, not matchcompiled) on the file attached to the
	ticket

2014-06-23  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checkleakautovar.cpp, test/testleakautovar.cpp: Fixed #5923
	(false positive: (error) Resource leak: fp (static file pointer))

2014-06-23  orbitcowboy <ettl.martin78@gmail.com>

	* cfg/avr.cfg, cfg/std.cfg: std.cfg: Added support for bsearch.

2014-06-23  orbitcowboy <ettl.martin78@gmail.com>

	* cfg/avr.cfg, cfg/std.cfg: Extended std.cfg and avr.cfg about more
	functions.

2014-06-23  orbitcowboy <ettl.martin78@gmail.com>

	* cfg/avr.cfg, cfg/std.cfg, test/testnullpointer.cpp: Astyle run;
	Extended std.cfg and avr.cfg about a few more functions.

2014-06-22  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/library.cpp, lib/library.h, lib/tokenize.cpp,
	lib/valueflow.cpp: Refactoring: Move isScopeNoReturn implementation
	to library and reuse it both in ValueFlow and Tokenizer

2014-06-22  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* : Merge pull request #344 from matthiaskrgr/travis_O travis: change build optimization level back to -O2 (from -O3) as
	discussed

2014-06-22  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checknullpointer.cpp, lib/checknullpointer.h,
	lib/valueflow.cpp, test/testnullpointer.cpp: Refactoring: Removed
	CheckNullPointer::nullPointerByCheckAndDeRef and implemented needed
	analysis in ValueFlow instead.

2014-06-21  XhmikosR <xhmikosr@users.sourceforge.net>

	* .gitignore: Update .gitignore.  Remove accidentally added file.  [ci skip]

2014-06-21  XhmikosR <xhmikosr@users.sourceforge.net>

	* .gitattributes, .gitignore: Clean up .gitignore and remove the
	currently unneeded .gitattributes file.  [ci skip]

2014-06-21  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* htdocs/.htaccess, htdocs/404.html, htdocs/Readme.md,
	htdocs/analyticstracking.php, htdocs/demo/index.php,
	htdocs/demo/report/index.php, htdocs/devinfo/index.php,
	htdocs/gsoc2014.php, htdocs/index.php, htdocs/make.js,
	htdocs/package.json, htdocs/run-tests.js,
	htdocs/site/activetopics.php, htdocs/site/css/all.css,
	htdocs/site/css/daca2.css, htdocs/site/css/demo.css,
	htdocs/site/css/normalize.css, htdocs/site/css/pack.css,
	htdocs/site/geshi/geshi.php, htdocs/site/geshi/geshi/c.php,
	htdocs/site/geshi/geshi/cpp.php, htdocs/site/js/github.js,
	htdocs/site/js/jquery-1.11.0.min.js, htdocs/site/js/pack.js,
	htdocs/site/js/picnet.table.filter.min.js,
	htdocs/site/js/sorttable.js, htdocs/site/js/sorttable.min.js,
	htdocs/site/simplepie/LICENSE.txt,
	htdocs/site/simplepie/README.markdown,
	htdocs/site/simplepie/cache/dummy.txt,
	htdocs/site/simplepie/simplepie.php: htdocs: removed files, they
	have been moved to the repo cppcheck-htdocs

2014-06-21  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* htdocs/demo/index.php, htdocs/devinfo/index.php, htdocs/index.php: 
	htdocs: change link to trac

2014-06-20  Martin Ettl <ettl.martin78@googlemail.com>

	* cfg/avr.cfg: avr.cfg: Added support for some stdio.h macros.

2014-06-19  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/valueflow.cpp, test/testnullpointer.cpp,
	test/testvalueflow.cpp: ValueFlow: analysis in condition.

2014-06-19  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* cfg/avr.cfg, lib/valueflow.cpp: ValueFlow: Refactoring. Use
	utility function isVariableChanged.

2014-06-18  Martin Ettl <ettl.martin78@googlemail.com>

	* cfg/avr.cfg: avr.cfg: Removed NAN definition.

2014-06-18  Martin Ettl <ettl.martin78@googlemail.com>

	* cfg/avr.cfg: avr.cfg: Added macros of stdint.h.

2014-06-18  Martin Ettl <ettl.martin78@googlemail.com>

	* cfg/avr.cfg: avr.cfg: Added accidently commented out define.

2014-06-18  Martin Ettl <ettl.martin78@googlemail.com>

	* cfg/avr.cfg: avr.cfg: Added more defines.

2014-06-18  Toralf Förster <toralf.foerster@gmx.de>

	* htmlreport/cppcheck-htmlreport: htmlreport: Use source_encoding to
	open XML files

2014-06-18  PKEuS <philipp.kloke@web.de>

	* : Merge pull request #342 from matthiaskrgr/travis_working Travis working

2014-06-18  Matthias Krüger <matthias.krueger@famsik.de>

	* .travis.yml: travis: add -O3 -march=native -mtune=native to
	default CXXFLAGS

2014-06-14  Matthias Krüger <matthias.krueger@famsik.de>

	* .travis.yml: travis: run cppcheck with --exception-handling where
	it matters

2014-05-27  Matthias Krüger <matthias.krueger@famsik.de>

	* .travis.yml: travis: move CHECK_INTERNAL check up, remove
	"SRCDIR=build VERIFY=1" job in favor of "MAKEFLAGS="HAVE_RULES=yes"
	SRCDIR=build VERIFY=1" Conflicts: 	.travis.yml

2014-05-25  Matthias Krüger <matthias.krueger@famsik.de>

	* .travis.yml: travis: run test_matchcompiler.py

2014-06-18  PKEuS <philipp@kloke-witten.dyndns.org>

	* tools/test_matchcompiler.py: Fixed test_matchcompiler.py

2014-06-18  PKEuS <philipp@kloke-witten.dyndns.org>

	* lib/preprocessor.cpp, test/testpreprocessor.cpp: Fixed #error
	handling: - Reporting them once is enough - Don't report them if --force is used - since we silently drop
	these configurations when we check multiple configurations. Without
	the fix, -f combined with -D resulted in #error being shown
	erroneously.  - No redundant preprocessor instance to report them

2014-06-18  PKEuS <philipp@kloke-witten.dyndns.org>

	* lib/checkleakautovar.cpp: Made static local variable non-static
	(thread-safety, #5934)

2014-06-18  orbitcowboy <ettl.martin78@gmail.com>

	* cfg/avr.cfg: avr.cfg: Cleanup.

2014-06-18  orbitcowboy <ettl.martin78@gmail.com>

	* cfg/avr.cfg: avr.cfg: Added more defines.

2014-06-18  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/valueflow.cpp, test/testvalueflow.cpp: ValueFlow: better
	analysis in valueFlowAfterCondition of 'if|while ( %var% )' etc

2014-06-18  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/valueflow.cpp, test/testvalueflow.cpp: ValueFlow: extend
	aftercondition analysis below conditional code

2014-06-18  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* cfg/avr.cfg: runastyle [ci skip]

2014-06-17  orbitcowboy <ettl.martin78@gmail.com>

	* cfg/avr.cfg, cfg/std.cfg: Extended std.cfg about alloca function
	and avr.cfg about a few definitions.

2014-06-17  orbitcowboy <ettl.martin78@gmail.com>

	* cfg/avr.cfg: avr.cfg: Added more podtypes.

2014-06-17  orbitcowboy <ettl.martin78@gmail.com>

	* cfg/avr.cfg: Cleanup avr.cfg file.

2014-06-17  orbitcowboy <ettl.martin78@gmail.com>

	* cfg/avr.cfg: Running astyle, no functional changes. [ci skip].

2014-06-16  Alexander Mai <amai@users.sf.net>

	* lib/tokenize.cpp, test/teststl.cpp: Patch from Dmitry-Me: reorder
	checks so that cheaper ones go first, reuse previously computed
	values, return early on edge condition

2014-06-16  amai2012 <amai@users.sf.net>

	* lib/checkstl.cpp, test/teststl.cpp: #5926 Dangerous iterator
	comparison using operator< on 'std::deque'.  std::deque features a random access iterator, so warning
	stlBoundaries is a false positive

2014-06-16  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/valueflow.cpp, test/testvalueflow.cpp: ValueFlow: Improved
	analysis after condition when ! operator is used

2014-06-16  orbitcowboy <ettl.martin78@gmail.com>

	* cfg/avr.cfg: Added cfg for AVR microcontrollers. This config file
	contains podtype definitions so far.

2014-06-16  orbitcowboy <ettl.martin78@gmail.com>

	* cfg/posix.cfg, lib/path.cpp: Fixed #5925: The first include in
	path.cpp is not path.h and astyle run.

2014-06-16  orbitcowboy <ettl.martin78@gmail.com>

	* cfg/posix.cfg: Astyle run [ci skip]

2014-06-16  orbitcowboy <ettl.martin78@gmail.com>

	* cfg/posix.cfg: posix.cfg: Add more podtype definition for POSIX
	systems.

2014-06-16  orbitcowboy <ettl.martin78@gmail.com>

	* cfg/posix.cfg: posix.cfg: Started to add podtype definition for
	POSIX systems.

2014-06-16  orbitcowboy <ettl.martin78@gmail.com>

	* lib/templatesimplifier.cpp, test/testtokenize.cpp: Fixed
	fsanitize=undefined: left shift of negative value -10000 in
	lib/templatesimplifier.cpp.

2014-06-16  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* gui/mainwindow.cpp: GUI: In win32, use Win32W instead of Win32A as
	default platform

2014-06-15  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* : Merge pull request #340 from HeisSpiter/master Add a few more types for Windows

2014-06-15  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* test/testvalueflow.cpp: ValueFlow: Fixed testcase

2014-06-15  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/valueflow.cpp, test/testvalueflow.cpp: Fixed #5916 (ValueFlow:
	Add a valueFlowAfterCondition() function)

2014-06-15  Simon Martin <simartin@users.sourceforge.net>

	* lib/tokenize.cpp, test/testtokenize.cpp: Ticket #5268: Properly
	detect function heads when in Tokenizer::simplifyEnum.

2014-06-15  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* cli/cppcheckexecutor.cpp: CLI: don't use unix-signals if
	NO_UNIX_SIGNAL_HANDLING is defined. don't use unix-signals in os/2.

2014-06-14  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* gui/projectfiledialog.cpp: Fixed #5585 (GUI: Project file -dialog
	lists all .cfg files as config libraries)

2014-06-14  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* gui/mainwindow.cpp: GUI: save platform setting

2014-06-14  Pierre Schweitzer <pierre@reactos.org>

	* cfg/windows.cfg: Add a few more types for Windows

2014-06-14  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* : Merge pull request #338 from HeisSpiter/master Add sign information for a few Windows types

2014-06-14  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* : Merge pull request #339 from simartin/ticket_5868 Ticket #5868: Ignore variables called like a typedef when
	substituting typedefs

2014-06-04  PKEuS <philipp@kloke-witten.dyndns.org>

	* lib/token.cpp, lib/token.h, lib/tokenize.cpp, lib/tokenlist.cpp,
	test/testtoken.cpp, test/testutils.h: Replaced static variable isCPP
	in Token (was not threadsafe): - Encapsulate parameters passed through AST compiler functions in a
	struct -> Reduces maintenance overhead when changing them ->
	Contains parameter indicating if the file is C or C++ - Added eKeyword Token type (at the moment, only true for C++
	keyword "delete", but should be set for other keywords as well)

2014-06-14  Simon Martin <simartin@users.sourceforge.net>

	* lib/tokenize.cpp, test/testtokenize.cpp: Ticket #5868: Ignore
	variables called like a typedef when substituing typedefs.

2014-06-13  Pierre Schweitzer <pierre@reactos.org>

	* cfg/windows.cfg: Add Windows type sizes when possible

2014-06-13  Pierre Schweitzer <pierre@reactos.org>

	* cfg/windows.cfg: Add sign information for a few Windows types

2014-06-13  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/valueflow.cpp, test/testvalueflow.cpp: ValueFlow: Fixed
	'function call => calculation' value flow

2014-06-13  orbitcowboy <ettl.martin78@gmail.com>

	* Makefile, lib/library.cpp, tools/dmake.cpp: Revert my previous fix
	28763fa020988ec938dae3d47c10be95c87de90e and suppress gcc false
	positive warnings.

2014-06-13  orbitcowboy <ettl.martin78@gmail.com>

	* lib/library.cpp: Libary: Fixed gcc warning
	-Wmissing-field-initializers

2014-06-12  Alexander Mai <amai@users.sf.net>

	* cli/main.cpp, lib/checkmemoryleak.cpp, lib/library.cpp: Fix clang
	and coverity warnings

2014-06-12  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checkio.cpp, lib/checkio.h: CheckIO: Handle library types

2014-06-12  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* cfg/std.cfg: std.cfg: configure standard types

2014-06-10  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/tokenize.cpp, lib/tokenize.h, test/testsimplifytokens.cpp,
	test/testuninitvar.cpp: Tokenizer: Removed
	Tokenizer::simplifyConditionOperator(). Using the AST and ValueFlow,
	it should be much easier to parse ?: than before.

2014-06-09  amai2012 <amai2012@users.noreply.github.com>

	* : Merge pull request #336 from
	Dmitry-Me/SimplifyCodeBreakLoopsEarly Simplify code - bail out early, vreak loops early, reorder checks
	and declarations

2014-06-08  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* cfg/posix.cfg, cfg/std.cfg, cfg/windows.cfg, lib/library.cpp,
	test/testlibrary.cpp, test/testother.cpp: Library: Change range
	operator in validation pattern to ':'

2014-06-08  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* : Merge pull request #335 from simartin/ticket_5907 Ticket #5907: Properly handle extern declarations in
	Tokenizer::simplifyVarDecl

2014-06-08  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/tokenize.cpp, lib/tokenize.h: Tokenizer: Use 'podtype' info
	from library. Partial fix for #5623

2014-06-08  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/library.cpp, lib/library.h, test/testlibrary.cpp: Library:
	Added 'podtype' element. Partial fix for #5623

2014-06-08  Alexander Mai <amai@users.sf.net>

	* lib/preprocessor.cpp, test/testpreprocessor.cpp: #5909 crash:
	clang: test/Preprocessor/ifdef-recover.c. Avoid segfault in
	Preprocessor::getcfgs() on invalid code.

2014-06-07  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* : Merge pull request #334 from
	Dmitry-Me/ReorderChecksAndCleanupDeclarations Cleanup code - reorder checks and make variable declaration scope
	narrower

2014-06-07  Alexander Mai <amai@users.sf.net>

	* lib/mathlib.cpp, test/testother.cpp: Fix clang compiler warning in
	mathlib.cpp and repair test case for #5895

2014-06-06  Dmitry-Me <wipedout@yandex.ru>

	* lib/checkbufferoverrun.cpp, lib/tokenize.cpp: Cleanup code -
	reorder checks and make variable declaration scope narrower.

2014-06-06  orbitcowboy <ettl.martin78@gmail.com>

	* lib/checkother.cpp: Reverted fix
	6d0f490138c0e77cd563af5a8ca6ba17b720d526, but keeping the testcase
	in the testsuite.

2014-06-06  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* : Merge pull request #333 from matthiaskrgr/htmlreport_fix_colors htmlreport: fix syntax highlighting broken in
	ca4a0af840f45107ce33d902bd4d77d5af09aedf

2014-06-06  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* : Merge pull request #331 from Dmitry-Me/DontExitInTheMiddle Should not call std::exit() in the middle of program

2014-06-05  Matthias Krüger <matthias.krueger@famsik.de>

	* htmlreport/cppcheck-htmlreport: htmlreport: fix syntax
	highlighting broken in ca4a0af840f45107ce33d902bd4d77d5af09aedf.

2014-06-05  PKEuS <philipp@kloke-witten.dyndns.org>

	* test/testtokenize.cpp: Improved testing of AST, added unit test
	for #5787

2014-06-05  PKEuS <philipp@kloke-witten.dyndns.org>

	* lib/symboldatabase.h, lib/timer.cpp: Refactorization in timer.cpp
	(#5902), Removed misleading comment in symboldatabase

2014-06-05  orbitcowboy <ettl.martin78@gmail.com>

	* lib/checkother.cpp, test/testother.cpp: #5895 - Fixed potential
	signed integer overflow in Checkother:getvalue. Added regression
	test.

2014-06-05  Matthias Krüger <matthias.krueger@famsik.de>

	* .travis.yml: travis: kernel check: change crashgrepping regex to
	match potentially more crashes.

2014-06-05  PKEuS <philipp@kloke-witten.dyndns.org>

	* lib/tokenize.cpp: Fixed incorrect usage of
	startOfExecutableScope() (Checking time reduced by ~60% (nonlinear)
	for #5876)

2014-06-04  PKEuS <philipp@kloke-witten.dyndns.org>

	* cli/cmdlineparser.cpp, cli/cppcheckexecutor.cpp: Fixed remaining
	VS warnings (hopefully all of them, this time)

2014-06-05  Dmitry-Me <wipedout@yandex.ru>

	* cli/cppcheckexecutor.cpp: Calling std::exit() in the middle of a
	C++ program subverts stack unwinding and can introduce subtle bugs.

2014-06-04  PKEuS <philipp@kloke-witten.dyndns.org>

	* lib/cppcheck.cpp, lib/library.cpp: Attempt to fix travis and some
	more VS warnings

2014-06-04  PKEuS <philipp@kloke-witten.dyndns.org>

	* lib/library.h, test/testsimplifytokens.cpp, test/testsuite.h: 
	Fixed VS warnings

2014-06-04  PKEuS <philipp@kloke-witten.dyndns.org>

	* lib/tokenlist.cpp, test/testtokenize.cpp: Fixed lots of bugs in
	the AST: - Support new and delete - Properly handle "..." - References and rValue references as function parameters - Destructor definitions

2014-06-04  PKEuS <philipp@kloke-witten.dyndns.org>

	* test/testassignif.cpp, test/testsimplifytokens.cpp: Fixes for test
	suite, added a TODO unit test about bad typedef simplification

2014-06-04  PKEuS <philipp@kloke-witten.dyndns.org>

	* lib/tokenize.cpp, test/testtokenize.cpp: Simplify rValue reference
	arguments without name (&& -> & &)

2014-06-04  PKEuS <philipp@kloke-witten.dyndns.org>

	* lib/preprocessor.cpp, lib/tokenize.cpp, lib/tokenize.h,
	test/testsimplifytokens.cpp: Tokenizer::tokenize() can now be called
	without AST being created

2014-06-04  PKEuS <philipp@kloke-witten.dyndns.org>

	* lib/checkbufferoverrun.cpp, lib/checkunusedfunctions.cpp,
	lib/cppcheck.cpp, lib/symboldatabase.cpp, lib/tokenize.cpp,
	lib/tokenize.h, lib/tokenlist.cpp, lib/tokenlist.h: Moved
	getSourceFilePath(), isC() and isCPP() from Tokenizer to TokenList Conflicts: 	lib/tokenize.cpp

2014-06-04  PKEuS <philipp@kloke-witten.dyndns.org>

	* lib/cppcheck.cpp: Fixed timer name

2014-06-04  orbitcowboy <ettl.martin78@gmail.com>

	* lib/mathlib.cpp, test/testmathlib.cpp: MathLib: Added missing
	testcase for incdec.

2014-05-29  orbitcowboy <ettl.martin78@gmail.com>

	* lib/mathlib.cpp, lib/mathlib.h, lib/tokenize.cpp,
	test/testmathlib.cpp: Fixed #5885 - fsanitize=undefined: signed
	integer overflow: 2147483647 + 1 cannot be represented in type 'int'
	in lib/tokenize.cpp.

2014-05-29  orbitcowboy <ettl.martin78@gmail.com>

	* lib/checkother.cpp, test/testother.cpp: Fixed #5890 - crash:
	wesnoth desktop_util.cpp / unicode.hpp.

2014-06-02  Robert Reif <reif@earthlink.net>

	* lib/symboldatabase.cpp, test/testsymboldatabase.cpp: Fixed #5867
	(invalid debug warnung: Scope::checkVariable : varid0)

2014-06-01  Alexander Mai <amai@users.sf.net>

	* lib/checksizeof.cpp, test/testsizeof.cpp: #5875 fix
	'lib/checksizeof.cpp:142:26: runtime error: member call on null
	pointer of type 'Token'. Improve error handling in
	CheckSizeof::checkSizeofForPointerSize()

2014-06-01  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* : Merge pull request #328 from matthiaskrgr/htmlreport htmlreport: print filename in file page heading.

2014-06-01  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* : Merge pull request #329 from HeisSpiter/master Add a new test for OpenFile function from windows.cfg.

2014-06-01  Matthias Krüger <matthias.krueger@famsik.de>

	* htmlreport/cppcheck-htmlreport: htmlreport: make content div
	overflow the menu properly when scrolling horizontally.

2014-06-01  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/cppcheck.cpp, lib/preprocessor.cpp, lib/preprocessor.h: 
	Preprocessor: set error flag when unhandled characters are found so
	checking can bailout

2014-06-01  Matthias Krüger <matthias.krueger@famsik.de>

	* htmlreport/cppcheck-htmlreport: htmlreport: show index of errors
	of current page under Defect List link.

2014-06-01  Matthias Krüger <matthias.krueger@famsik.de>

	* htmlreport/cppcheck-htmlreport: htmlreport: splitup HTML_HEAD
	where we want to insert the list of errors.

2014-05-31  Matthias Krüger <matthias.krueger@famsik.de>

	* htmlreport/cppcheck-htmlreport: htmlreport: remove redundant
	<style> tags, make html output readable.

2014-05-31  Matthias Krüger <matthias.krueger@famsik.de>

	* htmlreport/cppcheck-htmlreport: htmlreport: make link to index
	page ("Defect list") fixed on the screen so we can always access it
	regardless of how low we scrolled.

2014-06-01  Pierre Schweitzer <pierre@reactos.org>

	* test/testmemleak.cpp: Add a new test for OpenFile function from
	windows.cfg.  It is here as a reminder for a TODO. When used with
	OF_EXIST flag, the function OpenFile doesn't return a handle and
	thus, doesn't leak any resource.  As cppcheck doesn't support such
	feature yet, it's added a TODO not to be forgotten for later fix
	when cppcheck supports this.  Also added a naive check, just to ensure the OpenFile check doesn't
	get broken when adding support for OF_EXIST.

2014-05-16  Martin Ettl <ettl.martin78@googlemail.com>

	* lib/mathlib.cpp, test/testassignif.cpp, test/testmathlib.cpp: 
	astyle run [ci skip]

2014-05-31  amai2012 <amai@users.sf.net>

	* lib/mathlib.cpp, test/testmathlib.cpp: #5875 Fix
	'lib/mathlib.cpp:559:43: runtime error: division by zero'. Several
	fixes to MathLib::divide(): avoid division by zero, handle various
	representation of 0 value, use 'nan.' instead of '-nan.0'

2014-05-31  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/tokenlist.cpp: TokenList: added assertion that makes sure the
	Preprocessor doesn't let through extended ascii wrongly.

2014-05-31  amai <Alexander@maiwin1.(none)>

	* lib/checkassignif.cpp, test/testassignif.cpp: #5875 clang ubsan
	errors: lib/checkassignif.cpp:58:34: runtime error: member call on
	null pointer of type 'Token'

2014-05-31  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checkother.cpp, test/testother.cpp: Fixed #5857 (strPlusChar:
	Crash on invalid code 'int+;')

2014-05-30  PKEuS <philipp.kloke@web.de>

	* : Merge pull request #327 from simartin/only_fill_if_needed Only fill total_size in CheckBufferOverrun::checkFunctionParameter
	when useful

2014-05-29  Simon Martin <simartin@users.sourceforge.net>

	* lib/checkbufferoverrun.cpp: Only fill total_size in
	CheckBufferOverrun::checkFunctionParameter when it's useful.

2014-05-29  amai2012 <amai2012@users.noreply.github.com>

	* : Merge pull request #326 from
	simartin/ticket_5615_avoid_useless_similar_calls Ticket #5615: Avoid calling the same function n times when once is
	enough

2014-05-29  Alexander Mai <amai@users.sf.net>

	* cli/cppcheckexecutor.cpp: Fix missing break while handling SIGBUS
	- fixes clang compiler warning

2014-05-28  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checkother.cpp: cleanup redundant valueflow check. if there
	are no values the getValue will return NULL.

2014-05-28  orbitcowboy <ettl.martin78@gmail.com>

	* test/testsymboldatabase.cpp: Fixed CID 1216439: potential
	copy&paste error in testing symbol database.

2014-05-25  XhmikosR <xhmikosr@users.sourceforge.net>

	* : GUI: Minor image compression improvements.  Before: 24.321 bytes After:  24.272 bytes [ci skip]

2014-05-27  PKEuS <philipp.kloke@web.de>

	* : Merge pull request #325 from
	simartin/checkio_types_match_factorize Factorize type name equality checks in CheckIO

2014-05-27  Simon Martin <simartin@users.sourceforge.net>

	* lib/checkio.cpp: Factorize type name equality checks in CheckIO.

2014-05-27  Simon Martin <simartin@users.sourceforge.net>

	* lib/checkbufferoverrun.cpp, test/testbufferoverrun.cpp: Added a
	test for out-of-bounds character array access.

2014-05-26  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* gui/mainwindow.cpp, gui/mainwindow.h: GUI: Show validation errors
	when loading library fails. Ticket #5847

2014-05-26  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* : Merge pull request #320 from tarnhold/master htmlreport: Generate file list sorted by file name

2014-05-25  PKEuS <philipp.kloke@web.de>

	* : Merge pull request #322 from simartin/del_useless_fwd_decl Remove unnecessary declaration (one line before the actual
	definition...)

2014-05-25  Simon Martin <simartin@users.sourceforge.net>

	* lib/tokenize.cpp: Remove unnecessary declaration (one line before
	the actual definition...

2014-05-25  PKEuS <kloke@uni-bonn.de>

	* lib/tokenlist.cpp, test/testtokenize.cpp: Added support for
	lambdas to AST Fixed bug that return statement left an operand on
	the stack

2014-05-25  Thomas Arnhold <thomas@arnhold.org>

	* htmlreport/cppcheck-htmlreport: htmlreport: Generate file list
	sorted by file name

2014-05-25  Alexander Mai <amai@users.sf.net>

	* cli/cppcheckexecutor.cpp: Exception handling: catch SIGBUS.
	Evaluate siginfo_t::si_code

2014-05-25  Toralf Förster <toralf.foerster@gmx.de>

	* htmlreport/cppcheck-htmlreport: htmlreport: print the cppcheck
	version in the footer of the report

2014-05-25  PKEuS <philipp.kloke@web.de>

	* lib/symboldatabase.cpp, test/testsymboldatabase.cpp: Fixed debug
	message #5159

2014-05-25  PKEuS <philipp.kloke@web.de>

	* test/testsymboldatabase.cpp: Fixed VS warnings in
	testsymboldatabase.cpp

2014-05-25  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* gui/projectfile.ui, man/manual.docbook: GUI, manual: some
	clarifications how custom user .cfg files are used (Ticket: #5847)

2014-05-25  Alexander Mai <amai@users.sf.net>

	* Makefile, cli/cmdlineparser.cpp, cli/cppcheckexecutor.cpp,
	cli/cppcheckexecutor.h: --exception-handling now takes optional
	argument to choose between stdout and stderr for its output. stdout
	is new default value

2014-05-24  toralf <toralf.foerster@gmx.de>

	* htmlreport/cppcheck-htmlreport: Link to IRC channel instead of
	just mentioning it.

2014-05-24  PKEuS <philipp.kloke@web.de>

	* lib/tokenlist.cpp, test/testtokenize.cpp: Fixed crash on complex
	cast.

2014-05-24  PKEuS <philipp.kloke@web.de>

	* lib/checkbool.cpp, test/testbool.cpp: Fixed TODO in
	checkAssignBoolToFloat

2014-05-24  Alexander Mai <amai@users.sf.net>

	* lib/checkbool.cpp, test/testbool.cpp: 
	CheckBool::checkAssignBoolToFloat() - don't crash on unknown
	variables

2014-05-24  PKEuS <philipp.kloke@web.de>

	* lib/tokenize.cpp, lib/tokenlist.cpp, test/testtokenize.cpp: 
	Stabilized AST: - Fixed broken simplification causing crashs when cast was followed
	by unary minus (real world examples from arch/parisc/math-emu/
	(linux-kernel)) - Stabilized determination of unary and binary operators

2014-05-24  Alexander Mai <amai@users.sf.net>

	* lib/checkbool.cpp, lib/checkbool.h, lib/symboldatabase.h,
	test/testbool.cpp, test/testsymboldatabase.cpp: #4375 New check: add
	style warning about 'double d=false;' Add a new check to CheckBool.
	Also implement Variable::isFloatingType()

2014-05-24  PKEuS <philipp.kloke@web.de>

	* lib/checkbufferoverrun.cpp, test/testbufferoverrun.cpp: Fixed
	#5863 (False positive: array index is used before limits check)

2014-05-24  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* Makefile, lib/lib.pri: Updated Makefile

2014-05-24  PKEuS <philipp.kloke@web.de>

	* lib/checkautovariables.cpp, lib/templatesimplifier.cpp,
	test/testautovariables.cpp: Fixed #5860: Don't show
	returnTempReference for calculations on unknown types

2014-05-23  PKEuS <philipp.kloke@web.de>

	* cli/cmdlineparser.cpp, cli/pathmatch.cpp, lib/cppcheck.cpp,
	lib/cppcheck.h, lib/library.h, lib/symboldatabase.cpp,
	lib/symboldatabase.h, lib/templatesimplifier.cpp, lib/token.cpp,
	lib/valueflow.cpp, test/testcppcheck.cpp: Further include cleanup

2014-05-23  PKEuS <philipp.kloke@web.de>

	* cli/threadexecutor.cpp, lib/check.cpp, lib/check.h,
	lib/checkleakautovar.cpp, lib/checksizeof.cpp,
	lib/cppcheck.vcxproj, lib/cppcheck.vcxproj.filters,
	lib/symboldatabase.cpp: Moved implementation of two functions to new
	file check.cpp -> Don't include <iostream> everywhere

2014-05-23  PKEuS <philipp.kloke@web.de>

	* lib/checkautovariables.cpp, lib/checkautovariables.h,
	lib/checkbool.h, lib/checkbufferoverrun.cpp,
	lib/checkbufferoverrun.h, lib/checkclass.h,
	lib/checkexceptionsafety.cpp, lib/checkexceptionsafety.h,
	lib/checkinternal.h, lib/checkio.cpp, lib/checkio.h,
	lib/checkleakautovar.cpp, lib/checkleakautovar.h,
	lib/checkmemoryleak.h, lib/checknullpointer.h, lib/checkother.cpp,
	lib/checkother.h, lib/checksizeof.cpp, lib/checksizeof.h,
	lib/checkstl.h, lib/checkuninitvar.h, lib/checkunusedfunctions.h,
	lib/checkunusedvar.h: Cleaned up includes and forward declarations
	 in checkers: - Removed definitely unnecessary forward declarations (e.g. "class
	 Token"; token.h is already included by check.h, so a definition is
	 unnecessary) - Removed unused includes

2014-05-24  amai2012 <amai@lesstif.org>

	* : Merge pull request #315 from simartin/ticket_5823 Ticket #5823: Properly count template parameters in
	TemplateSimplifier::useDefaultArgumentValues

2014-05-24  PKEuS <philipp.kloke@web.de>

	* lib/checkbufferoverrun.cpp: Removed obsolete piece of code from
	checkbufferoverrun.cpp

2014-05-23  Simon Martin <simartin@users.sourceforge.net>

	* lib/templatesimplifier.cpp, test/testtokenize.cpp: Ticket #5823:
	Properly count template parameters in
	TemplateSimplifier::useDefaultArgumentValues and handle casts in
	template parameters' default values.

2014-05-23  PKEuS <philipp.kloke@web.de>

	* : Merge pull request #314 from simartin/ticket_5816_2 Ticket #5816: Properly handle template'd template parameters in enum
	initializers

2014-05-23  orbitcowboy <ettl.martin78@gmail.com>

	* lib/tokenize.cpp: Fixed CID 1037088 Dereference after null check
	in Tokenizer::simplifyLabelsCaseDefault.

2014-05-23  Simon Martin <simartin@users.sourceforge.net>

	* lib/tokenize.cpp, test/testsimplifytokens.cpp: Ticket #5816:
	Properly handle template'd template parameters in enum initializers.

2014-05-23  orbitcowboy <ettl.martin78@gmail.com>

	* lib/executionpath.cpp: Fixed CID 1037101 Dereference after null
	check in ExecutionPath::checkScope.

2014-05-23  orbitcowboy <ettl.martin78@gmail.com>

	* lib/checkother.cpp: Fixed CID 1192595: Dereference null return
	value in checkother.

2014-05-22  PKEuS <philipp@kloke-witten.dyndns.org>

	* lib/checkother.cpp, test/testother.cpp: Enhancements related to
	duplicate expression checking: - Fixed astIsFloat() for complex expressions - Enhanced support for commutative operators (#5260)

2014-05-22  PKEuS <philipp@kloke-witten.dyndns.org>

	* lib/checkio.cpp, test/testio.cpp: Use AST in
	CheckIO::checkCoutCerrMisusage() - fixes #3254.

2014-05-22  PKEuS <philipp@kloke-witten.dyndns.org>

	* lib/checknullpointer.cpp, lib/checkother.cpp,
	test/testnullpointer.cpp: Refactorization in CheckNullPointer: - Use AST to detect dereferences - Added more unit tests - Removed handling of unknown constructs in
	CheckNullPointer::isPointerDeRef() Added link to verbose message cstyleCast.

2014-05-22  PKEuS <philipp@kloke-witten.dyndns.org>

	* lib/checkother.cpp: Fixed recently introduced verbose message for
	cstyleCast [ci skip]

2014-05-22  PKEuS <philipp@kloke-witten.dyndns.org>

	* lib/checkautovariables.cpp, test/testautovariables.cpp: Improved
	check: Complain about returning reference to literals or reference
	to calculation result (#4317)

2014-05-22  PKEuS <philipp@kloke-witten.dyndns.org>

	* cfg/windows.cfg: Added HeapReAlloc to windows.cfg (as suggested in
	#3155)

2014-05-10  XhmikosR <xhmikosr@users.sourceforge.net>

	* htdocs/make.js, htdocs/package.json: htodcs: minor cleanup and
	update devDependencies.  [ci skip]

2014-05-22  orbitcowboy <ettl.martin78@gmail.com>

	* lib/tokenize.cpp: Fixed travis build warning (Check Internal).

2014-05-22  orbitcowboy <ettl.martin78@gmail.com>

	* lib/mathlib.cpp: MathLib: removed duplicated #include

2014-05-22  orbitcowboy <ettl.martin78@gmail.com>

	* lib/tokenize.cpp, test/testtokenize.cpp: #Fixed 5485: Wrong
	simplification of numbers like 1e+007 to 1e+007.0

2014-05-22  PKEuS <philipp@kloke-witten.dyndns.org>

	* lib/checkbufferoverrun.h: Improved checkBufferOverrun::classInfo
	(#4667)

2014-05-22  PKEuS <philipp@kloke-witten.dyndns.org>

	* lib/checkother.cpp: Added verbose message for "C-style pointer
	casting" (#4140)

2014-05-21  Alexander Mai <amai@users.sf.net>

	* lib/mathlib.cpp: #5843
	MathLib::toLongNumber()/MathLib::toULongNumber() now use min/max
	values for bigint/biguint type in case the number to converted
	cannot be converted properly

2014-05-21  PKEuS <philipp@kloke-witten.dyndns.org>

	* lib/checkother.cpp, test/testother.cpp: Fixed false positive on C
	code introduced by last commit

2014-05-21  PKEuS <philipp@kloke-witten.dyndns.org>

	* lib/checkother.cpp, lib/checkother.h, lib/tokenize.cpp,
	test/testother.cpp: New Check: Compare pointer with '\0' (#4070)

2014-05-21  PKEuS <philipp@kloke-witten.dyndns.org>

	* lib/checkother.cpp, lib/checkother.h, test/testother.cpp: Merged
	checkSelfAssignment() into checkDuplicateExpression(): - Fixed false negatives on self assignments of more complex
	expressions like "a.b" - New false negative on self assignment in initialization - Support this->... pattern in isSameExpression() - Fixed #5819: Check type of operands

2014-05-21  PKEuS <philipp@kloke-witten.dyndns.org>

	* lib/tokenize.cpp, test/testtokenize.cpp: Fixed bug in setVarId:
	VarIds for member functions defined inline in class were not
	properly set

2014-05-21  PKEuS <philipp@kloke-witten.dyndns.org>

	* lib/cppcheck.vcxproj: Fixed problem in VS solution if spaces are
	in the solution path

2014-05-21  PKEuS <philipp@kloke-witten.dyndns.org>

	* lib/checkother.cpp, test/testother.cpp: Fixed false positives and
	false negatives in 'oppositeInnerCondition' (among others: #5808)

2014-05-21  PKEuS <philipp@kloke-witten.dyndns.org>

	* lib/checkmemoryleak.cpp, test/testmemleak.cpp: Fixed false
	positive #5848

2014-05-13  orbitcowboy <ettl.martin78@gmail.com>

	* lib/tokenize.cpp: Tokenizer:simplifyKeyword(): Improved matching
	when the static keyword is removed.

2014-05-13  orbitcowboy <ettl.martin78@gmail.com>

	* : commit 90c1016c744593804eb549f48cf07a374114ee80 Author:
	orbitcowboy <ettl.martin78@gmail.com> Date:   Tue May 13 16:28:28
	2014 +0200

2014-05-20  Alexander Mai <amai@users.sf.net>

	* lib/templatesimplifier.cpp, lib/templatesimplifier.h,
	lib/token.cpp, lib/token.h, lib/tokenize.cpp, lib/tokenize.h,
	lib/tokenlist.cpp, test/testtokenize.cpp: Refactoring/small
	corrections to fix warnings from clang -fsanitize=undefined 'member
	call on null pointer'

2014-05-13  orbitcowboy <ettl.martin78@gmail.com>

	* lib/templatesimplifier.cpp, lib/tokenize.cpp: Astyle run, no
	functional change.

2014-05-12  orbitcowboy <ettl.martin78@gmail.com>

	* lib/checknullpointer.cpp: Fixed CID 1214638:  Dereference before
	null check  (REVERSE_INULL).

2014-05-20  Robert Reif <reif@earthlink.net>

	* lib/checkexceptionsafety.cpp, lib/symboldatabase.cpp,
	test/testclass.cpp, test/testexceptionsafety.cpp,
	test/testsymboldatabase.cpp: Fixed #5831 (FP in 1.65: call of pure
	virtual function 'throw' in destructor)

2014-05-19  PKEuS <philipp.kloke@web.de>

	* : Merge pull request #312 from matthiaskrgr/travis travis: compile one pair of jobs with -DCHECK_INTERNAL and run
	--enable=internal,...

2014-05-19  Matthias Krüger <matthias.krueger@famsik.de>

	* .travis.yml, .travis_suppressions, lib/valueflow.cpp: travis:
	compile one pair of jobs with -DCHECK_INTERNAL and run
	--enable=internal,...  suppress warnings in testtoken.cpp fix
	warnings in valueflow

2014-05-19  PKEuS <philipp@kloke-witten.dyndns.org>

	* lib/checksizeof.cpp, test/testsizeof.cpp: Fixed false positive
	"multiplySizeof" in TortoiseSVN

2014-05-19  PKEuS <philipp@kloke-witten.dyndns.org>

	* lib/tokenize.cpp: Silenced travis errors (avoid false positive)

2014-05-19  PKEuS <philipp@kloke-witten.dyndns.org>

	* cli/filelister.cpp, lib/checksizeof.cpp, lib/valueflow.cpp,
	lib/valueflow.h: Fixed some complaints of PVS Studio

2014-05-19  Philipp Kloke <kloke@uni-bonn.de>

	* lib/tokenlist.cpp, test/testtokenize.cpp: Bugfixes for AST and AST
	testing: - Validate AST in test suite: Check for operand1 being set if
	operand2 is non-zero - Fixed buggy unit tests in AST - Fixed detection unary operator* after return statement (MPC-HC
	false positive)

2014-05-19  Mark de Wever <koraq@xs4all.nl>

	* lib/templatesimplifier.cpp, test/testtoken.cpp: Fixed #5827
	(Invalid token match patterns)

2014-05-18  Alexander Mai <amai@users.sf.net>

	* htdocs/index.php: Make irc link point to the channel rather than
	to the freenode server

2014-05-18  PKEuS <philipp.kloke@web.de>

	* lib/checkbufferoverrun.cpp, lib/checkinternal.cpp,
	lib/checkother.cpp, lib/checksizeof.cpp, lib/checkuninitvar.cpp,
	lib/symboldatabase.cpp, lib/templatesimplifier.cpp,
	lib/tokenize.cpp, lib/valueflow.cpp, test/testinternal.cpp,
	test/testsymboldatabase.cpp: Fixed messages of CheckInternal, fixed
	a false positive.

2014-05-18  PKEuS <philipp.kloke@web.de>

	* lib/checkinternal.cpp, lib/settings.cpp,
	test/testcmdlineparser.cpp, test/testinternal.cpp: Internal checking
	is now enabled by the macro CHECK_INTERNAL

2014-05-18  PKEuS <philipp.kloke@web.de>

	* lib/checkother.cpp: Refactorizations: - Simplified pattern ".|->" to "." - Use nextArgument() where appropriate

2014-05-18  PKEuS <philipp.kloke@web.de>

	* lib/tokenize.cpp: Refactorizations: - Removed some duplicate nullpointer checks - Simplified tok->link() on '<' usage.

2014-05-18  PKEuS <philipp.kloke@web.de>

	* cli/cmdlineparser.cpp: Don't complain "could not find or open any
	of the paths given." if no arguments were passed to cppcheck (and
	help was shown)

2014-05-18  PKEuS <philipp.kloke@web.de>

	* lib/checkother.cpp: Fixed crash when checking tinyxml introduced
	by previous commit

2014-05-18  PKEuS <philipp.kloke@web.de>

	* lib/checkother.cpp, lib/checkpostfixoperator.cpp: Refactorization:
	Use AST in CheckOther::checkRedundantCopy(),
	CheckOther::clarifyStatement() and
	CheckPostfixOperator::postfixOperator().

2014-05-17  PKEuS <philipp.kloke@web.de>

	* lib/tokenlist.cpp, test/testtokenize.cpp: Partially rewritten AST
	 compilation: - More straightforward approach for handling right-to-left
	 associativity - More straightforward approach to handling unary operators  - Improved handling of brackets This fixes #5784, #5795, #5797, #5799, #5810 and a bunch of other
	problems

2014-05-17  Alexander Mai <amai@users.sf.net>

	* lib/checknullpointer.cpp, test/testnullpointer.cpp: Fix regression
	from first attempt fixing #5811
	(9dce9bddcbbddb252653367f0e39a4c77108f5eb)

2014-05-17  Alexander Mai <amai@users.sf.net>

	* lib/checknullpointer.cpp, test/testnullpointer.cpp: #5811 false
	postive: (error) Null pointer dereference

2014-05-17  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* test/testnullpointer.cpp: re-enable tests in testnullpointer

2014-05-17  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* : Merge pull request #310 from simartin/ticket_5816 Ticket #5816: Skip typename in template arguments for enum
	initializers.

2014-05-17  Alexander Mai <amai@users.sf.net>

	* cli/cppcheckexecutor.cpp: Cosmetics for print_stacktrace()

2014-05-16  Simon Martin <simartin@users.sourceforge.net>

	* lib/tokenize.cpp, test/testsimplifytokens.cpp: Ticket #5816: Skip
	typename in template arguments for enum initializers.

2014-05-16  PKEuS <philipp.kloke@web.de>

	* : Merge pull request #309 from simartin/ticket_5814 Ticket #5814: Handle A::B as template parameter for enum
	initializers.

2014-05-15  Alexander Mai <amai@users.sf.net>

	* test/testautovariables.cpp: Replace 2 invalid test cases added
	while fixing #5793 by a valid one

2014-05-15  Alexander Mai <amai@users.sf.net>

	* tools/reduce.cpp: Fix gcc compiler warning by adding #ifdef
	GDB_HELPERS

2014-05-15  PKEuS <philipp.kloke@web.de>

	* : Merge pull request #308 from simartin/ticket_5786 Ticket #5786: Properly handle cv-qualified member pointers as
	template parameter

2014-05-14  Simon Martin <simartin@users.sourceforge.net>

	* lib/templatesimplifier.cpp, test/testtokenize.cpp: Ticket #5786:
	Properly handle cv-qualified member pointers as template parameter.

2014-05-14  PKEuS <philipp@kloke-witten.dyndns.org>

	* win_installer/cppcheck.wxs: Show cppcheck icon in Windows "Add and
	Remove Program" dialog

2014-05-14  Matthias Krüger <matthias.krueger@famsik.de>

	* Makefile, tools/dmake.cpp: dmake: make clean: also remove objects
	files inside tools/ (dmake.o, reduce.o)

2014-05-13  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checkother.cpp, test/testcharvar.cpp: Fixed #5771 (false
	positive: (warning) When using 'char' variables in bit operations,
	sign extension can generate unexpected results.)

2014-05-12  Alexander Mai <amai@users.sf.net>

	* lib/checkautovariables.cpp, test/testautovariables.cpp: #5793 -
	False positive: Deallocation of an auto-variable (at reference
	notation)

2014-05-11  PKEuS <philipp.kloke@web.de>

	* lib/tokenlist.cpp, test/testtokenize.cpp: AST: Parse ternary and
	assignment operators as right-to-left and on the same precedence
	level

2014-05-11  PKEuS <philipp.kloke@web.de>

	* lib/checkother.cpp, lib/tokenlist.cpp, lib/valueflow.cpp: 
	Simplified some Token::Match patterns

2014-05-11  amai2012 <amai@lesstif.org>

	* : Merge pull request #304 from matthiaskrgr/travis travis: suppressions: remove some suppressions of false positives
	that are no longer necessary.

2014-05-11  Alexander Mai <amai@users.sf.net>

	* lib/checkclass.h: #5782 Endless recursion in
	CheckClass::checkReturnPtrThis(). Break endless recursion by
	remembering the callstack (missing header file)

2014-05-11  Alexander Mai <amai@users.sf.net>

	* lib/checkclass.cpp, test/testclass.cpp: #5782 Endless recursion in
	CheckClass::checkReturnPtrThis(). Break endless recursion by
	remembering the callstack

2014-05-11  Matthias Krüger <matthias.krueger@famsik.de>

	* .travis_suppressions: travis: suppressions: remove some
	suppressions of false positives that are no longer necessary.

2014-05-11  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/tokenize.cpp, test/testtokenize.cpp: Fixed #5479 (Tokenizer:
	don't remove parentheses in code 'a<b<c>>(2)')

2014-05-10  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* cfg/std.cfg: Fixed #5778 (False positive: Deallocating a
	deallocated pointer when exit function is called)

2014-05-10  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checkother.cpp: Refactoring of
	CheckOther::checkModuloAlwaysTrueFalse using AST

2014-05-10  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checkuninitvar.cpp, test/testuninitvar.cpp: Uninitialized
	member variable: Fixed false negative when struct is read

2014-05-10  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checkuninitvar.cpp, test/testuninitvar.cpp: Uninitialized
	struct member: fixed false negative when struct assignment is seen

2014-05-10  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* htdocs/index.php: htdocs: Updated download link on mainpage

2014-05-03  PKEuS <philipp.kloke@web.de>

	* lib/checkbufferoverrun.cpp, test/testbufferoverrun.cpp: 
	Refactorized CheckBufferOverrun::arrayIndexThenCheck() and fixed
	false negative

2014-05-10  PKEuS <philipp.kloke@web.de>

	* cli/main.cpp, lib/version.h, man/manual.docbook,
	win_installer/productInfo.wxi: Increased version number to
	1.65.99/1.66 dev.

2014-05-10  PKEuS <philipp.kloke@web.de>

	* gui/cppcheck_de.ts, gui/cppcheck_es.ts, gui/cppcheck_fi.ts,
	gui/cppcheck_it.ts, gui/cppcheck_ja.ts, gui/cppcheck_nl.ts,
	gui/cppcheck_ru.ts, gui/cppcheck_sr.ts, gui/cppcheck_sv.ts,
	gui/cppcheck_zh_CN.ts: Ran lupdate gui.pro

2014-05-10  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* Makefile: Makefile: Set debug flags again

2014-05-10  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* Makefile: 1.65: Update Makefile

2014-05-10  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* cli/main.cpp, lib/version.h, man/manual.docbook,
	win_installer/productInfo.wxi: 1.65: Set version

2014-05-10  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* AUTHORS: Updated AUTHORS

2014-05-10  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checkclass.cpp, lib/checkclass.h, lib/checkio.h: Fixed 2
	Cppcheck warnings. Function can be static|const

2014-05-10  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* : Merge pull request #303 from simartin/ticket_5297 Ticket #5297: simplifyCalculations should pass once more on
	simplified tokens

2014-05-10  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* : Merge pull request #302 from simartin/ticket_5774 Ticket #5774: Properly handle "typename..." in template parameter
	list.

2014-05-09  PKEuS <philipp.kloke@web.de>

	* lib/tokenize.cpp, test/testtokenize.cpp: Fixed #5773: Don't
	prepend "std::" to function definitions

2014-05-09  PKEuS <philipp.kloke@web.de>

	* lib/checkother.cpp, test/testother.cpp: Fixed false positive
	#5772: Use AST to check if modulo operation is preceded by an
	arithmetical operation.

2014-05-09  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* : Merge pull request #301 from matthiaskrgr/dmake dmake: make clean: remove dmake binary as well.

2014-05-09  Matthias Krüger <matthias.krueger@famsik.de>

	* Makefile, tools/dmake.cpp: dmake: make clean: remove dmake binary
	as well.

2014-05-09  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checkother.cpp, test/testother.cpp: Same expression: don't
	warn for same expressions when there is assignment

2014-05-09  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* : Merge pull request #299 from simartin/ticket_5315 Ticket #5315: Memory leak analysis confused by ((var).attr) notation

2014-05-04  Matthias Krüger <matthias.krueger@famsik.de>

	* externals/tinyxml/tinyxml2.cpp, externals/tinyxml/tinyxml2.h: 
	tinyxml: update to 2.1.0 (https://github.com/leethomason/tinyxml2)

2014-05-08  Simon Martin <simartin@users.sourceforge.net>

	* lib/tokenize.cpp, test/testmemleak.cpp: Ticket #5315: Memory leak
	analysis confused by ((variable).attribute) notation.

2014-05-08  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* : Merge pull request #298 from simartin/clang_s-getFlag_warn Silence clang -Wsign-conversion warning with Token::setFlag.

2014-05-08  Simon Martin <simartin@users.sourceforge.net>

	* lib/token.h: Silence clang -Wsign-conversion warning with
	Token::setFlag.

2014-05-08  Simon Martin <simartin@users.sourceforge.net>

	* lib/templatesimplifier.cpp, test/testsimplifytokens.cpp,
	test/testtokenize.cpp: Ticket #5605: Don't consider '>' as a default
	template parameter value. Don't choke on template parameters with
	erroneous default values.  Ticket #5759: Properly handle pointers to
	class members in template parameter lists.  Ticket #5762: Handle
	template specialization tokens.

2014-05-08  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/tokenlist.cpp, test/testtokenize.cpp: Fixed #5770 (AST: better
	handling of 'a.b[c.d]==0')

2014-05-07  orbitcowboy <ettl.martin78@gmail.com>

	* test/testunusedvar.cpp: Fixed typo in comment, no functional
	changes.

2014-05-07  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* : Merge pull request #296 from mpaladin/master Fix redundantConditionError check description

2014-05-07  Massimo Paladin <massimo.paladin@sonarsource.com>

	* lib/checkother.h: Fix redundantConditionError check description

2014-05-06  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checkassignif.cpp, test/testassignif.cpp: Fixed #5695 (FP:
	Mismatching assignment and comparison)

2014-05-06  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checkother.cpp, test/testother.cpp: Fixed #5750 (FP:Opposite
	conditions in nested 'if' blocks lead to a dead code block)

2014-05-06  Robert Reif <reif@earthlink.net>

	* lib/token.cpp, lib/token.h, lib/tokenlist.cpp: Fixed #5764 (Store
	Token flags in a single variable)

2014-05-05  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/templatesimplifier.cpp, test/testsimplifytokens.cpp,
	test/testtokenize.cpp: Reverted fix for #5605 since it cause this
	crash: #5759

2014-05-04  Alexander Mai <amai@users.sf.net>

	* Makefile, tools/dmake.cpp: Use CXXFLAGS upon linking dmake for
	consistency

2014-05-04  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* : Merge pull request #294 from simartin/typo_520aaf71 Reinstate error message.

2014-05-04  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/tokenize.cpp, lib/tokenlist.cpp, test/testtokenize.cpp: AST:
	Fixed handling of '(((typeof(x))*)0)'

2014-05-04  Simon Martin <simartin@users.sourceforge.net>

	* lib/token.cpp: Reinstate error message.

2014-05-04  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checkleakautovar.cpp, test/testleakautovar.cpp: Double free:
	Improved handling of noreturn functions. Partial revert of previous
	fix.

2014-05-04  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checkleakautovar.cpp, test/testleakautovar.cpp,
	tools/dmake.cpp: Doublefree: Fixed FP when exit() is called

2014-05-04  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* : Merge pull request #293 from simartin/ticket_5709 Ticket #5709: Comma operator not properly tokenized.

2014-05-03  Simon Martin <simartin@users.sourceforge.net>

	* lib/tokenize.cpp, test/testtokenize.cpp: Ticket #5709: Comma
	operator not properly tokenized.

2014-05-03  amai <Alexander@maiwin1.(none)>

	* Makefile, tools/dmake.cpp: Add missing dependencies for dmake

2014-05-03  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* cli/cppcheckexecutor.cpp, lib/preprocessor.cpp,
	lib/preprocessor.h, test/testpreprocessor.cpp: Fixed #5661
	(--suppress=missingInclude has no effect)

2014-05-03  amai <Alexander@maiwin1.(none)>

	* Makefile, tools/dmake.cpp: reduce and dmake now use existing
	object files as dependencies whenever possible. Fix compilation for
	reduce on cygwin.

2014-05-03  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checkbufferoverrun.cpp, test/testbufferoverrun.cpp: Fixed
	#5636 (FP: matrix out of bounds)

2014-05-03  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/templatesimplifier.cpp: astyle formatting [ci skip]

2014-05-03  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* gui/main.cpp: Cleanup. Remove unused argument.

2014-05-03  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* : Merge pull request #291 from simartin/ticket_5605 Fix ticket #5605 (take 2)

2014-05-02  Martin Ettl <ettl.martin78@googlemail.com>

	* cfg/posix.cfg, test/testnullpointer.cpp: posix.cfg: Fixed FP for
	getcwd().First and second parameter is allowed to be zero.

2014-05-03  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/token.cpp, lib/tokenlist.cpp, lib/valueflow.cpp,
	test/testvalueflow.cpp: ValueFlow: Improved bailout when variable is
	reassigned

2014-05-03  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/tokenlist.cpp, test/testtokenize.cpp: AST: assignment
	operators are executed from right to left

2014-05-02  Alexander Mai <amai@users.sf.net>

	* lib/checkother.cpp, test/testother.cpp: #5618 False positive:
	(performance) Use const reference for 'temp' to avoid unnecessary
	data copying. -
	redundantCopyLocalConst/CheckOther::checkRedundantCopy() is prone to
	false positives. As a quick fix that check becomes inconclusive.

2014-05-02  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* gui/settingsdialog.cpp: Fixed #5515 (Crash on
	Preferences/Applications)

2014-05-02  Robert Reif <reif@earthlink.net>

	* lib/checkexceptionsafety.cpp, lib/checkexceptionsafety.h,
	test/testexceptionsafety.cpp: Made 'unhandled exception'
	inconclusive and style message. #5751

2014-05-01  Alexander Mai <amai@users.sf.net>

	* readme.md: #5482 - Cppcheck development with '--std=c++0x'
	enabled. Specify supported compilers.

2014-05-01  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/valueflow.cpp, test/testvalueflow.cpp: Fixed #5752 (FP (error)
	Possible null pointer dereference)

2014-05-01  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* gui/main.cpp: GUI: set data dir before translations are loaded,
	before data dir is set they will not be found.

2014-05-01  Robert Reif <reif@earthlink.net>

	* lib/checkexceptionsafety.cpp, test/testexceptionsafety.cpp: 
	Unhandled exceptions: Dont warn when there are unhandled exceptions
	in main() function. #5751

2014-05-01  Alexander Mai <amai@users.sf.net>

	* lib/checkautovariables.cpp, test/testautovariables.cpp: #5691
	False positive: autovarInvalidDeallocation - function name 'delete'
	in C code

2014-04-30  PKEuS <philipp.kloke@web.de>

	* lib/mathlib.cpp: Partially reverted
	1317063b21c7ec35f5f1d552a8698068dfef4537. enum class is not part of
	the common subset of supported C++11 functions of the compilers
	supported by cppcheck. (Fixes #5745)

2014-04-27  PKEuS <philipp.kloke@web.de>

	* lib/errorlogger.cpp: Fixed assertion failure in VS debug mode

2014-04-30  Alexander Mai <amai@users.sf.net>

	* lib/checkexceptionsafety.cpp: #5751 - Warning
	unhandledExceptionSpecification is issued even if warnings are not
	enabled

2014-04-23  orbitcowboy <ettl.martin78@gmail.com>

	* : commit 4815e3c4c5725f80cbff9014b1226d109f47587b Author:
	Alexander Mai <amai@users.sf.net> Date:   Tue Apr 29 20:16:50 2014
	+0200

2014-04-29  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/valueflow.cpp, test/testvalueflow.cpp: Fixed #5472 (sizeof not
	handled as operator with respect to null pointer dereference)

2014-04-29  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checkother.cpp, test/testother.cpp: Fixed #5560 (false
	positive: C-style pointer casting)

2014-04-29  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/tokenlist.cpp, test/testtokenize.cpp: AST: Fixed tree for
	'a.b[5]'

2014-04-29  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/tokenize.cpp: Refactoring. Simplified condition using
	Token::Match.

2014-04-29  Robert Reif <reif@earthlink.net>

	* lib/tokenize.cpp: Fixed #5706 (operators with noexcept broken)

2014-04-28  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/valueflow.cpp, test/testvalueflow.cpp: Fixed #5657 (false
	positive: (error) Possible null pointer dereference: p)

2014-04-28  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/valueflow.cpp, test/testvalueflow.cpp: Fixed #5721
	(valueFlowBeforeCondition: stop when goto label is seen)

2014-04-27  Alexander Mai <amai@users.sf.net>

	* lib/errorlogger.h, lib/path.h, lib/symboldatabase.h,
	lib/tokenize.h: Small enhancements for doxygen

2014-04-27  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/tokenize.cpp, test/testsimplifytokens.cpp,
	test/testtokenize.cpp: Fixed #5667 (Tokenizer: simplify 'void
	(X::*f)()' to 'void *f')

2014-04-27  Alexander Mai <amai@users.sf.net>

	* : commit 0b26a1f27adc9dd62e566aa8872e2f549459dcf2 Author:
	Alexander Mai <amai@users.sf.net> Date:   Sun Apr 27 18:56:54 2014
	+0200

2014-04-27  Alexander Mai <amai@users.sf.net>

	* Makefile, tools/dmake.cpp: Since reduce shares object files with
	cppcheck it should use the same compiler and linker flags

2014-04-27  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/tokenlist.cpp, test/testtokenize.cpp: Fixed #5736 (AST: proper
	handling of 'a=(b).c;')

2014-04-27  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/tokenlist.cpp, test/testtokenize.cpp: AST: fixed 'a.b++' and
	'*c[5]--'

2014-04-27  PKEuS <philipp.kloke@web.de>

	* lib/checksizeof.cpp, test/testsizeof.cpp: Fixed false positive
	#5187: arithOperationsOnVoidPointerError when referencing void*

2014-04-27  PKEuS <philipp.kloke@web.de>

	* lib/checkother.cpp, test/testother.cpp: Fixed false positive
	#5689: Care about usage of return values of memory functions

2014-04-27  PKEuS <philipp.kloke@web.de>

	* lib/checkautovariables.cpp, test/testautovariables.cpp: Fixed
	false positive #5732: autovarInvalidDeallocation on pointer to array

2014-04-27  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checkother.cpp, test/testother.cpp: Fixed #5731 (False
	positive with opposite conditions)

2014-04-27  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checkother.cpp, test/testnullpointer.cpp: astyle formatting [ci skip]

2014-04-27  Alexander Mai <amai@users.sf.net>

	* test/testnullpointer.cpp: Fix compiler warning about dead code due
	to disabled tests

2014-04-27  Alexander Mai <amai@users.sf.net>

	* lib/checkother.cpp, test/testother.cpp: #5734 A FP
	literalWithCharPtrCompare was issued upon comparison with a char
	referenced within a string literal

2014-04-27  Alexander Mai <amai@users.sf.net>

	* lib/token.cpp, lib/token.h: Fix some doxygen comments and add
	shortcut for tok==NULL to Token::simpleMatch()

2014-04-26  Alexander Mai <amai@users.sf.net>

	* lib/mathlib.cpp, lib/valueflow.cpp: Fix some more (clang++)
	compiler warnings

2014-04-26  Alexander Mai <amai@users.sf.net>

	* Makefile: Update for Makefile

2014-04-26  Robert Reif <reif@earthlink.net>

	* lib/templatesimplifier.cpp, lib/tokenize.cpp, lib/tokenize.h,
	test/testtokenize.cpp: Tokenizer: replace ') const| {' pattern to
	detect function start

2014-04-26  Robert Reif <reif@earthlink.net>

	* lib/tokenize.cpp, test/testtokenize.cpp: Tokenizer: replace ')
	const| {' pattern to detect function start

2014-04-26  Alexander Mai <amai@users.sf.net>

	* lib/mathlib.cpp, lib/preprocessor.h, lib/token.h, lib/tokenize.h,
	test/testother.cpp: Fix some clang warnings - most related to
	semantic doxygen errors

2014-04-26  Alexander Mai <amai@users.sf.net>

	* lib/valueflow.cpp, test/testvalueflow.cpp: Fix false positive
	nullPointer messages within sqlite3 after goto by adding a suitable
	bailout inside valueFlowAfterAssign()

2014-04-26  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/tokenlist.cpp, test/testtokenize.cpp: AST: Fixed handling of
	'a=b(c**)+1'

2014-04-26  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/tokenlist.cpp, test/testtokenize.cpp: AST: Fixed handling of
	'a = b.c[++(d.e)];'

2014-04-26  Frank Zingsheim <f.zingsheim@gmx.de>

	* lib/tokenlist.cpp, test/testtokenize.cpp: Fixed #5725 (FP:
	multicondition Expression is always false because 'else if' in
	pngwrite.cxx (LibreOffice))

2014-04-26  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/valueflow.cpp, test/testvalueflow.cpp: Fixed #5559 (false
	positive: (error) Possible null pointer dereference: pSTRunner)

2014-04-26  Reijo Tomperi <aggro80@users.sourceforge.net>

	* man/cppcheck.1.xml: Add a few missing options to the man page
	source file.

2014-04-26  Reijo Tomperi <aggro80@users.sourceforge.net>

	* lib/checkbool.h, lib/checksizeof.h: Change encoding to UTF-8 for
	two header files that were not using UTF-8.

2014-04-25  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/tokenlist.cpp, test/testtokenize.cpp: Fixed #5722 (AST: wrong
	handling of 'x = ((a[i])->getx)();' - the 'x' is an operand of the
	=)

2014-04-24  Alexander Mai <amai@users.sf.net>

	* Makefile, tools/dmake.cpp: #5644 Compilation failure on Cygwin -
	related to tinyxml2 (#undefine __STRICT_ANSI__ on cygwin). Patch by
	ir0nh34d

2014-04-24  PKEuS <philipp.kloke@web.de>

	* : Merge pull request #289 from
	Dmitry-Me/ReuseVariableAndReturnEarlier Reuse variable value, return earlier.

2014-04-24  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/tokenize.cpp, test/testincompletestatement.cpp: 
	IncompleteStatement: Fixed false positive when '({..})' blocks are
	used

2014-04-23  Alexander Mai <amai@users.sf.net>

	* : commit 9412f9d216e63e1a6ccc3d6f257129ec8dad2994 Author:
	Alexander Mai <amai@users.sf.net> Date:   Wed Apr 23 20:50:16 2014
	+0200

2014-04-23  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checkother.cpp, test/testincompletestatement.cpp: Fixed
	segfault

2014-04-23  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/tokenize.cpp, test/testsimplifytokens.cpp: enum: don't
	simplify enum constant that is assigned

2014-04-23  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checkother.cpp, lib/tokenize.cpp,
	test/testincompletestatement.cpp: Don't warn about redundant number
	statement in '({ do_something(); 0; })'

2014-04-23  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* : Merge pull request #288 from
	Dmitry-Me/RenameVariablePlusReturnEarly Rename local variable plus return a bit earlier on edge condition.

2014-04-23  Frank Zingsheim <f.zingsheim@gmx.de>

	* lib/checkother.cpp, test/testother.cpp: Fixed #5707 (false
	negative: unreachable code is not detected (code after return))

2014-04-23  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checkother.cpp, test/testother.cpp: Fixed #5708 (Improve
	oppositeInnerCondition)

2014-04-23  orbitcowboy <ettl.martin78@gmail.com>

	* lib/checkother.cpp, test/testother.cpp: #5748: Fixed FP
	(wrongmathcall) do not warn if an object calls a function
	foo.log(0).

2014-04-22  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/valueflow.cpp, test/testvalueflow.cpp: ValueFlow: Improved
	analysis in the valueFlowAfterAssign

2014-04-21  Alexander Mai <amai@users.sf.net>

	* lib/checkexceptionsafety.cpp, test/testexceptionsafety.cpp: #5703
	- Segfault recursive loop - Patch by zingsheim

2014-04-21  Alexander Mai <amai@users.sf.net>

	* lib/checkclass.cpp, test/testclass.cpp: #5702 crash: clang:
	test/Parser/cxx0x-member-initializers.cpp (bailout withn an internal
	error)

2014-04-21  Mark de Wever <koraq@xs4all.nl>

	* lib/checkclass.cpp, test/testclass.cpp: Fixed #5701 (FP for
	std::unordered_map::operator[]; there is no const version)

2014-04-21  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/tokenize.cpp, test/testsimplifytokens.cpp,
	test/testtokenize.cpp: Fixed #5646 (FP: pointer to array is not
	assigned a value.)

2014-04-21  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/tokenlist.cpp, test/testtokenize.cpp: Fixed #5675 (wrong AST
	generated for 'a>>=b')

2014-04-21  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checkuninitvar.cpp: Uninitvar: Refactoring. Use AST instead of
	token matching to see if variable is used in RHS of assignment.

2014-04-21  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checkuninitvar.cpp, test/testuninitvar.cpp: Fixed #5664 (false
	positive: (error) Uninitialized variable: j (Comma operator in for
	loop))

2014-04-21  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* Makefile: Updated Makefile

2014-04-21  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* test/testexceptionsafety.cpp: Fixed Travis build, use test
	function

2014-04-21  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checkexceptionsafety.cpp: CheckExceptionSafety: Fixed crash
	when a function is missing function scope

2014-04-20  Robert Reif <reif@earthlink.net>

	* lib/checkexceptionsafety.cpp, lib/checkexceptionsafety.h,
	lib/symboldatabase.cpp, lib/symboldatabase.h, lib/token.cpp,
	lib/token.h, lib/tokenize.cpp, lib/tokenlist.cpp,
	test/testexceptionsafety.cpp, test/testsymboldatabase.cpp,
	test/testtokenize.cpp: Fixed #5697 (Check for throw in
	__attribute__((nothrow)) function)

2014-04-20  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checkleakautovar.cpp, lib/checkmemoryleak.cpp, lib/library.h: 
	Library: Refactoring alloc/dealloc functions. Normally the token
	should be passed so extra validation can be made

2014-04-20  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/valueflow.cpp: ValueFlow: Refactoring. Created utility
	function isVariableChanged()

2014-04-20  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* tools/dmake.cpp: dmake: include lib/cxx11emu.h in release builds
	also

2014-04-20  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* cfg/posix.cfg, lib/checkmemoryleak.cpp, test/testmemleak.cpp: 
	Fixed #1416 (false negative resource leak when calling fdopen)

2014-04-20  Robert Reif <reif@earthlink.net>

	* lib/checkexceptionsafety.cpp, lib/checkexceptionsafety.h,
	test/testexceptionsafety.cpp: Fixed #4800 (Check unhandled
	exceptions)

2014-04-19  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* cfg/windows.cfg: windows.cfg: add allocation functions that use
	free to dealloc. This reverts b13e3ac5.

2014-04-19  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/library.cpp, test/testlibrary.cpp: Fixed #5512 (library
	(memory): extending standard free deallocator with allocators in
	custom cppcheck configuration file)

2014-04-18  Martin Ettl <ettl.martin78@googlemail.com>

	* cfg/posix.cfg, test/testnullpointer.cpp: Fixed FP in posix.cfg and
	mkdir() for second parameter.

2014-04-18  Alexander Mai <amai@users.sf.net>

	* lib/symboldatabase.cpp: Fix crash in SymbolDatabase - errorLogger
	may be 0

2014-04-18  Alexander Mai <amai@users.sf.net>

	* : commit 7d9ec01bdc26187c4d028457b09aa954d6f85a5a Author:
	Alexander Mai <amai@users.sf.net> Date:   Fri Apr 18 20:42:22 2014
	+0200

2014-04-18  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checkleakautovar.cpp, test/testleakautovar.cpp: Fixed #5576
	(false positive: (POSIX) (error) Resource leak: sockfd)

2014-04-18  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checkmemoryleak.cpp, test/testmemleak.cpp: Fixed #5525
	(Closing a socket file descriptor gives an error: Mismatching
	allocation and deallocation)

2014-04-18  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checkmemoryleak.cpp: CheckMemoryLeak: moved 'popen' into posix
	scope

2014-04-18  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/valueflow.cpp, test/testvalueflow.cpp: Fixed #5656 (false
	positive: (error) Possible null pointer dereference: f)

2014-04-18  Pierre Schweitzer <pierre@reactos.org>

	* cfg/posix.cfg: updated posix.cfg

2014-04-18  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/tokenize.cpp, test/testsimplifytokens.cpp: Tokenizer: Fixed
	bad simplifyComma for code 'return a ? b = c , d : e ;'

2014-04-18  Alexander Mai <amai@users.sf.net>

	* test/testio.cpp: Add test to improve coverage of
	CheckIO::checkWrongPrintfScanfArguments()

2014-04-17  Alexander Mai <amai@users.sf.net>

	* lib/checkother.cpp, test/testother.cpp: #5684 The scope of the
	variable 'p' can be reduced - But it can not.

2014-04-17  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/tokenize.cpp, test/testsimplifytokens.cpp: Tokenizer: Fixed
	bad simplifyComma for code 'a ? b = c , d : e ;'

2014-04-16  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checkother.cpp, test/testother.cpp: Fixed #5682 (False
	positive: (style) Same expression on both sides of '&&')

2014-04-15  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/tokenlist.cpp, test/testtokenize.cpp: AST: Fixed iscast
	detection in '*((DWORD*)&buf[0])'

2014-04-14  orbitcowboy <ettl.martin78@gmail.com>

	* lib/mathlib.cpp, test/testmathlib.cpp: Implemented a slower but
	shorter version of MathLib::isNullValue() as suggested by PKeuS.
	Removed not needed test cases. Improved doxygen documentation for
	MathLib::IsNullValue().

2014-04-15  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/mathlib.cpp, lib/templatesimplifier.cpp: astyle formatting [ci skip]

2014-04-15  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/tokenlist.cpp: Use constant instead of magic number for AST
	recursion limit [ci skip]

2014-04-15  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/tokenlist.cpp: Code cleanup of stack depth tracking. Replaced
	class with simple POD variable.

2014-04-14  PKEuS <philipp@kloke-witten.dyndns.org>

	* lib/checkclass.cpp, lib/checkother.cpp, lib/checkstl.cpp,
	lib/tokenize.cpp, lib/valueflow.cpp: Fixed some coverity findings
	about dead code, fixed a misleading comment

2014-04-14  Alexander Mai <amai@users.sf.net>

	* lib/mathlib.cpp, lib/mathlib.h, lib/templatesimplifier.cpp: 
	Convert MathLib::toLongNumber() from template member function to
	toLongNumber() and toULongNumber() to avoid various problems
	compiling with Visual Studio

2014-04-13  orbitcowboy <ettl.martin78@gmail.com>

	* .travis.yml, tools/readme.md: Fixed typo in travis script and
	tools/readme.md, no functional change.

2014-04-14  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/valueflow.cpp, test/testvalueflow.cpp: ValueFlow: Improved
	handling of bitand against a single-bit integer literal

2014-04-13  Alexander Mai <amai@users.sf.net>

	* lib/mathlib.h: Try to avoid compiler warning for unary minus
	operator inside MathLib::toLongNumber<biguint>()

2014-04-13  Mark de Wever <koraq@xs4all.nl>

	* lib/checkstl.cpp, test/teststl.cpp: Fixed #5677 (Fix overzealous
	substr() warning)

2014-04-02  PKEuS <philipp.kloke@web.de>

	* lib/check.h: Simplified check registration: - Use sorted insert instead of calling std::list<Check*>::sort() on
	each insertion - Removed DJGPP/__sun hack in check.h (should be obsolete by our
	compiler requirements for C++11

2014-04-13  Alexander Mai <amai@users.sf.net>

	* lib/tokenlist.cpp: #5592 (fix implementation detail to avoid
	warnings from cppcheck)

2014-04-13  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/symboldatabase.cpp, test/testsymboldatabase.cpp: Fixed #5602
	(false positive on std::vector - after unknown macro around the
	function header)

2014-04-13  Alexander Mai <amai@users.sf.net>

	* Makefile, lib/tokenlist.cpp, test/testtokenize.cpp: #5592 - crash:
	gcc: testsuit: gcc.c-torture/compile/limits-declparen.c (Limit stack
	depth below createAst()

2014-04-13  PKEuS <philipp.kloke@web.de>

	* lib/checkunusedfunctions.cpp, lib/checkunusedfunctions.h,
	lib/cppcheck.cpp, lib/cppcheck.h, test/testthreadexecutor.cpp: Fixed
	crashes random crashes in multithreading caused by useless creation
	of CheckUnusedFunctions instance per thread.

2014-04-13  Alexander Mai <amai@users.sf.net>

	* lib/errorlogger.cpp, test/testerrorlogger.cpp: #5300 - Invalid
	encoding in XML output (use escape sequence string for non-printable
	characters)

2014-04-13  Matthias Krüger <matthias.krueger@famsik.de>

	* Makefile: Ran dmake

2014-04-12  Philipp Kloke <kloke@uni-bonn.de>

	* lib/checkstl.cpp: Refactorized CheckStl::pushback(): - Use method from CheckNullPointer to find pointer dereference - Replaced indendation counter by symboldatabase usage

2014-04-12  Philipp Kloke <kloke@uni-bonn.de>

	* lib/checkclass.cpp, lib/checkother.cpp, lib/checkother.h,
	lib/tokenize.cpp: Refactorization: Removed whitespaces at the end of
	a token Removed a redundant 'void'

2014-04-12  Philipp Kloke <kloke@uni-bonn.de>

	* lib/checkbufferoverrun.cpp, lib/checkother.cpp, lib/checkstl.cpp: 
	Refactorization: Replaced several Token::findmatch calls by
	symboldatabase usage

2014-04-12  Philipp Kloke <kloke@uni-bonn.de>

	* lib/checkstl.cpp: Refactorized CheckStl::redundantCondition(): - Use symboldatabase - Support erase() method

2014-04-12  PKEuS <philipp.kloke@web.de>

	* lib/checkstl.cpp, test/teststl.cpp: Support "else if" and do-loop
	in CheckStl::checkDereferenceInvalidIterator()

2014-04-12  PKEuS <philipp.kloke@web.de>

	* lib/checkstl.cpp, test/teststl.cpp: Refactorized iterator
	checking: - Fixed false positive #5669 - Use symboldatabase in CheckStl::pushback() - Improved support for erase on std::vector and find

2014-04-12  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* test/testsymboldatabase.cpp: Symbol database: tweaked tests

2014-04-12  Martin Ettl <ettl.martin78@googlemail.com>

	* lib/mathlib.cpp, test/testmathlib.cpp: MathLib::isNullValue():
	Fixed bug in detecting zero values. Improved test coverage of
	MathLib::IsNullValue().

2014-04-12  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/symboldatabase.cpp, lib/symboldatabase.h, lib/tokenize.cpp,
	test/testsimplifytokens.cpp, test/testsymboldatabase.cpp,
	test/testtokenize.cpp: Fixed #5397 (False positive: Same expression
	on both sides of '&')

2014-04-12  PKEuS <philipp.kloke@web.de>

	* lib/checkother.cpp, lib/tokenize.cpp, test/testother.cpp: Save
	"->" in Token::originalName if simplified to "."; Fix false positive
	#4890.

2014-04-12  PKEuS <philipp.kloke@web.de>

	* lib/symboldatabase.cpp, lib/tokenize.cpp,
	test/testsymboldatabase.cpp, test/testtokenize.cpp: Fixed handling
	of member function pointers in setVarId and SymbolDatabase (#4577)

2014-04-12  PKEuS <philipp.kloke@web.de>

	* lib/tokenize.cpp, test/testtokenize.cpp: Fixed remaining issue in
	#3503: Member function taking a function pointer must not be
	"simplified" to a variable initialization

2014-04-02  PKEuS <philipp.kloke@web.de>

	* lib/tokenize.cpp, lib/valueflow.h: Refactorizations: - Rearranged members of Value to reduce structures size - Removed redundant ctor of Value - Fixed VS warning in tokenize.cpp

2014-04-11  Alexander Mai <amai@users.sf.net>

	* cli/cppcheckexecutor.cpp, lib/mathlib.cpp, lib/mathlib.h,
	lib/templatesimplifier.cpp: Fix some clang warnings about type
	conversions

2014-04-11  Alexander Mai <amai@users.sf.net>

	* Makefile, tools/dmake.cpp: reduce is linking against LIBS as well,
	to keep build scripts e.g. on travis working

2014-04-11  Alexander Mai <amai@users.sf.net>

	* Makefile, tools/dmake.cpp: Makefile: reduce now also depends on
	LIBOBJ: command not found

2014-04-11  Alexander Mai <amai@users.sf.net>

	* lib/mathlib.cpp, lib/mathlib.h: Extract new function
	MathLib::isDec() our of isInt()

2014-04-11  orbitcowboy <ettl.martin78@gmail.com>

	* lib/mathlib.cpp: MathLib:IsNullValue(): removed commented out
	code.

2014-04-11  orbitcowboy <ettl.martin78@gmail.com>

	* lib/mathlib.cpp, test/testmathlib.cpp: MathLib:IsNullValue():
	using a Finite State Machine to determine a string value contains a
	numeric NULL value. The NULL value can be Integer, Binary, Hex,
	Octal. The corresponding unit test cases are also included.

2014-04-11  Philipp Kloke <kloke@uni-bonn.de>

	* lib/checkother.cpp, lib/mathlib.cpp: Refactorization: use
	MathLib::isNullValue in CheckOther::checkMemsetInvalid2ndParam();
	Fixed it to support also float literals like "0.f"

2014-04-11  Philipp Kloke <kloke@uni-bonn.de>

	* lib/checkother.cpp: Refactorized inefficient usage of
	Token::findmatch in two checks in checkother.cpp

2014-04-11  Philipp Kloke <kloke@uni-bonn.de>

	* lib/checkother.cpp: Refactorized switchCaseFallThrough: Removed
	lots of obsolete code

2014-04-10  orbitcowboy <ettl.martin78@gmail.com>

	* cfg/posix.cfg, test/testnullpointer.cpp: posix.cfg: Fixed FP for
	isatty() function and added unit cases.

2014-04-11  Robert Reif <reif@earthlink.net>

	* lib/symboldatabase.cpp, test/testmemleak.cpp: Fixed #5659 (False
	negative: mismatching allocation / deallocation whith using
	namespace)

2014-04-10  Alexander Mai <amai@users.sf.net>

	* lib/mathlib.cpp, test/testmathlib.cpp: Tidy up MathLib::isInt() -
	using a state machine approach

2014-04-10  PKEuS <philipp@kloke-witten.dyndns.org>

	* lib/checkclass.cpp, test/testclass.cpp: Don't
	suggestInitializationList for arrays used as initializer (#5640)

2014-04-10  PKEuS <philipp@kloke-witten.dyndns.org>

	* lib/symboldatabase.cpp: Fixed cppcheck message

2014-04-10  PKEuS <philipp@kloke-witten.dyndns.org>

	* lib/checkother.cpp, test/testother.cpp: Fixed false positive
	redundantAssignment when operator() is called (#5568)

2014-04-10  Alexander Mai <amai@users.sf.net>

	* lib/checkexceptionsafety.cpp, test/testexceptionsafety.cpp: Avoid
	FP exceptThrowInNoThrowFunction and exceptThrowInNoexecptFunction

2014-04-10  PKEuS <philipp@kloke-witten.dyndns.org>

	* lib/symboldatabase.cpp, test/testsymboldatabase.cpp: Throw more
	syntaxErrors from SymbolDatabase, fixing #5663

2014-04-10  PKEuS <philipp@kloke-witten.dyndns.org>

	* lib/checkassignif.cpp, test/testassignif.cpp: Fixed #5643 (crash
	on address-of-operator& in condition) as suggested by serval2412

2014-04-10  Alexander Mai <amai@users.sf.net>

	* lib/mathlib.h, lib/templatesimplifier.cpp, test/testtokenize.cpp: 
	Fix #4724 (Error in calculation shift operation: wrong sign: 1UL <<
	63)

2014-04-10  Robert Reif <reif@earthlink.net>

	* lib/checkio.cpp, test/testio.cpp: Fixed #5486 (false positive:
	(warning) %zd in format string (no. 1) requires 'ssize_t' but the
	argument type is 'ssize_t {aka long}'.)

2014-04-10  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* cli/cli.pro: Removed old cli.pro file. The readme file contains
	instructions for building the CLI.

2014-04-10  Robert Reif <reif@earthlink.net>

	* lib/checkexceptionsafety.cpp, lib/checkexceptionsafety.h,
	lib/symboldatabase.cpp, lib/symboldatabase.h, lib/tokenize.cpp,
	test/testexceptionsafety.cpp, test/testsymboldatabase.cpp,
	test/testtokenize.cpp: Fixed #5638 (is there any plan to check
	noexcept correctness?)

2014-04-10  Robert Reif <reif@earthlink.net>

	* lib/symboldatabase.cpp, lib/symboldatabase.h, test/testclass.cpp,
	test/testmemleak.cpp: Fixed #5659 (False negative: mismatching
	allocation / deallocation whith using namespace)

2014-04-10  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checkuninitvar.cpp, test/testuninitvar.cpp: Fixed #5658 (false
	positive: (error) Uninitialized variable: s)

2014-04-09  orbitcowboy <ettl.martin78@gmail.com>

	* cfg/std.cfg, test/testnullpointer.cpp: Fixed FP for nullpointer
	dereference when using putchar.

2014-04-10  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/executionpath.cpp, test/testuninitvar.cpp: Fixed #5660 (false
	positive: (error) Uninitialized variable: result)

2014-04-09  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checkstl.cpp, test/teststl.cpp: Fixed #5467 (False positive
	incorrectly claiming use after erase)

2014-04-09  Pierre Schweitzer <pierre@reactos.org>

	* cfg/windows.cfg: Work on windows.cfg: - Add more resource/memory
	functions - Complete the information about some functions

2014-04-08  orbitcowboy <ettl.martin78@gmail.com>

	* cfg/std.cfg, test/testnullpointer.cpp: Fixed FP, nullpointer for
	memchr.

2014-04-08  Alexander Mai <amai@users.sf.net>

	* lib/checkbufferoverrun.cpp, test/testbufferoverrun.cpp: #5631 Typo
	and misleading error message in negativeMemoryAllocationSize

2014-04-07  Alexander Mai <amai@users.sf.net>

	* cli/cppcheckexecutor.cpp, cli/cppcheckexecutor.h,
	test/testnullpointer.cpp: Fixes for Doxygen + code formatting

2014-04-07  unknown <maial@MGIP130BR.int.root.msg.ag>

	* cfg/std.cfg, test/testnullpointer.cpp: #5645 False positive Null
	pointer derefence about first argument to fputc()

2014-04-06  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checkmemoryleak.cpp, test/testmemleak.cpp: Fixed #5502 (FP:
	Dereferencing 'b' after it is deallocated / released)

2014-04-05  Alexander <Alexander@maiwin1.(none)>

	* cli/threadexecutor.cpp: Fix compilation under cygwin since
	getloadavg() is not available there

2014-04-05  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/tokenlist.cpp: Code cleanup [ci skip]

2014-04-05  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* : Merge pull request #284 from matthiaskrgr/dmake "make dmake" will now compile dmake and directly run it afterwards,
	bump kernel version checked by travis to 3.14

2014-04-04  Alexander Mai <amai@users.sf.net>

	* lib/checkclass.cpp, test/testconstructors.cpp: #5641 fix crash
	within CheckClass::initializeVarList()

2014-04-04  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checkother.cpp: Removed unused function
	expressionsHasSideEffects()

2014-04-04  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* test/testuninitvar.cpp: Fixed GCC warning about shadowed variable
	settings

2014-04-03  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checkassignif.cpp, lib/checkother.cpp, lib/checkother.h,
	test/testassignif.cpp, test/testother.cpp: Refactoring checks of
	overlapping conditions in if and else-if

2014-04-03  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* tools/daca2.py: daca2: we must bailout for now when checking
	insighttoolkit because there is some hang

2014-04-03  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checkother.cpp: Refactoring. Created utility function
	isOppositeCond()

2014-04-03  Matthias Krüger <matthias.krueger@famsik.de>

	* .travis.yml: travis: update to check latest major kernel version
	(3.14)

2014-03-31  Matthias Krüger <matthias.krueger@famsik.de>

	* .travis.yml, Makefile, tools/dmake.cpp: dmake: "make dmake" now
	also runs the binary after compilation.

2014-04-03  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checkother.cpp: code cleanup for
	invertOperatorForOperandSwap()

2014-04-03  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checkother.cpp: Fix Cppcheck warning. Use reference to avoid
	redundant data-copy

2014-04-02  PKEuS <philipp.kloke@web.de>

	* lib/check.h, lib/settings.cpp, lib/settings.h, lib/token.cpp,
	lib/token.h: Refactorization: Use templates and rValue references ->
	Performance gain of up to 15% on entire checking time (depends on
	setup; Result was checked with VS12 (x64), matchcompiled version,
	ran on tinyxml and cppcheck itself)

2014-04-02  PKEuS <philipp.kloke@web.de>

	* test/testmemleak.cpp, test/testsimplifytokens.cpp,
	test/testtokenize.cpp, test/testvalueflow.cpp: Refactorized
	inefficient usage of std::string and const char[] (part 2).

2014-04-03  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* : Merge pull request #283 from Dmitry-Me/bracemacroparameter Macro parameter was not braced.

2014-04-03  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checkother.cpp: Refactoring CheckOther::checkCharVariable()
	using AST

2014-04-02  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checknullpointer.cpp, test/testnullpointer.cpp: Null pointer:
	Fixed false positive discovered by Travis when self-checking
	cppcheck

2014-04-02  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/valueflow.cpp: ValueFlow: changed back bailout message

2014-04-02  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/valueflow.cpp: Travis: Fixed possible null pointer dereference
	reported by travis

2014-04-02  PKEuS <philipp.kloke@web.de>

	* lib/symboldatabase.cpp: Removed compatibility code for Borland and
	Sun compilers which should not be necessary for a compiler
	supporting C++11 (as required by cppcheck).

2014-04-02  Dmitry-Me <wipedout@yandex.ru>

	* lib/token.cpp: Macro parameter was not braced.

2014-04-02  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checkbufferoverrun.cpp, lib/checkbufferoverrun.h,
	lib/checkother.cpp, lib/token.cpp, lib/token.h: ValueFlow: Added
	utility functions getValueLE and getValueGE to simplify usage

2014-04-02  orbitcowboy <ettl.martin78@gmail.com>

	* cfg/std.cfg: Fixed #5636: extended std.cfg, abs() about
	<not-bool/>.

2014-04-02  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checkother.cpp, test/testother.cpp: Refactor
	CheckOther::oppositeInnerCondition() using AST and
	isSameExpression()

2014-04-02  PKEuS <philipp.kloke@web.de>

	* cli/cmdlineparser.cpp, lib/cppcheck.cpp, lib/errorlogger.cpp,
	lib/library.h, lib/path.cpp, lib/path.h, lib/preprocessor.cpp,
	lib/suppressions.cpp, lib/tokenlist.cpp, test/testmemleak.cpp,
	test/testsimplifytokens.cpp, test/testsymboldatabase.cpp,
	test/testtokenize.cpp: Refactorized inefficient usage of std::string
	and const char[].

2014-04-01  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checkother.cpp: CheckOther::checkCharVariable: Refactoring
	using AST

2014-04-01  PKEuS <philipp.kloke@web.de>

	* lib/symboldatabase.cpp: Refactorization: Simplifications in
	symboldatabase

2014-04-01  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/valueflow.cpp, test/testvalueflow.cpp: Fixed #5510 (FP:
	nullPointer - variable initialized in function call)

2014-03-31  PKEuS <philipp.kloke@web.de>

	* lib/symboldatabase.cpp, test/testsymboldatabase.cpp: Fixed
	problems with unknown macros for inline class methods in
	SymbolDatabase (#5621)

2014-03-31  PKEuS <philipp.kloke@web.de>

	* lib/symboldatabase.cpp, test/testsymboldatabase.cpp: Support
	unknown THROW()-style macros in symboldatabase; Fixed #5056.
	Simplified related code.

2014-03-31  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/tokenlist.cpp, test/testtokenize.cpp: AST: fixed ast for 'for
	(*x=0;y;z)'

2014-03-31  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checkbool.cpp, lib/tokenize.cpp, test/testbool.cpp,
	test/testtokenize.cpp: Fixed #5627 (False positive
	assignBoolToPointer)

2014-03-31  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/tokenize.cpp: Fixed compiler warning 'conversion from unsigned
	long to unsigned int, may loose value'

2014-03-31  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* : Merge pull request #282 from HeisSpiter/master Complete a bit windows.cfg:

2014-03-31  Daniel Marjamäki <daniel@raspberrypi.(none)>

	* test/testsamples.cpp: "automatic conversion from iso-8859-1
	formatting to utf-8"

2014-03-30  Alexander Mai <amai@users.sf.net>

	* cli/cppcheckexecutor.cpp: Make backtrace resemble gdb bt

2014-03-30  Alexander Mai <amai@users.sf.net>

	* Makefile, tools/dmake.cpp: -rdynamic cannot be used on mingw

2014-03-30  Pierre Schweitzer <pierre@reactos.org>

	* cfg/windows.cfg: Complete a bit windows.cfg: - Add two noreturn functions (BSOD ;-)) - Add debuggers routine for printing messages - Fix two prototypes of CRT which were described as secure whereas
	they aren't

2014-03-30  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checkclass.cpp, lib/checkclass.h: Fixed #5611 (segfault when
	checking pcsc-cyberjack. either symboldatabase or checkMemset)

2014-03-30  PKEuS <philipp.kloke@web.de>

	* lib/tokenize.cpp, test/testtokenize.cpp: Fixed crashs on garbage
	code (#5604)

2014-03-30  PKEuS <philipp.kloke@web.de>

	* lib/tokenize.cpp: Refactorization: Store sizes as int, not as
	string in Tokenizer::simplifySizeof().

2014-03-30  PKEuS <philipp.kloke@web.de>

	* lib/symboldatabase.cpp, test/testsymboldatabase.cpp: Fixed #5621
	and slightly simplified symboldatabase code.

2014-03-30  Alexander Mai <amai@users.sf.net>

	* lib/valueflow.cpp: Fix some uninitialized variables

2014-03-30  Alexander Mai <amai@users.sf.net>

	* lib/checkclass.cpp, test/testclass.cpp: Fix endless recursion
	within CheckClass::isConstMemberFunc() caused by incomplete/missing
	template declaration

2014-03-30  Alexander Mai <amai@users.sf.net>

	* lib/checkclass.cpp, test/testclass.cpp: Fix #5605 part 2 - now
	endless recursion within CheckClass::isMemberFunc()

2014-03-29  XhmikosR <xhmikosr@users.sourceforge.net>

	* htdocs/analyticstracking.php: htdocs: update Google Analytics
	code.  [ci skip]

2014-03-29  Martin Ettl <ettl.martin78@googlemail.com>

	* cfg/posix.cfg: posix.cfg: Added support for isatty().

2014-03-29  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checkother.cpp: fixed segmentation fault in case
	typeStartToken() returns 0

2014-03-29  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checkother.cpp: Fix segmentation fault when checking
	build/tokenize.cpp

2014-03-29  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checkbufferoverrun.cpp: Buffer overrun: removed some old code
	that is not based on valueflow

2014-03-29  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checkbufferoverrun.cpp, lib/checkbufferoverrun.h,
	lib/valueflow.cpp, test/testbufferoverrun.cpp,
	test/testvalueflow.cpp: ValueFlow: Improved valueflow of for loop
	'for (i=a; i<10; i++)' => unknown start value but end value is known

2014-03-29  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checkother.cpp, test/testother.cpp: Refactored
	checkNegativeBitwiseShift() so it uses ast and valueflow

2014-03-29  Alexander Mai <amai@users.sf.net>

	* lib/checkclass.cpp, lib/symboldatabase.cpp, lib/symboldatabase.h,
	test/testclass.cpp: Fix #5606 - Endless recursion in
	CheckClass::isMemberVar(). New function
	Type::hasCircularDependencies() is supposed to detect loops within
	the class hierarchy which was causing the problem

2014-03-28  Alexander Mai <amai@users.sf.net>

	* lib/checkclass.cpp: Ticket #4296: Improve message text for
	operatorEq

2014-03-28  Alexander Mai <amai@users.sf.net>

	* test/testclass.cpp: Ticket #3322: Add test cases. The bug got
	fixed long time ago

2014-03-28  PKEuS <philipp.kloke@web.de>

	* gui/cppcheck_de.ts, gui/cppcheck_es.ts, gui/cppcheck_fi.ts,
	gui/cppcheck_fr.ts, gui/cppcheck_it.ts, gui/cppcheck_ja.ts,
	gui/cppcheck_ko.ts, gui/cppcheck_nl.ts, gui/cppcheck_ru.ts,
	gui/cppcheck_sr.ts, gui/cppcheck_sv.ts, gui/cppcheck_zh_CN.ts,
	lib/checkio.cpp: Updated german translation ran lupdate gui.pro
	Reverted accidential change in checkio.cpp

2014-03-28  PKEuS <philipp.kloke@web.de>

	* lib/checkio.cpp, lib/checknullpointer.cpp, test/testlibrary.cpp,
	test/testmathlib.cpp, test/testpreprocessor.cpp: Fixed a few
	cppcheck messages

2014-03-28  PKEuS <philipp.kloke@web.de>

	* lib/token.cpp, lib/tokenize.cpp: Added C++11 keywords / C11 types
	'char16_t' and 'char32_t' (#3301)

2014-03-28  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checkother.cpp: Simplification. Code 'else if ..' is
	simplified to 'else { if ..'

2014-03-28  PKEuS <philipp.kloke@web.de>

	* lib/symboldatabase.cpp, lib/tokenize.cpp,
	test/testsymboldatabase.cpp: Further improvements to setVarId and
	function/array pointer detection in SymbolDatabase (#2872)

2014-03-28  PKEuS <philipp.kloke@web.de>

	* lib/tokenize.cpp, test/testbufferoverrun.cpp,
	test/testtokenize.cpp: Handle pointer/reference to array in setVarId
	(#2645)

2014-03-28  PKEuS <philipp.kloke@web.de>

	* lib/checkother.cpp, lib/checkother.h, test/testother.cpp: Fixed
	oppositeInnerCondition check: - Resolved false positives #4170 and #4186, as well as numerous
	other potential false positives - Improved message to point to both locations - Inner condition could also be a while loop; Outer if could also be
	'else if' - Made the check non-experimental again (#3645)

2014-03-28  PKEuS <philipp.kloke@web.de>

	* : Merge pull request #278 from matthiaskrgr/fix_travis run dmake

2014-03-28  PKEuS <philipp.kloke@web.de>

	* .travis_suppressions: Attempt to fix travis failure

2014-03-28  PKEuS <philipp.kloke@web.de>

	* Makefile, samples/AssignmentAddressToInteger/out.txt,
	samples/arrayIndexOutOfBounds/out.txt,
	samples/autoVariables/out.txt,
	samples/bufferAccessOutOfBounds/out.txt, samples/erase/out.txt,
	samples/memleak/out.txt, samples/outOfBounds/out.txt,
	samples/resourceLeak/out.txt, samples/syntaxError/out.txt,
	test/redirect.h, test/testcppcheck.cpp, test/testrunner.vcxproj,
	test/testrunner.vcxproj.filters, test/testsamples.cpp,
	test/testthreadexecutor.cpp: Added testing of samples/ to testrunner
	(#3515).

2014-03-28  PKEuS <philipp.kloke@web.de>

	* test/testio.cpp: Added unit test for #1473.

2014-03-28  PKEuS <philipp.kloke@web.de>

	* test/testnullpointer.cpp: Added unit test for #2626

2014-03-27  PKEuS <philipp.kloke@web.de>

	* cli/main.cpp, test/testbufferoverrun.cpp: Fixed uncaught exception
	in testbufferoverrun.cpp

2014-03-27  PKEuS <philipp.kloke@web.de>

	* test/testnullpointer.cpp: Unit test for #3589

2014-03-27  PKEuS <philipp.kloke@web.de>

	* lib/symboldatabase.cpp, test/testsymboldatabase.cpp: Throw
	syntaxError when encounter one in symboldatabase (fixes #5572)

2014-03-27  PKEuS <philipp.kloke@web.de>

	* lib/tokenize.cpp, lib/tokenize.h, test/testsimplifytokens.cpp,
	test/testtokenize.cpp: Refactorized handling of syntaxError: Print
	debug output, removed a few return values that are no longer
	required

2014-03-27  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* : Merge pull request #277 from Dmitry-Me/getridofassertinisdigit Get rid of assert in isdigit

2014-03-27  PKEuS <philipp.kloke@web.de>

	* lib/checkbufferoverrun.cpp, test/testsuite.cpp,
	test/testtokenize.cpp: Improved readability of testsuite output when
	ASSERT_EQUALS_MSG fails.  Fixed another true positive in
	checkbufferoverrun.cpp AStyle

2014-03-27  PKEuS <philipp.kloke@web.de>

	* lib/checkother.cpp, lib/checkunusedfunctions.cpp,
	lib/tokenize.cpp: Fixed five new true positives in cppcheck,
	silenced one new false positive (see #5618)

2014-03-27  PKEuS <philipp.kloke@web.de>

	* lib/cppcheck.cpp, lib/errorlogger.cpp, lib/errorlogger.h,
	lib/tokenize.cpp, test/testmemleak.cpp, test/testnullpointer.cpp,
	test/testsimplifytokens.cpp, test/teststl.cpp, test/testtoken.cpp,
	test/testtokenize.cpp, test/testuninitvar.cpp,
	test/testunusedvar.cpp: Treat syntaxError and cppcheckError as
	InternalErrors (throw as exception, #4268)

2014-03-27  PKEuS <philipp.kloke@web.de>

	* lib/checkother.cpp, test/testother.cpp: Show
	redundantCopyLocalConst for STL types (#4331)

2014-03-27  PKEuS <philipp.kloke@web.de>

	* lib/tokenize.cpp, test/testclass.cpp, test/testsimplifytokens.cpp: 
	Fixed TODO_ASSERT_EQUAL and #5614 caused by bad simplification of
	return values.

2014-03-27  Dmitry-Me <wipedout@yandex.ru>

	* lib/token.cpp: Get rid of assert in isdigit() when processing
	cyrillic characters.

2014-03-27  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checkbool.cpp, test/testbool.cpp: 
	CheckBool::checkAssignBoolToPointer: Refactor to use AST.

2014-03-26  Dmitry-Me <wipedout@yandex.ru>

	* cli/main.cpp, lib/config.h: Make use of Visual C++ runtime memory
	leak tracing

2014-03-26  PKEuS <philipp.kloke@web.de>

	* lib/preprocessor.cpp, test/testpreprocessor.cpp: Improved
	information message on missing headers when included with <> (#4772)

2014-03-26  PKEuS <philipp.kloke@web.de>

	* lib/checkunusedfunctions.cpp, test/testunusedfunctions.cpp: Fixed
	false positive "unused function" #5113.

2014-03-26  PKEuS <philipp.kloke@web.de>

	* man/cppcheck.1.xml: Updated manual according to #5087

2014-03-26  PKEuS <philipp.kloke@web.de>

	* test/testnullpointer.cpp: Regression test for #5061.

2014-03-26  Matthias Krüger <matthias.krueger@famsik.de>

	* Makefile: Ran dmake.

2014-03-26  PKEuS <philipp.kloke@web.de>

	* lib/checkunusedfunctions.cpp, test/testunusedfunctions.cpp: 
	Refactorized detection of function usage in CheckUnusedFunction,
	fixed #5358

2014-03-26  PKEuS <philipp.kloke@web.de>

	* lib/checkunusedfunctions.cpp, test/testunusedfunctions.cpp: 
	Refactorization: Use SymbolDatabase to find functions in
	CheckUnusedFunctions

2014-03-26  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checkbufferoverrun.cpp: astyle formatting [ci skip]

2014-03-26  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checkbufferoverrun.cpp: Fixed segfault when checking libusbx
	(daca2)

2014-03-25  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* test/testbufferoverrun.cpp: fixed unit test that I broke by
	mistake

2014-03-25  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/valueflow.cpp: ValueFlow: Improved simplification inside
	for-loops

2014-03-25  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checkbufferoverrun.cpp, lib/checkbufferoverrun.h,
	test/testbufferoverrun.cpp: buffer overflow: clean up old checking
	for negative index

2014-03-25  PKEuS <philipp.kloke@web.de>

	* cli/threadexecutor.cpp: Fixed compilation on Windows.   [ci skip]

2014-03-25  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* cfg/posix.cfg: astyle

2014-03-25  Troshin V.S <maahnat@rambler.ru>

	* cli/cmdlineparser.cpp, cli/threadexecutor.cpp,
	cli/threadexecutor.h, lib/settings.cpp, lib/settings.h: CLI: Add -l
	command line option

2014-03-25  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* cfg/posix.cfg: astyle

2014-03-25  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checkbufferoverrun.cpp, lib/valueflow.cpp,
	test/testbufferoverrun.cpp, test/testvalueflow.cpp: Buffer overruns:
	Use ValueFlow to detect negative index

2014-03-21  orbitcowboy <ettl.martin78@gmail.com>

	* cfg/posix.cfg: posix.cfg: Added support for more functions.

2014-03-24  PKEuS <philipp@kloke-witten.dyndns.org>

	* lib/checkother.cpp, lib/token.cpp: Fixed two visual studio
	warnings

2014-03-24  PKEuS <philipp.kloke@web.de>

	* test/testmemleak.cpp, test/testnullpointer.cpp,
	test/testother.cpp, test/testsuite.h, test/testsymboldatabase.cpp,
	test/testuninitvar.cpp: Avoid loading libraries multiple times in
	test suite -> Massive speedup for test suite (especially on slow
	systems)

2014-03-24  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/valueflow.cpp, test/testbufferoverrun.cpp: ValueFlow: Improved
	abstract interpretation

2014-03-24  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* : Merge pull request #274 from matthiaskrgr/travis travis: first build with clang, then with gcc, move the kernel
	checking job to be the last job.

2014-03-24  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/valueflow.cpp, test/testbufferoverrun.cpp,
	test/testvalueflow.cpp: ValueFlow: improved abstract interpretation
	of for loops

2014-03-23  Matthias Krüger <matthias.krueger@famsik.de>

	* .travis.yml: travis: first build with clang, then with gcc, move
	the kernel checking job to be the last job.

2014-03-23  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/valueflow.cpp, test/testvalueflow.cpp: ValueFlow: Handle
	division by zero better in abstract interpretation

2014-03-23  PKEuS <philipp.kloke@web.de>

	* lib/symboldatabase.cpp, test/testsymboldatabase.cpp: Fixed crash
	on invalid code (#5603)

2014-03-23  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* cfg/std.cfg: runastyle

2014-03-23  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/valueflow.cpp, test/testvalueflow.cpp: Fixed #5549 (ValueFlow:
	Handle static variables better in valueFlowAfterAssign)

2014-03-23  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* tools/daca2-download.py: daca2: Added script that downloads all
	packages and save reduced archives in the folder ~/daca2-packages

2014-03-23  PKEuS <philipp.kloke@web.de>

	* win_installer/cppcheck.wxs, win_installer/productInfo.wxi: Windows
	Installer: Always install std.cfg (#5318)

2014-03-23  PKEuS <philipp.kloke@web.de>

	* lib/tokenize.cpp, test/testsimplifytokens.cpp,
	test/testuninitvar.cpp: Refactorized dead code elimination: - Use library to get noreturn functions - Fixed do-while simplification (#4940)

2014-03-23  PKEuS <philipp.kloke@web.de>

	* lib/checkclass.cpp, test/testunusedprivfunc.cpp: Bailout in
	private function usage checking for operators (#5059).

2014-03-22  PKEuS <philipp.kloke@web.de>

	* lib/checkother.cpp, test/testother.cpp: Fixed related issues to
	#5601

2014-03-22  Martin Ettl <ettl.martin78@googlemail.com>

	* cfg/std.cfg: std.cfg: Added support for more C-functions.

2014-03-22  Martin Ettl <ettl.martin78@googlemail.com>

	* cfg/std.cfg: std.cfg: Improved checking of memset. Added a
	constraint for the second parameter and do not all uninitialized
	usage.

2014-03-22  PKEuS <philipp.kloke@web.de>

	* lib/checkother.cpp, test/testother.cpp: Fixed false positive when
	noreturn function is defined (#5601, second attempt)

2014-03-22  PKEuS <philipp.kloke@web.de>

	* lib/tokenize.cpp, test/testsimplifytokens.cpp: Syntax error on
	invalid enum (#5600)

2014-03-22  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/valueflow.cpp, test/testbufferoverrun.cpp,
	test/testvalueflow.cpp: Value Flow: Improved abstract interpretation
	of arithmetical expressions

2014-03-22  PKEuS <philipp.kloke@web.de>

	* lib/checkother.cpp, test/testother.cpp: Fixed false positive when
	noreturn function is defined (#5601)

2014-03-22  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* cfg/std.cfg: astyle formatting

2014-03-22  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checkother.cpp, test/testother.cpp: Refactoring. Use
	astIsFloat()

2014-03-22  PKEuS <philipp.kloke@web.de>

	* lib/tokenize.cpp, test/testtokenize.cpp: Fixed C++11 right angle
	bracket issue #5150

2014-03-22  Alexander Mai <amai@users.sf.net>

	* lib/checkautovariables.cpp, test/testautovariables.cpp: Fix
	segfault in variableIsUsedInScope() - loop variable not check
	against NULL

2014-03-22  Alexander Mai <amai@users.sf.net>

	* lib/checkstl.cpp, test/teststl.cpp: Invalid code cause SIGSEGV
	since loop variable tok2 was not checked properly

2014-03-22  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* cli/cppcheckexecutor.cpp: Fixed cygwin compilation

2014-03-22  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* htdocs/devinfo/index.php: htdocs: added daca2 results from
	cppcheck-1.64

2014-03-21  Martin Ettl <ettl.martin78@googlemail.com>

	* cfg/std.cfg: std.cfg: Removed checking second parameter of memset
	and probably fixing Travis failing.

2014-03-21  Martin Ettl <ettl.martin78@googlemail.com>

	* cfg/std.cfg: std.cfg: Fixed wrong second parameter of memset. It
	is allowed to be zero.

2014-03-21  Martin Ettl <ettl.martin78@googlemail.com>

	* cfg/std.cfg: std.cfg: removed duplicate entries.

2014-03-21  Martin Ettl <ettl.martin78@googlemail.com>

	* cfg/std.cfg: Added more functions to std.cfg.

2014-03-21  Alexander Mai <amai@users.sf.net>

	* Makefile, tools/dmake.cpp: Add -rdynamic to the linker flags to
	allow obtaining a bracktrace

2014-03-21  Martin Ettl <ettl.martin78@googlemail.com>

	* cfg/std.cfg: Astyle running.

2014-03-21  Martin Ettl <ettl.martin78@googlemail.com>

	* : commit cdd6d4df277ec8530905b26d9eaeeaef536495b5 Author:
	Alexander Mai <amai@users.sf.net> Date:   Fri Mar 21 22:11:10 2014
	+0100

2014-03-22  Alexander Mai <amai@users.sf.net>

	* lib/symboldatabase.cpp, lib/symboldatabase.h,
	test/testsymboldatabase.cpp, test/testunusedprivfunc.cpp: In case of
	a loop within the class hierarchie
	Function::isImplicitlyVirtual_rec() was entering an endless loop.
	Tracking the previously analyzed types shall prevent this.

2014-03-21  Martin Ettl <ettl.martin78@googlemail.com>

	* cfg/std.cfg: Extended std.cfg about more functions.

2014-03-21  XhmikosR <xhmikosr@users.sourceforge.net>

	* tools/daca2-report.py: daca2-report.py: add missing new line in
	the generated HTML.  [ci skip]

2014-03-21  Martin Ettl <ettl.martin78@googlemail.com>

	* cfg/std.cfg: Added more functions to std.cfg

2014-03-21  Martin Ettl <ettl.martin78@googlemail.com>

	* cfg/std.cfg, test/testnullpointer.cpp: Fixed #5597 and added
	abort() support to stdcfg.

2014-03-21  PKEuS <philipp.kloke@web.de>

	* lib/checkbufferoverrun.cpp, test/testbufferoverrun.cpp: Fixed
	crash in CheckBufferOverrun on garbage code (#5595)

2014-03-20  orbitcowboy <ettl.martin78@gmail.com>

	* cfg/std.cfg: Added support for exit() to std.cfg.

2014-03-20  orbitcowboy <ettl.martin78@gmail.com>

	* cfg/std.cfg, test/testnullpointer.cpp, test/testuninitvar.cpp: 
	Added support for putchar() to std.cfg.

2014-03-21  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* : Merge pull request #273 from matthiaskrgr/strip_whitespace runastyle: add line which strips trailing whitspaces from cfg files
	(and run it on the files)

2014-03-20  orbitcowboy <ettl.martin78@gmail.com>

	* cfg/std.cfg, test/testnullpointer.cpp, test/testuninitvar.cpp: 
	Added support for ftell() and puts() to std.cfg.

2014-03-21  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/valueflow.cpp: ValueFlow: restricted bailouts in for loops

2014-03-21  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/valueflow.cpp, test/testvalueflow.cpp: ValueFlow: Removed
	wrong bailout

2014-03-20  orbitcowboy <ettl.martin78@gmail.com>

	* cfg/std.cfg, test/testnullpointer.cpp, test/testuninitvar.cpp: 
	Added support for fputs() to std.cfg.

2014-03-20  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checkother.cpp, lib/checkother.h, test/testother.cpp: Fixed
	#5584 (FP: Division by zero when function not declared)

2014-03-20  orbitcowboy <ettl.martin78@gmail.com>

	* cfg/std.cfg, test/testnullpointer.cpp, test/testuninitvar.cpp: 
	Added support for fgetc() to std.cfg.

2014-03-20  XhmikosR <xhmikosr@users.sourceforge.net>

	* cfg/std.cfg, lib/checkuninitvar.cpp: Tabs to spaces.  [ci skip]

2014-03-20  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checkuninitvar.cpp: Uninitialized variables: Experimental
	checking for passing const pointer to partially initialized struct
	to function. Ticket: #5586

2014-03-20  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checkuninitvar.cpp, test/testuninitvar.cpp: Uninitialized
	variables: Improved handling of function calls when struct members
	are checked

2014-03-19  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* cli/filelister.cpp, lib/path.cpp: cygwin: apply cygwin compilation
	tweaks. thanks ir0nh34d.

2014-03-19  Martin Ettl <ettl.martin78@googlemail.com>

	* cfg/std.cfg, cli/cppcheckexecutor.cpp, test/testnullpointer.cpp,
	test/testuninitvar.cpp: Extended std.cfg

2014-03-19  Robert Reif <reif@earthlink.net>

	* lib/checkio.cpp, test/testio.cpp: CheckIo: Fixed FIXME

2014-03-19  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* gui/gui.pro, gui/gui.qrc, gui/main.cpp, gui/mainwindow.cpp,
	gui/projectfiledialog.cpp, gui/translationhandler.cpp: GUI: Added
	DATADIR setting. Related with #5513

2014-03-19  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* test/testtokenize.cpp: Tokenizer: Added test case for fixed crash
	to prevent regressions later

2014-03-19  Robert Reif <reif@earthlink.net>

	* lib/tokenize.cpp, test/testtokenize.cpp: Fixed #5328 (Does not
	handle __attribute((xxx)) in typedefs)

2014-03-18  PKEuS <philipp.kloke@web.de>

	* lib/checkio.cpp, lib/checknullpointer.cpp,
	lib/checkuninitvar.cpp, lib/preprocessor.cpp, lib/token.cpp,
	lib/tokenize.cpp: Added missing casts causing assertion failures on
	Windows (#5391) -> Changed much more occurences, especially in
	preprocessor.cpp.

2014-03-18  Alexander Mai <amai@users.sf.net>

	* cli/cppcheckexecutor.cpp: Fix mingw build

2014-03-18  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/tokenize.cpp: Tokenizer: Fix crash in Token::previous() method
	('this' is NULL)

2014-03-18  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* : Merge pull request #272 from matthiaskrgr/travis travis: fix grep of cppcheck.cppcheck log checking cppcheck code for
	errors

2014-03-18  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checknullpointer.cpp, lib/valueflow.cpp,
	test/testvalueflow.cpp: Fixed #5518 (FP regression in 1.64: Array
	accessed out of bounds)

2014-03-18  PKEuS <philipp.kloke@web.de>

	* lib/tokenize.cpp, test/testsimplifytokens.cpp: Fixed problems with
	code "enum class { };" (which is valid C)

2014-03-17  XhmikosR <xhmikosr@users.sourceforge.net>

	* externals/tinyxml/tinyxml2.cpp, externals/tinyxml/tinyxml2.h: 
	Update tinyxml to v2.0.2.

2014-03-17  XhmikosR <xhmikosr@users.sourceforge.net>

	* test/testunusedvar.cpp, tools/readme.md,
	tools/test_showtimetop5.sh, tools/times.sh: Trim tailing spaces and
	convert tabs to spaces.

2014-03-18  XhmikosR <xhmikosr@users.sourceforge.net>

	* htdocs/site/css/daca2.css, tools/daca2-report.py: daca2: Move
	style into daca2.css.

2014-03-16  XhmikosR <xhmikosr@users.sourceforge.net>

	* htdocs/make.js, htdocs/site/js/sorttable.min.js,
	tools/daca2-report.py: Minify sorttable.min.js and use that in
	daca2-report.py.

2014-03-18  PKEuS <philipp.kloke@web.de>

	* lib/checkio.cpp, test/testio.cpp: Fixed false positive #5578

2014-03-18  PKEuS <philipp.kloke@web.de>

	* lib/checkstl.cpp, test/teststl.cpp: Rewrote
	CheckStl::readingEmptyStlContainer(), resolving all its false
	positives shown on CppChecks own code

2014-03-18  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/tokenize.cpp, test/testtokenize.cpp: Fixed #5244 (FP: (error)
	Uninitialized variable: ptr - initialization within if-clause)

2014-03-18  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* : Merge pull request #270 from matthiaskrgr/travis_kernel travis: allow failure of the kernel job. It sometimes times out when
	travis is on heavy load (which is a false positive).

2014-03-18  Matthias Krüger <matthias.krueger@famsik.de>

	* .travis.yml: travis: apply the same hack I used to work around
	broken exit status and kernel checking to cppcheck checking its own
	code (use -j2). Speeds up by around 3-4 minutes per affected job.

2014-03-17  Matthias Krüger <matthias.krueger@famsik.de>

	* .travis.yml: travis: allow failure of the kernel job. It sometimes
	times out when travis is on heavy load (which is a false positive).

2014-03-17  Alexander Mai <amai@users.sf.net>

	* cli/cppcheckexecutor.cpp: Enable SEH for Windows using MSVC (not
	for mingw)

2014-03-17  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/valueflow.cpp, test/testbufferoverrun.cpp,
	test/testvalueflow.cpp: Value Flow: Another try with the abstract
	interpretation of for loops

2014-03-17  PKEuS <philipp.kloke@web.de>

	* lib/checkother.cpp, test/testother.cpp: #5528: Raise
	duplicateExpressionError on operators /, % and -.

2014-03-17  PKEuS <philipp.kloke@web.de>

	* lib/checkother.cpp, test/testother.cpp: Improved check (#5553):
	Detect stricmp(var.c_str(), var.c_str())

2014-03-17  PKEuS <philipp.kloke@web.de>

	* lib/tokenize.cpp, test/testtokenize.cpp: Fixed varId problem #5293
	(and its duplicate #5577): Classes inside functions are
	non-executable scopes.

2014-03-17  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* lib/checkmemoryleak.cpp, test/testmemleak.cpp: Fixed #5574 (False
	positive: mismatchAllocDealloc using realloc() and free)

2014-03-17  PKEuS <philipp.kloke@web.de>

	* lib/tokenize.cpp, test/testtokenize.cpp: Fixed setVarId-Bugs #5294
	and #5295.

2014-03-17  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* : Merge pull request #269 from matthiaskrgr/travis travis: remove hack to terminate clang kernel jobs early, instead
	avoid it properly.

2014-03-17  PKEuS <philipp.kloke@web.de>

	* lib/checkclass.cpp: Added verbose message for "memsetClass" error.
	(#5183)

2014-03-17  PKEuS <philipp.kloke@web.de>

	* lib/cppcheck.vcxproj: Implemented #5262: VS solution copies cfg
	files to output folder.

2014-03-17  PKEuS <philipp.kloke@web.de>

	* lib/checkother.cpp, test/testother.cpp: Fixed #5382: False
	positive "scope can be reduced" when initializing two-dimensional
	array.

2014-03-17  PKEuS <philipp.kloke@web.de>

	* lib/checkother.cpp, test/testother.cpp: Fixed false positive
	#5535: Reference named like its type.

2014-03-17  PKEuS <philipp.kloke@web.de>

	* lib/tokenize.cpp, test/testtokenize.cpp: Fixed crash #5511.

2014-03-17  PKEuS <philipp.kloke@web.de>

	* lib/checkio.cpp, lib/checkio.h, test/testio.cpp,
	test/testnullpointer.cpp: New check: Warning, if positioning
	operation (fseek) is performed on a file opened in "a" mode

2014-03-17  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* : Merge pull request #268 from matthiaskrgr/times_sh tools: times.sh: show more information in stdout (while still
	printing it to the log), compute averages of runs, automatically
	compile and run "times" binary after generating the log.

2014-03-16  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* : Merge pull request #267 from matthiaskrgr/travis travis: remove HAVE_RULES=yes-only build and dublicted kernel
	checking

2014-03-16  Matthias Krüger <matthias.krueger@famsik.de>

	* .travis.yml: travis: remove HAVE_RULES=yes-only build. If we
	dealing with a clang job, abort the kernel checking, so we have
	basically only one compiler checking the kernel with cppcheck which
	should be enough.

2014-03-10  Martin Ettl <ettl.martin78@googlemail.com>

	* cli/cppcheckexecutor.cpp, test/testnullpointer.cpp: Astyle running
	and added test cases for functions in std.cfg.

2014-03-10  Martin Ettl <ettl.martin78@googlemail.com>

	* cfg/std.cfg: Extended std.cfg about <cstring> functions and added
	testcases.

2014-03-16  Lucas Manuel Rodriguez <lucarodriguez@gmail.com>

	* lib/checkstl.cpp: Fixed #4804 (Improve check for
	'std::string::data()' - identical to 'std::string::c_str()')

2014-03-16  Lucas Manuel Rodriguez <lucarodriguez@gmail.com>

	* lib/tokenize.cpp, lib/tokenize.h, test/testsimplifytokens.cpp,
	test/testtokenize.cpp: Fixed #4928 (C++ operator aliases result in
	false 'assigned a value that is never used' warning)

2014-03-16  Alexander Mai <amai@users.sf.net>

	* : commit c2a602a6bd232a693ad65735a5297ffa49b724d2 Author:
	Alexander Mai <amai@users.sf.net> Date:   Sun Mar 16 18:37:28 2014
	+0100

2014-03-16  PKEuS <philipp.kloke@web.de>

	* lib/tokenize.cpp, test/testsimplifytokens.cpp: Fixed #3852:
	Support simplification of C++11 "enum class", fixed existing
	simplifications

2014-03-16  PKEuS <philipp.kloke@web.de>

	* lib/tokenize.cpp, test/testunusedfunctions.cpp: Fixed crash on
	wrong __attribute__((constructor)) syntax

2014-03-16  Daniel Marjamäki <daniel.marjamaki@gmail.com>

	* : Merge pull request #266 from matthiaskrgr/travis travis: check kernel as part of travis testing.

2014-03-16  XhmikosR <xhmikosr@users.sourceforge.net>

	* htdocs/site/js/sorttable.js, tools/daca2-report.py: Add
	sorttable.js to the repository.

2014-03-16  XhmikosR <xhmikosr@users.sourceforge.net>

	* tools/daca2-report.py: daca2-report.py: move script inclusion
	after any style.  [ci skip]

2014-03-16  Alexander Mai <amai@users.sf.net>

	* cli/cmdlineparser.cpp, cli/cppcheckexecutor.cpp,
	cli/cppcheckexecutor.h, lib/settings.cpp, lib/settings.h: Fixed
	#5286 (Add signal/exception handling to cppcheck and cppcheck-gui)

2014-03-16  Alexander Mai <amai@users.sf.net>

	* lib/mathlib.cpp, test/testmathlib.cpp: Fixed #5571 (Clean up
	MathLib::isInt())

2014-03-16  XhmikosR <xhmikosr@users.sourceforge.net>

	* htdocs/package.json, htdocs/site/js/github.js,
	htdocs/site/js/pack.js: htdocs: Tweak JS.  [ci skip]

2014-03-16  Matthias Krüger <matthias.krueger@famsik.de>

	* .travis.yml: travis: check kernel as part of travis testing.  add 2 more jobs (one for gcc, one for clang) which only compile
	Cppcheck with opimization CXXFLAGS to afterwards check a fixed
	version of the linux kernel to see if cppcheck crashes.

